-- DROP TABLE IF EXISTS `crm_address`;
CREATE TABLE IF NOT EXISTS `crm_address` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` char(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `area` mediumint(8) unsigned NOT NULL,
  `location` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `objectType` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contact`;
CREATE TABLE IF NOT EXISTS `crm_contact` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `realname` char(30) NOT NULL DEFAULT '',
  `nickname` char(30) NOT NULL,
  `resume` mediumint(8) unsigned NOT NULL,
  `origin` varchar(150) NOT NULL,
  `originAccount` varchar(255) NOT NULL,
  `status` enum('normal','wait','ignore') NOT NULL DEFAULT 'normal',
  `subStatus` varchar(30) NOT NULL,
  `avatar` varchar(255) NOT NULL,
  `birthday` date NOT NULL default '0000-00-00',
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `email` char(50) NOT NULL DEFAULT '',
  `skype` char(50) NOT NULL,
  `qq` char(20) NOT NULL DEFAULT '',
  `yahoo` char(50) NOT NULL DEFAULT '',
  `gtalk` char(50) NOT NULL DEFAULT '',
  `wangwang` char(50) NOT NULL DEFAULT '',
  `site` varchar(100) NOT NULL,
  `mobile` char(11) NOT NULL DEFAULT '',
  `phone` char(20) NOT NULL DEFAULT '',
  `company` varchar(255) NOT NULL,
  `fax` char(20) NOT NULL DEFAULT '',
  `weibo` char(50) NOT NULL,
  `weixin` char(50) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `ignoredBy` char(30) NOT NULL,
  `ignoredDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `realname` (`realname`),
  KEY `nickname` (`nickname`),
  KEY `origin` (`origin`),
  KEY `birthday` (`birthday`),
  KEY `email` (`email`),
  KEY `qq` (`qq`),
  KEY `mobile` (`mobile`),
  KEY `phone` (`phone`),
  KEY `createdBy` (`createdBy`),
  KEY `contactedBy` (`contactedBy`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_delivery`;
CREATE TABLE IF NOT EXISTS `crm_delivery` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `contract` mediumint(8) unsigned NOT NULL,
  `deliveredBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `deliveredDate` date NOT NULL,
  `comment` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `contract` (`contract`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_plan`;
CREATE TABLE IF NOT EXISTS `crm_plan` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `trade` mediumint(8) unsigned NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `returnedBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `returnedDate` date NOT NULL,
  PRIMARY KEY (`id`),
  KEY `contract` (`contract`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contract`;
CREATE TABLE IF NOT EXISTS `crm_contract` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('sale', 'purchase') NOT NULL DEFAULT 'sale',
  `customer` mediumint(8) unsigned NOT NULL,
  `name` char(100) NOT NULL,
  `code` char(30) NOT NULL,
  `product` char(255) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `items` text NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `delivery` char(30) NOT NULL,
  `return` char(30) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `status` enum('normal', 'closed', 'canceled') NOT NULL DEFAULT 'normal',
  `subStatus` varchar(30) NOT NULL,
  `contact` mediumint(8) unsigned NOT NULL,
  `address` mediumint(8) unsigned NOT NULL,
  `handlers` varchar(255) NOT NULL,
  `signedBy` char(30) NOT NULL,
  `signedDate` date NOT NULL,
  `deliveredBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `deliveredDate` date NOT NULL,
  `returnedBy` char(30) COLLATE 'utf8_general_ci' NOT NULL,
  `returnedDate` date NOT NULL,
  `finishedBy` char(30) NOT NULL,
  `finishedDate` date NOT NULL,
  `canceledBy` char(30) NOT NULL,
  `canceledDate` date NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `customer` (`customer`),
  KEY `amount` (`amount`),
  KEY `delivery` (`delivery`),
  KEY `return` (`return`),
  KEY `begin` (`begin`),
  KEY `end` (`end`),
  KEY `status` (`status`),
  KEY `handlers` (`handlers`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_contractorder`;
CREATE TABLE IF NOT EXISTS `crm_contractorder` (
  `contract` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  UNIQUE KEY `contract` (`contract`,`order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_customer`;
CREATE TABLE IF NOT EXISTS `crm_customer` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `type` char(30) NOT NULL,
  `relation` enum('client', 'provider', 'partner') NOT NULL default 'client',
  `source` varchar(20) NOT NULL,
  `sourceNote` varchar(255) NOT NULL,
  `size` tinyint(3) unsigned NOT NULL,
  `industry` mediumint(8) unsigned NOT NULL,
  `area` mediumint(8) unsigned NOT NULL,
  `status` char(30) NOT NULL,
  `subStatus` varchar(30) NOT NULL,
  `level` char(10) NOT NULL,
  `intension` text NOT NULL,
  `site` varchar(100) NOT NULL,
  `weibo` char(50) NOT NULL,
  `weixin` char(50) NOT NULL,
  `category` mediumint(8) NOT NULL,
  `depositor` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  `public` enum('0', '1') NOT NULL DEFAULT '0',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `industry` (`industry`),
  KEY `size` (`size`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `relation` (`relation`),
  KEY `area` (`area`),
  KEY `status` (`status`),
  KEY `level` (`level`),
  KEY `category` (`category`),
  KEY `public` (`public`),
  KEY `assignedTo` (`assignedTo`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_order`;
CREATE TABLE IF NOT EXISTS `crm_order` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` char(255) NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `plan` decimal(12,2) NOT NULL,
  `real` decimal(12,2) NOT NULL,
  `currency` varchar(20) NOT NULL,
  `status` enum('normal', 'signed', 'closed') NOT NULL DEFAULT 'normal',
  `subStatus` varchar(30) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `signedBy` char(30) NOT NULL,
  `signedDate` date NOT NULL,
  `closedBy` char(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `closedReason` varchar(10) NOT NULL DEFAULT '',
  `activatedBy` char(30) NOT NULL,
  `activatedDate` datetime NOT NULL,
  `contactedBy` char(30) NOT NULL,
  `contactedDate` datetime NOT NULL,
  `nextDate` date NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `product` (`product`),
  KEY `customer` (`customer`),
  KEY `plan` (`plan`),
  KEY `real` (`real`),
  KEY `status` (`status`),
  KEY `createdBy` (`createdBy`),
  KEY `assignedTo` (`assignedTo`),
  KEY `closedBy` (`closedBy`),
  KEY `closedReason` (`closedReason`),
  KEY `contactedDate` (`contactedDate`),
  KEY `nextDate` (`nextDate`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_dating`;
CREATE TABLE IF NOT EXISTS `crm_dating` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` varchar(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `action` mediumint(8) unsigned NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `contact` mediumint(8) unsigned NOT NULL,
  `account` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `desc` text NOT NULL,
  `status` enum('wait', 'done') NOT NULL DEFAULT 'wait',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `nextDate` (`status`, `objectType`, `objectID`, `date`, `account`, `contact`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_resume`;
CREATE TABLE IF NOT EXISTS `crm_resume` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `contact` mediumint(8) unsigned NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `maker` enum('0','1') NOT NULL DEFAULT '0',
  `dept` char(100) NOT NULL,
  `title` char(100) NOT NULL,
  `address` mediumint(8) unsigned NOT NULL,
  `join` char(10) NOT NULL,
  `left` char(10) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `contact` (`contact`),
  KEY `customer` (`customer`),
  KEY `left` (`left`),
  KEY `maker` (`maker`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_salesgroup`;
CREATE TABLE IF NOT EXISTS `crm_salesgroup` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `desc` varchar(255) NOT NULL,
  `users` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `crm_salespriv`;
CREATE TABLE IF NOT EXISTS `crm_salespriv` (
  `account` char(30) NOT NULL,
  `salesgroup` mediumint(8) unsigned NOT NULL,
  `priv` enum('view','edit') NOT NULL,
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_doc`;
CREATE TABLE IF NOT EXISTS `oa_doc` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` mediumint(8) unsigned NOT NULL,
  `project` mediumint(8) unsigned NOT NULL,
  `lib` mediumint(8) unsigned NOT NULL,
  `module` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `type` varchar(30) NOT NULL,
  `views` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `version` smallint(5) unsigned NOT NULL DEFAULT '1',
  `private` enum('0', '1') NOT NULL DEFAULT '0',
  `users` text NOT NULL,
  `groups` varchar(255) NOT NULL DEFAULT '',
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_doccontent`;
CREATE TABLE IF NOT EXISTS `oa_doccontent` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `doc` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `digest` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `files` text NOT NULL,
  `type` varchar(10) NOT NULL,
  `version` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `docVersion` (`doc`,`version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_doclib`;
CREATE TABLE IF NOT EXISTS `oa_doclib` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `project` mediumint(8) unsigned NOT NULL,
  `name` varchar(60) NOT NULL,
  `private` enum('0', '1') NOT NULL DEFAULT '0',
  `users` text NOT NULL,
  `groups` varchar(255) NOT NULL DEFAULT '',
  `main` enum('0', '1') NOT NULL DEFAULT '0',
  `order` tinyint(5) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_project`;
CREATE TABLE IF NOT EXISTS `oa_project` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(90) NOT NULL,
  `desc` text NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` enum('doing','finished','suspend') NOT NULL DEFAULT 'doing',
  `whitelist` varchar(255) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_attend`;
CREATE TABLE IF NOT EXISTS `oa_attend` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `date` date NOT NULL,
  `signIn` time NOT NULL,
  `signOut` time NOT NULL,
  `status` varchar(30) NOT NULL DEFAULT '',
  `ip` varchar(15) NOT NULL,
  `device` varchar(30) NOT NULL,
  `client` varchar(20) NOT NULL,
  `manualIn` time NOT NULL,
  `manualOut` time NOT NULL,
  `reason` varchar(30) NOT NULL DEFAULT '',
  `desc` text NOT NULL,
  `reviewStatus` varchar(30) NOT NULL DEFAULT '',
  `reviewedBy` char(30) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `account` (`account`),
  KEY `date` (`date`),
  KEY `status` (`status`),
  KEY `reason` (`reason`),
  KEY `reviewStatus` (`reviewStatus`),
  KEY `reviewedBy` (`reviewedBy`),
  UNIQUE KEY `attend` (`date`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_attendstat`;
CREATE TABLE IF NOT EXISTS `oa_attendstat` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `month` char(10) NOT NULL DEFAULT '',
  `normal` decimal(12,2) NOT NULL DEFAULT 0.00,
  `late` decimal(12,2) NOT NULL DEFAULT 0.00,
  `early` decimal(12,2) NOT NULL DEFAULT 0.00,
  `absent` decimal(12,2) NOT NULL DEFAULT 0.00,
  `trip` decimal(12,2) NOT NULL DEFAULT 0.00,
  `egress` decimal(12,2) NOT NULL DEFAULT 0.00,
  `lieu` decimal(12,2) NOT NULL DEFAULT 0.00,
  `paidLeave` decimal(12,2) NOT NULL DEFAULT 0.00,
  `unpaidLeave` decimal(12,2) NOT NULL DEFAULT 0.00,
  `timeOvertime` decimal(12,2) NOT NULL DEFAULT 0.00,
  `restOvertime` decimal(12,2) NOT NULL DEFAULT 0.00,
  `holidayOvertime` decimal(12,2) NOT NULL DEFAULT 0.00,
  `deserve` decimal(12,2) NOT NULL DEFAULT 0.00,
  `actual` decimal(12,2) NOT NULL DEFAULT 0.00,
  `status` char(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `account` (`account`),
  KEY `month` (`month`),
  KEY `status` (`status`),
  UNIQUE KEY `attend` (`month`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_overtime`;
CREATE TABLE IF NOT EXISTS `oa_overtime` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `year` char(4) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `start` time NOT NULL,
  `finish` time NOT NULL,
  `hours` float unsigned NOT NULL,
  `leave` varchar(255) NOT NULL,
  `type` varchar(30) NOT NULL DEFAULT '',
  `desc` text NOT NULL,
  `status` varchar(30) NOT NULL DEFAULT '',
  `rejectReason` varchar(100) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `reviewedBy` char(30) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `year` (`year`),
  KEY `type` (`type`),
  KEY `status` (`status`),
  KEY `createdBy` (`createdBy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_holiday`;
CREATE TABLE IF NOT EXISTS `oa_holiday` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  `type` enum('holiday', 'working') NOT NULL DEFAULT 'holiday',
  `desc` text NOT NULL,
  `year` char(4) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  PRIMARY KEY (`id`),
  KEY `year` (`year`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_leave`;
CREATE TABLE IF NOT EXISTS `oa_leave` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `year` char(4) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `start` time NOT NULL,
  `finish` time NOT NULL,
  `hours` float unsigned NOT NULL,
  `backDate` datetime NOT NULL,
  `type` varchar(30) NOT NULL DEFAULT '',
  `desc` text NOT NULL,
  `status` varchar(30) NOT NULL DEFAULT '',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `reviewedBy` char(30) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `year` (`year`),
  KEY `type` (`type`),
  KEY `status` (`status`),
  KEY `createdBy` (`createdBy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_lieu`;
CREATE TABLE IF NOT EXISTS `oa_lieu` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `year` char(4) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `start` time NOT NULL,
  `finish` time NOT NULL,
  `hours` float unsigned NOT NULL,
  `overtime` char(255) NOT NULL,
  `trip` char(255) NOT NULL,
  `desc` text NOT NULL,
  `status` varchar(30) NOT NULL DEFAULT '',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `reviewedBy` char(30) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `year` (`year`),
  KEY `status` (`status`),
  KEY `createdBy` (`createdBy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_trip`;
CREATE TABLE IF NOT EXISTS `oa_trip` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('trip', 'egress') NOT NULL DEFAULT 'trip',
  `customers` varchar(20) NOT NULL,
  `name` char(30) NOT NULL,
  `desc` text NOT NULL,
  `year` char(4) NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `start` time NOT NULL,
  `finish` time NOT NULL,
  `from` char(50) NOT NULL,
  `to` char(50) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `year` (`year`),
  KEY `createdBy` (`createdBy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_todo`;
CREATE TABLE IF NOT EXISTS `oa_todo` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `date` date NOT NULL,
  `begin` smallint(4) unsigned zerofill NOT NULL,
  `end` smallint(4) unsigned zerofill NOT NULL,
  `type` char(20) NOT NULL,
  `idvalue` mediumint(8) unsigned NOT NULL default '0',
  `pri` tinyint(3) unsigned NOT NULL,
  `name` char(150) NOT NULL,
  `desc` text NOT NULL,
  `status` varchar(30) NOT NULL DEFAULT '',
  `private` tinyint(1) NOT NULL,
  `assignedTo` varchar(30) NOT NULL DEFAULT '',
  `assignedBy` varchar(30) NOT NULL DEFAULT '',
  `assignedDate` datetime NOT NULL,
  `finishedBy` varchar(30) NOT NULL DEFAULT '',
  `finishedDate` datetime NOT NULL,
  `closedBy` varchar(30) NOT NULL DEFAULT '',
  `closedDate` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `oa_refund`;
CREATE TABLE IF NOT EXISTS `oa_refund` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `project` mediumint(8) unsigned NOT NULL,
  `trip` mediumint(8) unsigned NOT NULL,
  `parent`  mediumint(8) unsigned NOT NULL DEFAULT 0,
  `dept`  mediumint(8) unsigned NOT NULL DEFAULT 0,
  `name` char(150) NOT NULL,
  `payee` varchar(30) NOT NULL,
  `category` char(30) NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `invoice` decimal(12,2) NOT NULL,
  `currency` varchar(30) NOT NULL,
  `desc` text NOT NULL,
  `related` char(200) NOT NULL DEFAULT '',
  `status` char(30) NOT NULL DEFAULT 'wait',
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  `firstReviewer` char(30) NOT NULL DEFAULT '',
  `firstReviewDate` datetime NOT NULL,
  `secondReviewer` char(30) NOT NULL DEFAULT '',
  `secondReviewDate` datetime NOT NULL,
  `refundBy` char(30) NOT NULL DEFAULT '',
  `refundDate` datetime NOT NULL,
  `reason` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `createdBy` (`createdBy`),
  KEY `firstReviewer` (`firstReviewer`),
  KEY `secondReviewer` (`secondReviewer`),
  KEY `refundBy` (`refundBy`),
  KEY `category` (`category`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_relation`;
CREATE TABLE IF NOT EXISTS `sys_relation` (
  `type` char(20) NOT NULL,
  `id` mediumint(8) NOT NULL,
  `category` mediumint(8) NOT NULL,
  UNIQUE KEY `relation` (`type`,`id`,`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_depositor`;
CREATE TABLE IF NOT EXISTS `cash_depositor` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `abbr` char(60) NOT NULL,
  `provider` char(100) NOT NULL,
  `title` char(100) NOT NULL,
  `tags` varchar(255) NOT NULL,
  `account` char(90) NOT NULL,
  `bankcode` varchar(30) NOT NULL,
  `public` enum('0','1') NOT NULL,
  `type` enum('cash','bank','online') NOT NULL,
  `currency` char(30) NOT NULL,
  `status` enum('normal','disable') NOT NULL DEFAULT 'normal',
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_balance`;
CREATE TABLE IF NOT EXISTS `cash_balance` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `depositor` mediumint(8) unsigned NOT NULL,
  `date` date NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `currency` char(30) NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `depositor` (`depositor`,`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `cash_trade`;
CREATE TABLE IF NOT EXISTS `cash_trade` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `depositor` mediumint(8) unsigned NOT NULL,
  `parent`  mediumint(8) unsigned NOT NULL DEFAULT 0,
  `product` mediumint(8) unsigned NOT NULL,
  `trader` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `order` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `project` mediumint(8) unsigned NOT NULL,
  `investID` mediumint(8) unsigned NOT NULL,
  `loanID` mediumint(8) unsigned NOT NULL,
  `transferID` mediumint(8) unsigned NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `type` enum('in', 'out', 'transferin', 'transferout', 'invest', 'redeem', 'loan', 'repay') NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `exchangeRate` decimal(12,4) NOT NULL DEFAULT 1,
  `currency` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `deadline` date NOT NULL,
  `handlers` varchar(255) NOT NULL,
  `category` char(30) NOT NULL DEFAULT '0',
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `depositor` (`depositor`),
  KEY `parent` (`parent`),
  KEY `product` (`product`),
  KEY `trader` (`trader`),
  KEY `order` (`order`),
  KEY `contract` (`contract`),
  KEY `investID` (`investID`),
  KEY `loanID` (`loanID`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `team_thread`;
CREATE TABLE IF NOT EXISTS `team_thread` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `board` mediumint(8) unsigned NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `author` varchar(60) NOT NULL,
  `editor` varchar(60) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `readonly` tinyint(1) NOT NULL DEFAULT '0',
  `views` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `stick` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `replies` mediumint(8) unsigned NOT NULL,
  `repliedBy` varchar(30) NOT NULL,
  `repliedDate` datetime NOT NULL,
  `replyID` mediumint(8) unsigned NOT NULL,
  `hidden` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `category` (`board`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `team_reply`;
CREATE TABLE IF NOT EXISTS `team_reply` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `thread` mediumint(8) unsigned NOT NULL,
  `content` text NOT NULL,
  `author` char(30) NOT NULL,
  `editor` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `hidden` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `thread` (`thread`),
  KEY `author` (`author`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_action`;
CREATE TABLE IF NOT EXISTS `sys_action` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned DEFAULT NULL,
  `contact` mediumint(8) unsigned DEFAULT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `actor` varchar(30) NOT NULL DEFAULT '',
  `action` varchar(30) NOT NULL DEFAULT '',
  `date` datetime NOT NULL,
  `comment` text NOT NULL,
  `extra` varchar(255) NOT NULL,
  `read` enum('0', '1') NOT NULL DEFAULT '0',
  `reader` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `customer` (`customer`),
  KEY `contact` (`contact`),
  KEY `objectType` (`objectType`),
  KEY `objectID` (`objectID`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_actionreader`;
CREATE TABLE IF NOT EXISTS `sys_actionreader` (
  `action` mediumint(8) unsigned NOT NULL,
  `account` varchar(30) NOT NULL,
  UNIQUE KEY `reader` (`action`, `account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_notify`;
CREATE TABLE IF NOT EXISTS `sys_notify` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` varchar(50) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `action` mediumint(8) NOT NULL,
  `toList` varchar(255) NOT NULL,
  `ccList` text NOT NULL,
  `subject` varchar(255) NOT NULL,
  `data` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `sendTime` datetime NOT NULL,
  `status` varchar(10) NOT NULL DEFAULT 'wait',
  `failReason` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_block`;
CREATE TABLE IF NOT EXISTS `sys_block` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `app` varchar(20) NOT NULL,
  `title` varchar(100) NOT NULL,
  `source` varchar(20) NOT NULL,
  `block` varchar(20) NOT NULL,
  `params` text NOT NULL,
  `order` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `grid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  `hidden` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `accountAppOrder` (`account`, `app`, `order`),
  KEY `account` (`account`, `app`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_category`;
CREATE TABLE IF NOT EXISTS `sys_category` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(30) NOT NULL DEFAULT '',
  `alias` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `root` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `parent` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `path` char(255) NOT NULL DEFAULT '',
  `grade` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `type` char(30) NOT NULL,
  `readonly` enum('0','1') NOT NULL DEFAULT '0',
  `moderators` varchar(255) NOT NULL,
  `threads` smallint(5) NOT NULL,
  `posts` smallint(5) NOT NULL,
  `postedBy` varchar(30) NOT NULL,
  `postedDate` datetime NOT NULL,
  `postID` mediumint(8) unsigned NOT NULL,
  `replyID` mediumint(8) unsigned NOT NULL,
  `users` text NOT NULL,
  `rights` varchar(255) NOT NULL,
  `refund` enum('0','1') NOT NULL DEFAULT '0',
  `major` enum('0','1','2','3','4','5','6','7','8') NOT NULL DEFAULT '0',
  `deleted` enum('0', '1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `order` (`order`),
  KEY `parent` (`parent`),
  KEY `path` (`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_package`;
CREATE TABLE IF NOT EXISTS `sys_package` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(150) NOT NULL,
  `code` varchar(30) NOT NULL,
  `version` varchar(50) NOT NULL,
  `author` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  `license` text NOT NULL,
  `type` varchar(20) NOT NULL default 'extension',
  `site` varchar(150) NOT NULL,
  `ranzhiCompatible` varchar(100) NOT NULL,
  `installedTime` datetime NOT NULL,
  `depends` varchar(100) NOT NULL,
  `dirs` text NOT NULL,
  `files` text NOT NULL,
  `status` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `code` (`code`),
  KEY `name` (`name`),
  KEY `addedTime` (`installedTime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE IF NOT EXISTS `sys_config` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `owner` char(30) NOT NULL DEFAULT '',
  `app` varchar(30) NOT NULL DEFAULT 'sys',
  `module` varchar(30) NOT NULL,
  `section` char(30) NOT NULL DEFAULT '',
  `key` char(30) DEFAULT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unique` (`owner`,`app`,`module`,`section`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_entry`;
CREATE TABLE IF NOT EXISTS `sys_entry` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `abbr` char(6) NOT NULL,
  `code` varchar(20) NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `version` varchar(20) NOT NULL,
  `platform` varchar(255) NOT NULL DEFAULT 'zdoo',
  `package` int(11) NOT NULL DEFAULT 0,
  `integration` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `open` varchar(20) NOT NULL,
  `key` char(32) NOT NULL,
  `ip` varchar(100) NOT NULL,
  `logo` varchar(100) NOT NULL,
  `login` varchar(255) NOT NULL,
  `logout` varchar(255) NOT NULL,
  `block` varchar(255) NOT NULL,
  `control` varchar(10) NOT NULL DEFAULT 'simple',
  `size` varchar(50) NOT NULL DEFAULT 'max',
  `position` varchar(10) NOT NULL DEFAULT 'default',
  `visible` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `order` tinyint(5) unsigned NOT NULL DEFAULT '0',
  `zentao` enum('0', '1') NOT NULL DEFAULT '0',
  `flow` enum('0', '1') NOT NULL DEFAULT '0',
  `hideNavigation` enum('0', '1') NOT NULL DEFAULT '0',
  `category` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `status` enum('online','offline') NOT NULL DEFAULT 'online',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_article`;
CREATE TABLE IF NOT EXISTS `sys_article` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `keywords` varchar(150) NOT NULL,
  `summary` text NOT NULL,
  `content` text NOT NULL,
  `original` enum('1','0') NOT NULL,
  `copySite` varchar(60) NOT NULL,
  `copyURL` varchar(255) NOT NULL,
  `author` varchar(60) NOT NULL,
  `editor` varchar(60) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` varchar(20) NOT NULL DEFAULT 'normal',
  `type` varchar(30) NOT NULL,
  `views` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `sticky` enum('0','1','2','3') NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL,
  `private` enum('0', '1') NOT NULL DEFAULT '0',
  `users` text NOT NULL,
  `groups` varchar(255) NOT NULL DEFAULT '',
  `readers` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `views` (`views`),
  KEY `sticky` (`sticky`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_tag`;
CREATE TABLE IF NOT EXISTS `sys_tag` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `tag` varchar(50) NOT NULL,
  `rank` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tag` (`tag`),
  KEY `rank` (`rank`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_message`;
CREATE TABLE IF NOT EXISTS `sys_message` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` char(20) NOT NULL,
  `objectType` varchar(30) NOT NULL DEFAULT '',
  `objectID` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `account` char(30) DEFAULT NULL,
  `from` char(30) NOT NULL,
  `to` char(30) NOT NULL,
  `date` datetime NOT NULL,
  `content` text NOT NULL,
  `status` char(20) NOT NULL,
  `readed` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`),
  KEY `object` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_file`;
CREATE TABLE IF NOT EXISTS `sys_file` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `pathname` char(50) NOT NULL,
  `title` char(90) NOT NULL,
  `extension` char(30) NOT NULL,
  `size` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `objectType` char(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `createdBy` char(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL,
  `editor` enum('1','0') NOT NULL DEFAULT '0',
  `primary` enum('1','0') DEFAULT '0',
  `public` enum('1','0') NOT NULL DEFAULT '1',
  `downloads` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `extra` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `object` (`objectType`,`objectID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_history`;
CREATE TABLE IF NOT EXISTS `sys_history` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `action` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `field` varchar(30) NOT NULL DEFAULT '',
  `old` text NOT NULL,
  `new` text NOT NULL,
  `diff` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_lang`;
CREATE TABLE IF NOT EXISTS `sys_lang` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `lang` varchar(30) NOT NULL,
  `app` varchar(30) NOT NULL DEFAULT 'sys',
  `module` varchar(30) NOT NULL,
  `section` varchar(30) NOT NULL,
  `key` varchar(60) NOT NULL,
  `value` text NOT NULL,
  `system` enum('0','1') NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `lang` (`app`,`lang`,`module`,`section`,`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_product`;
CREATE TABLE IF NOT EXISTS `sys_product` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `category` mediumint(8) unsigned NOT NULL,
  `subject` mediumint(8) unsigned NOT NULL,
  `name` varchar(150) NOT NULL,
  `code` varchar(20) NOT NULL,
  `type` varchar(10) NOT NULL,
  `order` smallint(5) NOT NULL,
  `status` varchar(10) NOT NULL,
  `subStatus` varchar(30) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_schema`;
CREATE TABLE IF NOT EXISTS `sys_schema` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `otherDepositor` varchar(5) NOT NULL,
  `name` varchar(255) NOT NULL,
  `category` char(10) NOT NULL,
  `trader`   char(10) NOT NULL,
  `type`     char(10) NOT NULL,
  `money`    char(10) NOT NULL,
  `desc`     char(10) NOT NULL,
  `date`     char(10) NOT NULL,
  `fee`      char(10) NOT NULL,
  `dept`     char(10) NOT NULL,
  `product`  char(10) NOT NULL,
  `handlers` char(10) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_sso`;
CREATE TABLE IF NOT EXISTS `sys_sso` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `sid` char(32) NOT NULL,
  `entry` mediumint(8) unsigned NOT NULL,
  `token` char(32) NOT NULL,
  `time` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sid` (`sid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_task`;
CREATE TABLE IF NOT EXISTS `sys_task` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `project` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `customer` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL,
  `pri` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `estimate` decimal(12,1) unsigned NOT NULL,
  `consumed` decimal(12,1) unsigned NOT NULL,
  `left` decimal(12,1) unsigned NOT NULL,
  `deadline` date NOT NULL,
  `status` enum('wait','doing','done','cancel','closed') NOT NULL DEFAULT 'wait',
  `statusCustom` tinyint(3) unsigned NOT NULL,
  `mailto` varchar(255) NOT NULL DEFAULT '',
  `desc` text NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` varchar(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `estStarted` date NOT NULL,
  `realStarted` date NOT NULL,
  `finishedBy` varchar(30) NOT NULL,
  `finishedDate` datetime NOT NULL,
  `canceledBy` varchar(30) NOT NULL,
  `canceledDate` datetime NOT NULL,
  `closedBy` varchar(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `closedReason` varchar(30) NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  `key` smallint(5) unsigned NOT NULL default 0,
  PRIMARY KEY (`id`),
  KEY `statusOrder` (`statusCustom`),
  KEY `assignedTo` (`assignedTo`),
  KEY `createdBy` (`createdBy`),
  KEY `finishedBy` (`finishedBy`),
  KEY `closedBy` (`closedBy`),
  KEY `closedReason` (`closedReason`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_team`;
CREATE TABLE IF NOT EXISTS `sys_team` (
  `type` char(30) NOT NULL,
  `id` mediumint(8) NOT NULL DEFAULT '0',
  `account` char(30) NOT NULL DEFAULT '',
  `role` char(30) NOT NULL DEFAULT '',
  `join` date NOT NULL DEFAULT '0000-00-00',
  `days` smallint(5) unsigned NOT NULL,
  `hours` float unsigned NOT NULL,
  `estimate` decimal(12,1) unsigned NOT NULL,
  `consumed` decimal(12,1) unsigned NOT NULL,
  `left` decimal(12,1) unsigned NOT NULL,
  `order` tinyint(3) unsigned NOT NULL,
  `contribution` decimal(6,2) unsigned NOT NULL,
  `rate` decimal(6,2) unsigned NOT NULL,
  `status` enum('wait', 'accept', 'reject') NOT NULL DEFAULT 'wait',
  PRIMARY KEY (`type`,`id`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE IF NOT EXISTS `sys_user` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `dept` mediumint(8) unsigned NOT NULL,
  `account` char(30) NOT NULL DEFAULT '',
  `password` char(32) NOT NULL DEFAULT '',
  `realname` char(30) NOT NULL DEFAULT '',
  `role` char(30) NOT NULL,
  `nickname` char(60) NOT NULL DEFAULT '',
  `admin` enum('no','super') NOT NULL DEFAULT 'no',
  `avatar` varchar(255) NOT NULL DEFAULT '',
  `birthday` date NOT NULL,
  `gender` enum('f','m','u') NOT NULL DEFAULT 'u',
  `email` char(90) NOT NULL DEFAULT '',
  `skype` char(90) NOT NULL,
  `qq` char(20) NOT NULL DEFAULT '',
  `weixin` char(50) NOT NULL,
  `yahoo` char(90) NOT NULL DEFAULT '',
  `gtalk` char(90) NOT NULL DEFAULT '',
  `wangwang` char(90) NOT NULL DEFAULT '',
  `site` varchar(100) NOT NULL,
  `mobile` char(11) NOT NULL DEFAULT '',
  `phone` char(20) NOT NULL DEFAULT '',
  `address` char(120) NOT NULL DEFAULT '',
  `zipcode` char(10) NOT NULL DEFAULT '',
  `visits` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `ip` char(50) NOT NULL DEFAULT '',
  `last` datetime NOT NULL,
  `ping` datetime NOT NULL,
  `fails` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `join` datetime NOT NULL,
  `locked` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `account` (`account`),
  KEY `admin` (`admin`),
  KEY `accountPassword` (`account`,`password`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_usercontact`;
CREATE TABLE IF NOT EXISTS `sys_usercontact` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `name` varchar(60) NOT NULL,
  `member` text NOT NULL,
  `public` enum('0', '1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_group`;
CREATE TABLE IF NOT EXISTS `sys_group` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` char(30) NOT NULL,
  `desc` char(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_usergroup`;
CREATE TABLE IF NOT EXISTS `sys_usergroup` (
  `account` char(30) NOT NULL DEFAULT '',
  `group` mediumint(8) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `account` (`account`,`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_grouppriv`;
CREATE TABLE IF NOT EXISTS `sys_grouppriv` (
  `group` mediumint(8) unsigned NOT NULL default '0',
  `module` char(30) NOT NULL default '',
  `method` char(30) NOT NULL default '',
  UNIQUE KEY `group` (`group`,`module`,`method`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_userquery`;
CREATE TABLE IF NOT EXISTS `sys_userquery` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `account` char(30) NOT NULL,
  `module` varchar(30) NOT NULL,
  `title` varchar(90) NOT NULL,
  `form` text NOT NULL,
  `sql` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `account` (`account`),
  KEY `module` (`module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
-- DROP TABLE IF EXISTS `sys_cron`;
CREATE TABLE IF NOT EXISTS `sys_cron` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `m` varchar(20) NOT NULL,
  `h` varchar(20) NOT NULL,
  `dom` varchar(20) NOT NULL,
  `mon` varchar(20) NOT NULL,
  `dow` varchar(20) NOT NULL,
  `command` text NOT NULL,
  `remark` varchar(255) NOT NULL,
  `type` varchar(20) NOT NULL,
  `buildin` tinyint(1) NOT NULL DEFAULT '0',
  `status` varchar(20) NOT NULL,
  `lastTime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `sys_category` (`id`, `name`, `parent`, `path`, `grade`, `type`, `order`, `major`) VALUES
('1', '主营业务收入',   '0', ',1,',   '1', 'in',  '1', '1'),
('2', '非主营业务收入', '0', ',2,',   '1', 'in',  '2', '2'),
('3', '主营业务成本',   '0', ',3,',   '1', 'out', '3', '3'),
('4', '非主营业务成本', '0', ',4,',   '1', 'out', '4', '4'),
('5', '理财盈利',       '2', ',2,5,', '2', 'in',  '5', '5'),
('6', '理财亏损',       '4', ',4,6,', '2', 'out', '6', '6'),
('7', '手续费',         '4', ',4,7,', '2', 'out', '7', '7'),
('8', '借贷利息',       '4', ',4,8,', '2', 'out', '8', '8');

INSERT INTO `sys_group` VALUES (1,'管理员','管理员拥有前台所有权限'),(2,'财务专员','财务专员拥有现金流所有权限'),(3,'销售经理','销售经理拥有客户管理所有权限'),(4,'销售人员','默认的销售人员权限'),(5,'普通用户','默认的普通账号权限');
INSERT INTO `sys_usergroup` (account,`group`) SELECT account,5 FROM `sys_user`;
INSERT INTO `sys_schema` (`name`, `category`, `trader`, `type`, `money`, `desc`, `date`, `fee`) VALUES
('支付宝',       '', 'H', 'K', 'J',   'I,O', 'D', 'M'),
('中信银行简版', '', 'C', '',  'E,D', 'G,H', 'A', '');

INSERT INTO `sys_grouppriv` (`group`, `module`, `method`) VALUES
(1,'action','deleteAllDating'),
(1,'action','finishAllDating'),
(1,'address','browse'),
(1,'address','create'),
(1,'address','delete'),
(1,'address','edit'),
(1,'announce','browse'),
(1,'announce','create'),
(1,'announce','delete'),
(1,'announce','edit'),
(1,'announce','view'),
(1,'apppriv','cash'),
(1,'apppriv','crm'),
(1,'apppriv','doc'),
(1,'apppriv','oa'),
(1,'apppriv','proj'),
(1,'apppriv','superadmin'),
(1,'apppriv','team'),
(1,'attend','batchReview'),
(1,'attend','browseReview'),
(1,'attend','company'),
(1,'attend','department'),
(1,'attend','export'),
(1,'attend','exportStat'),
(1,'attend','personalSettings'),
(1,'attend','review'),
(1,'attend','saveStat'),
(1,'attend','setManager'),
(1,'attend','settings'),
(1,'attend','stat'),
(1,'attend','detail'),
(1,'attend','exportDetail'),
(1,'balance','browse'),
(1,'balance','create'),
(1,'balance','delete'),
(1,'balance','edit'),
(1,'blog','create'),
(1,'blog','delete'),
(1,'blog','edit'),
(1,'blog','index'),
(1,'blog','view'),
(1,'contact','browse'),
(1,'contact','create'),
(1,'contact','delete'),
(1,'contact','edit'),
(1,'contact','export'),
(1,'contact','exportTemplate'),
(1,'contact','import'),
(1,'contact','vcard'),
(1,'contact','view'),
(1,'contract','browse'),
(1,'contract','cancel'),
(1,'contract','confirmTeam'),
(1,'contract','create'),
(1,'contract','delete'),
(1,'contract','deleteDelivery'),
(1,'contract','deleteReturn'),
(1,'contract','delivery'),
(1,'contract','edit'),
(1,'contract','editDelivery'),
(1,'contract','editReturn'),
(1,'contract','export'),
(1,'contract','finish'),
(1,'contract','manageTeam'),
(1,'contract','receive'),
(1,'contract','view'),
(1,'company','setBasic'),
(1,'crm','manageAll'),
(1,'cron','index'),
(1,'cron','create'),
(1,'cron','edit'),
(1,'cron','delete'),
(1,'cron','turnon'),
(1,'cron','toggle'),
(1,'customer','assign'),
(1,'customer','batchAssign'),
(1,'customer','browse'),
(1,'customer','contact'),
(1,'customer','contract'),
(1,'customer','create'),
(1,'customer','delete'),
(1,'customer','edit'),
(1,'customer','export'),
(1,'customer','linkContact'),
(1,'customer','order'),
(1,'customer','view'),
(1,'customer','merge'),
(1,'depositor','activate'),
(1,'depositor','browse'),
(1,'depositor','check'),
(1,'depositor','create'),
(1,'depositor','delete'),
(1,'depositor','edit'),
(1,'depositor','export'),
(1,'depositor','forbid'),
(1,'depositor','savebalance'),
(1,'depositor','view'),
(1,'doc','index'),
(1,'doc','allLibs'),
(1,'doc','projectLibs'),
(1,'doc','showFiles'),
(1,'doc','browse'),
(1,'doc','create'),
(1,'doc','createLib'),
(1,'doc','delete'),
(1,'doc','deleteLib'),
(1,'doc','edit'),
(1,'doc','editLib'),
(1,'doc','view'),
(1,'doc','sort'),
(1,'egress','department'),
(1,'egress','company'),
(1,'file','delete'),
(1,'file','download'),
(1,'file','edit'),
(1,'file','upload'),
(1,'forum','admin'),
(1,'forum','board'),
(1,'forum','index'),
(1,'forum','update'),
(1,'holiday','create'),
(1,'holiday','delete'),
(1,'holiday','edit'),
(1,'leads','apply'),
(1,'leads','assign'),
(1,'leads','assignedToNull'),
(1,'leads','browse'),
(1,'leads','batchAssign'),
(1,'leads','batchIgnore'),
(1,'leads','create'),
(1,'leads','edit'),
(1,'leads','delete'),
(1,'leads','ignore'),
(1,'leads','transform'),
(1,'leads','view'),
(1,'leads','setting'),
(1,'leave','batchReview'),
(1,'leave','browseReview'),
(1,'leave','company'),
(1,'leave','export'),
(1,'leave','personalAnnual'),
(1,'leave','review'),
(1,'leave','setReviewer'),
(1,'lieu','browseReview'),
(1,'lieu','company'),
(1,'lieu','review'),
(1,'lieu','batchReview'),
(1,'lieu','setReviewer'),
(1,'makeup','browseReview'),
(1,'makeup','company'),
(1,'makeup','review'),
(1,'makeup','batchReview'),
(1,'makeup','export'),
(1,'makeup','setReviewer'),
(1,'my','company'),
(1,'order','activate'),
(1,'order','assign'),
(1,'order','batchAssign'),
(1,'order','browse'),
(1,'order','close'),
(1,'order','contact'),
(1,'order','create'),
(1,'order','delete'),
(1,'order','edit'),
(1,'order','export'),
(1,'order','view'),
(1,'overtime','browseReview'),
(1,'overtime','company'),
(1,'overtime','review'),
(1,'overtime','batchReview'),
(1,'overtime','export'),
(1,'overtime','setReviewer'),
(1,'product','browse'),
(1,'product','create'),
(1,'product','delete'),
(1,'product','edit'),
(1,'product','view'),
(1,'provider','browse'),
(1,'provider','contact'),
(1,'provider','create'),
(1,'provider','delete'),
(1,'provider','edit'),
(1,'provider','linkContact'),
(1,'provider','merge'),
(1,'provider','view'),
(1,'purchasecontract','browse'),
(1,'purchasecontract','cancel'),
(1,'purchasecontract','create'),
(1,'purchasecontract','delete'),
(1,'purchasecontract','deleteReturn'),
(1,'purchasecontract','edit'),
(1,'purchasecontract','editReturn'),
(1,'purchasecontract','export'),
(1,'purchasecontract','finish'),
(1,'purchasecontract','pay'),
(1,'purchasecontract','view'),
(1,'refund','browseReview'),
(1,'refund','company'),
(1,'refund','reimburse'),
(1,'refund','review'),
(1,'refund','todo'),
(1,'refund','setReviewer'),
(1,'refund','setCategory'),
(1,'refund','setDepositor'),
(1,'refund','setRefundBy'),
(1,'refund','export'),
(1,'report','browse'),
(1,'resume','browse'),
(1,'resume','create'),
(1,'resume','delete'),
(1,'resume','edit'),
(1,'resume','leave'),
(1,'sales','admin'),
(1,'sales','browse'),
(1,'sales','create'),
(1,'sales','delete'),
(1,'sales','edit'),
(1,'schema','browse'),
(1,'schema','create'),
(1,'schema','delete'),
(1,'schema','edit'),
(1,'schema','view'),
(1,'setting','customerPool'),
(1,'setting','lang'),
(1,'setting','modules'),
(1,'setting','reset'),
(1,'task','deleteAll'),
(1,'task','editAll'),
(1,'task','viewAll'),
(1,'thread','delete'),
(1,'thread','deleteFile'),
(1,'thread','edit'),
(1,'thread','post'),
(1,'thread','stick'),
(1,'thread','switchStatus'),
(1,'thread','transfer'),
(1,'thread','view'),
(1,'trade','batchCreate'),
(1,'trade','batchEdit'),
(1,'trade','browse'),
(1,'trade','view'),
(1,'trade','create'),
(1,'trade','delete'),
(1,'trade','detail'),
(1,'trade','edit'),
(1,'trade','export'),
(1,'trade','import'),
(1,'trade','invest'),
(1,'trade','loan'),
(1,'trade','report'),
(1,'trade','transfer'),
(1,'trade','compare'),
(1,'trade','export2Excel'),
(1,'trade','setReportUnit'),
(1,'trade','tradeSetting'),
(1,'tree','browse'),
(1,'tree','children'),
(1,'tree','delete'),
(1,'tree','edit'),
(1,'tree','merge'),
(1,'trip','company'),
(1,'trip','department'),
(1,'user','active'),
(1,'user','admin'),
(1,'user','batchCreate'),
(1,'user','colleague'),
(1,'user','create'),
(1,'user','delete'),
(1,'user','edit'),
(1,'user','exportTemplate'),
(1,'user','forbid'),
(1,'user','import'),
(2,'address','browse'),
(2,'announce','browse'),
(2,'announce','create'),
(2,'announce','edit'),
(2,'announce','view'),
(2,'apppriv','cash'),
(2,'apppriv','crm'),
(2,'apppriv','doc'),
(2,'apppriv','oa'),
(2,'apppriv','proj'),
(2,'apppriv','team'),
(2,'attend','company'),
(2,'attend','export'),
(2,'attend','exportStat'),
(2,'attend','saveStat'),
(2,'attend','stat'),
(2,'balance','browse'),
(2,'balance','create'),
(2,'balance','delete'),
(2,'balance','edit'),
(2,'blog','create'),
(2,'blog','edit'),
(2,'blog','index'),
(2,'blog','view'),
(2,'contact','browse'),
(2,'contact','vcard'),
(2,'contact','view'),
(2,'contract','browse'),
(2,'contract','view'),
(2,'crm','manageAll'),
(2,'customer','browse'),
(2,'customer','contact'),
(2,'customer','contract'),
(2,'customer','order'),
(2,'customer','view'),
(2,'depositor','activate'),
(2,'depositor','browse'),
(2,'depositor','check'),
(2,'depositor','create'),
(2,'depositor','delete'),
(2,'depositor','edit'),
(2,'depositor','export'),
(2,'depositor','forbid'),
(2,'depositor','savebalance'),
(2,'doc','index'),
(2,'doc','allLibs'),
(2,'doc','projectLibs'),
(2,'doc','showFiles'),
(2,'doc','browse'),
(2,'doc','create'),
(2,'doc','createLib'),
(2,'doc','edit'),
(2,'doc','editLib'),
(2,'doc','view'),
(2,'doc','sort'),
(2,'forum','admin'),
(2,'forum','board'),
(2,'forum','index'),
(2,'holiday','create'),
(2,'holiday','delete'),
(2,'holiday','edit'),
(2,'leads','browse'),
(2,'leads','view'),
(2,'leave','company'),
(2,'order','browse'),
(2,'order','contact'),
(2,'order','view'),
(2,'product','browse'),
(2,'product','view'),
(2,'provider','browse'),
(2,'provider','contact'),
(2,'provider','create'),
(2,'provider','delete'),
(2,'provider','edit'),
(2,'provider','linkContact'),
(2,'provider','merge'),
(2,'provider','view'),
(2,'purchasecontract','browse'),
(2,'purchasecontract','view'),
(2,'refund','browseReview'),
(2,'refund','company'),
(2,'refund','reimburse'),
(2,'refund','review'),
(2,'refund','todo'),
(2,'refund','setCategory'),
(2,'refund','setDepositor'),
(2,'resume','browse'),
(2,'sales','browse'),
(2,'schema','browse'),
(2,'schema','create'),
(2,'schema','delete'),
(2,'schema','edit'),
(2,'schema','view'),
(2,'setting','lang'),
(2,'setting','reset'),
(2,'thread','edit'),
(2,'thread','post'),
(2,'thread','stick'),
(2,'thread','switchStatus'),
(2,'thread','transfer'),
(2,'thread','view'),
(2,'trade','batchCreate'),
(2,'trade','batchEdit'),
(2,'trade','browse'),
(2,'trade','view'),
(2,'trade','create'),
(2,'trade','delete'),
(2,'trade','detail'),
(2,'trade','edit'),
(2,'trade','export'),
(2,'trade','import'),
(2,'trade','invest'),
(2,'trade','loan'),
(2,'trade','report'),
(2,'trade','transfer'),
(2,'trade','compare'),
(2,'trade','export2Excel'),
(2,'trade','setReportUnit'),
(2,'trade','tradeSetting'),
(2,'tree','browse'),
(2,'tree','children'),
(2,'tree','edit'),
(2,'tree','merge'),
(2,'trip','company'),
(2,'user','colleague'),
(2,'file','upload'),
(2,'file','download'),
(2,'file','edit'),
(2,'file','delete'),
(3,'action','deleteAllDating'),
(3,'action','finishAllDating'),
(3,'address','browse'),
(3,'address','create'),
(3,'address','delete'),
(3,'address','edit'),
(3,'announce','browse'),
(3,'announce','create'),
(3,'announce','edit'),
(3,'announce','view'),
(3,'apppriv','cash'),
(3,'apppriv','crm'),
(3,'apppriv','doc'),
(3,'apppriv','oa'),
(3,'apppriv','proj'),
(3,'apppriv','team'),
(3,'blog','create'),
(3,'blog','edit'),
(3,'blog','index'),
(3,'blog','view'),
(3,'contact','browse'),
(3,'contact','create'),
(3,'contact','delete'),
(3,'contact','edit'),
(3,'contact','export'),
(3,'contact','exportTemplate'),
(3,'contact','import'),
(3,'contact','vcard'),
(3,'contact','view'),
(3,'contract','browse'),
(3,'contract','cancel'),
(3,'contract','confirmTeam'),
(3,'contract','create'),
(3,'contract','delete'),
(3,'contract','deleteDelivery'),
(3,'contract','deleteReturn'),
(3,'contract','delivery'),
(3,'contract','edit'),
(3,'contract','editDelivery'),
(3,'contract','editReturn'),
(3,'contract','export'),
(3,'contract','finish'),
(3,'contract','manageTeam'),
(3,'contract','receive'),
(3,'contract','view'),
(3,'crm','manageAll'),
(3,'customer','assign'),
(3,'customer','browse'),
(3,'customer','contact'),
(3,'customer','contract'),
(3,'customer','create'),
(3,'customer','delete'),
(3,'customer','edit'),
(3,'customer','export'),
(3,'customer','linkContact'),
(3,'customer','order'),
(3,'customer','view'),
(3,'customer','merge'),
(3,'depositor','browse'),
(3,'doc','index'),
(3,'doc','allLibs'),
(3,'doc','projectLibs'),
(3,'doc','showFiles'),
(3,'doc','browse'),
(3,'doc','create'),
(3,'doc','createLib'),
(3,'doc','edit'),
(3,'doc','editLib'),
(3,'doc','view'),
(3,'doc','sort'),
(3,'egress','department'),
(3,'forum','admin'),
(3,'forum','board'),
(3,'forum','index'),
(3,'leads','apply'),
(3,'leads','assign'),
(3,'leads','assignedToNull'),
(3,'leads','browse'),
(3,'leads','create'),
(3,'leads','edit'),
(3,'leads','delete'),
(3,'leads','ignore'),
(3,'leads','transform'),
(3,'leads','view'),
(3,'leads','setting'),
(3,'leave','browseReview'),
(3,'leave','review'),
(3,'leave','batchReview'),
(3,'lieu','browseReview'),
(3,'lieu','review'),
(3,'lieu','batchReview'),
(3,'makeup','browseReview'),
(3,'makeup','review'),
(3,'makeup','batchReview'),
(3,'order','activate'),
(3,'order','assign'),
(3,'order','batchAssign'),
(3,'order','browse'),
(3,'order','close'),
(3,'order','contact'),
(3,'order','create'),
(3,'order','delete'),
(3,'order','edit'),
(3,'order','export'),
(3,'order','view'),
(3,'overtime','browseReview'),
(3,'overtime','review'),
(3,'overtime','batchReview'),
(3,'product','browse'),
(3,'product','create'),
(3,'product','delete'),
(3,'product','edit'),
(3,'product','view'),
(3,'purchasecontract','browse'),
(3,'purchasecontract','cancel'),
(3,'purchasecontract','create'),
(3,'purchasecontract','delete'),
(3,'purchasecontract','deleteReturn'),
(3,'purchasecontract','edit'),
(3,'purchasecontract','editReturn'),
(3,'purchasecontract','export'),
(3,'purchasecontract','finish'),
(3,'purchasecontract','pay'),
(3,'purchasecontract','view'),
(3,'refund','browseReview'),
(3,'refund','review'),
(3,'resume','browse'),
(3,'resume','create'),
(3,'resume','delete'),
(3,'resume','edit'),
(3,'resume','leave'),
(3,'sales','browse'),
(3,'sales','create'),
(3,'sales','delete'),
(3,'sales','edit'),
(3,'setting','customerPool'),
(3,'setting','lang'),
(3,'setting','reset'),
(3,'thread','edit'),
(3,'thread','post'),
(3,'thread','stick'),
(3,'thread','switchStatus'),
(3,'thread','transfer'),
(3,'thread','view'),
(3,'tree','browse'),
(3,'tree','children'),
(3,'tree','edit'),
(3,'trip','department'),
(3,'user','colleague'),
(3,'file','upload'),
(3,'file','download'),
(3,'file','edit'),
(3,'file','delete'),
(4,'address','browse'),
(4,'address','create'),
(4,'address','edit'),
(4,'announce','browse'),
(4,'announce','create'),
(4,'announce','edit'),
(4,'announce','view'),
(4,'apppriv','cash'),
(4,'apppriv','crm'),
(4,'apppriv','doc'),
(4,'apppriv','oa'),
(4,'apppriv','proj'),
(4,'apppriv','team'),
(4,'attend','browseReview'),
(4,'attend','department'),
(4,'attend','export'),
(4,'attend','review'),
(4,'blog','create'),
(4,'blog','edit'),
(4,'blog','index'),
(4,'blog','view'),
(4,'contact','browse'),
(4,'contact','create'),
(4,'contact','edit'),
(4,'contact','export'),
(4,'contact','exportTemplate'),
(4,'contact','import'),
(4,'contact','vcard'),
(4,'contact','view'),
(4,'contract','browse'),
(4,'contract','cancel'),
(4,'contract','confirmTeam'),
(4,'contract','create'),
(4,'contract','delivery'),
(4,'contract','edit'),
(4,'contract','editDelivery'),
(4,'contract','editReturn'),
(4,'contract','export'),
(4,'contract','finish'),
(4,'contract','receive'),
(4,'contract','view'),
(4,'customer','assign'),
(4,'customer','batchAssign'),
(4,'customer','browse'),
(4,'customer','contact'),
(4,'customer','contract'),
(4,'customer','create'),
(4,'customer','edit'),
(4,'customer','export'),
(4,'customer','linkContact'),
(4,'customer','order'),
(4,'customer','view'),
(4,'customer','merge'),
(4,'depositor','browse'),
(4,'doc','index'),
(4,'doc','allLibs'),
(4,'doc','projectLibs'),
(4,'doc','showFiles'),
(4,'doc','browse'),
(4,'doc','create'),
(4,'doc','createLib'),
(4,'doc','edit'),
(4,'doc','editLib'),
(4,'doc','view'),
(4,'doc','sort'),
(4,'forum','admin'),
(4,'forum','board'),
(4,'forum','index'),
(4,'leads','apply'),
(4,'leads','assign'),
(4,'leads','browse'),
(4,'leads','create'),
(4,'leads','edit'),
(4,'leads','ignore'),
(4,'leads','transform'),
(4,'leads','view'),
(4,'order','activate'),
(4,'order','assign'),
(4,'order','batchAssign'),
(4,'order','browse'),
(4,'order','close'),
(4,'order','contact'),
(4,'order','create'),
(4,'order','edit'),
(4,'order','export'),
(4,'order','view'),
(4,'product','browse'),
(4,'product','create'),
(4,'product','edit'),
(4,'product','view'),
(4,'purchasecontract','browse'),
(4,'purchasecontract','cancel'),
(4,'purchasecontract','create'),
(4,'purchasecontract','delete'),
(4,'purchasecontract','deleteReturn'),
(4,'purchasecontract','edit'),
(4,'purchasecontract','editReturn'),
(4,'purchasecontract','export'),
(4,'purchasecontract','finish'),
(4,'purchasecontract','pay'),
(4,'purchasecontract','view'),
(4,'resume','browse'),
(4,'resume','create'),
(4,'resume','edit'),
(4,'sales','browse'),
(4,'setting','lang'),
(4,'setting','reset'),
(4,'thread','edit'),
(4,'thread','post'),
(4,'thread','stick'),
(4,'thread','switchStatus'),
(4,'thread','transfer'),
(4,'thread','view'),
(4,'tree','browse'),
(4,'tree','children'),
(4,'tree','edit'),
(4,'user','colleague'),
(4,'file','upload'),
(4,'file','download'),
(4,'file','edit'),
(4,'file','delete'),
(5,'announce','browse'),
(5,'announce','create'),
(5,'announce','edit'),
(5,'announce','view'),
(5,'apppriv','oa'),
(5,'apppriv','doc'),
(5,'apppriv','proj'),
(5,'apppriv','team'),
(5,'blog','create'),
(5,'blog','edit'),
(5,'blog','index'),
(5,'blog','view'),
(5,'doc','index'),
(5,'doc','allLibs'),
(5,'doc','projectLibs'),
(5,'doc','showFiles'),
(5,'doc','browse'),
(5,'doc','create'),
(5,'doc','createLib'),
(5,'doc','edit'),
(5,'doc','editLib'),
(5,'doc','view'),
(5,'doc','sort'),
(5,'forum','admin'),
(5,'forum','board'),
(5,'forum','index'),
(5,'thread','edit'),
(5,'thread','post'),
(5,'thread','stick'),
(5,'thread','switchStatus'),
(5,'thread','transfer'),
(5,'thread','view'),
(5,'user','colleague'),
(5,'file','upload'),
(5,'file','download'),
(5,'file','edit'),
(5,'file','delete');

INSERT INTO `sys_cron` (`m`, `h`, `dom`, `mon`, `dow`, `command`, `remark`, `type`, `buildin`, `status`, `lastTime`) VALUES
('*', '*', '*', '*', '*', '', '监控定时任务', 'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=sys&moduleName=backup&methodName=backup&reload=0', '定时备份任务', 'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=sys&moduleName=backup&methodName=batchdelete&saveDays=30', '删除30天前的备份', 'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '7', '*', '*', '*', 'appName=sys&moduleName=report&methodName=remind', '每日提醒', 'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('*/10', '*', '*', '*', '*', 'appName=sys&moduleName=notify&methodName=additional', '检查是否添加待办', 'zdoo', 0, 'normal', '0000-00-00 00:00:00');
-- DROP TABLE IF EXISTS `im_chat`;
CREATE TABLE IF NOT EXISTS `im_chat` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `gid` char(40) NOT NULL DEFAULT '',
  `name` varchar(60) NOT NULL DEFAULT '',
  `type` varchar(20) NOT NULL DEFAULT 'group',
  `admins` varchar(255) NOT NULL DEFAULT '',
  `committers` varchar(255) NOT NULL DEFAULT '',
  `subject` mediumint(8) unsigned NOT NULL DEFAULT 0,
  `public` enum('0', '1') NOT NULL DEFAULT '0',
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `createdDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editedBy` varchar(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastActiveTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `dismissDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `gid` (`gid`),
  KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `public` (`public`),
  KEY `createdBy` (`createdBy`),
  KEY `editedBy` (`editedBy`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_chatuser`;
CREATE TABLE IF NOT EXISTS `im_chatuser` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `cgid` char(40) NOT NULL DEFAULT '',
  `user` mediumint(8) NOT NULL DEFAULT 0,
  `order` smallint(5) NOT NULL DEFAULT 0,
  `star` enum('0', '1') NOT NULL DEFAULT '0',
  `hide` enum('0', '1') NOT NULL DEFAULT '0',
  `mute` enum('0', '1') NOT NULL DEFAULT '0',
  `freeze` enum('0', '1') NOT NULL DEFAULT '0',
  `join` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `quit` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `category` varchar(40) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `cgid` (`cgid`),
  KEY `user` (`user`),
  KEY `order` (`order`),
  KEY `star` (`star`),
  KEY `hide` (`hide`),
  UNIQUE KEY `chatuser` (`cgid`, `user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_client`;
CREATE TABLE IF NOT EXISTS `im_client` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `version` char(30) NOT NULL DEFAULT '',
  `desc` varchar(100) NOT NULL DEFAULT '',
  `changeLog` text NOT NULL,
  `strategy` varchar(10) NOT NULL DEFAULT '',
  `downloads` text NOT NULL,
  `createdDate` datetime NOT NULL,
  `createdBy` varchar(30) NOT NULL DEFAULT '',
  `editedDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL DEFAULT '',
  `status` enum('released','wait') NOT NULL DEFAULT 'wait',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_message`;
CREATE TABLE IF NOT EXISTS `im_message` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `gid` char(40) NOT NULL DEFAULT '',
  `cgid` char(40) NOT NULL DEFAULT '',
  `user` varchar(30) NOT NULL DEFAULT '',
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `order` bigint(8) unsigned NOT NULL,
  `type` enum('normal', 'broadcast', 'notify') NOT NULL DEFAULT 'normal',
  `content` text NOT NULL DEFAULT '',
  `contentType` enum('text', 'plain', 'emotion', 'image', 'file', 'object', 'code') NOT NULL DEFAULT 'text',
  `data` text NOT NULL DEFAULT '',
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mgid` (`gid`),
  KEY `mcgid` (`cgid`),
  KEY `muser` (`user`),
  KEY `mtype` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_messagestatus`;
CREATE TABLE IF NOT EXISTS `im_messagestatus` (
  `user` mediumint(8) NOT NULL DEFAULT 0,
  `message` int(11) unsigned NOT NULL,
  `status` enum('waiting','sent','readed','deleted') NOT NULL DEFAULT 'waiting',
  UNIQUE KEY `user` (`user`,`message`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_queue`;
CREATE TABLE IF NOT EXISTS `im_queue` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `type` char(30) NOT NULL,
  `content` text NOT NULL,
  `addDate` datetime NOT NULL,
  `processDate` datetime NOT NULL,
  `result` text NOT NULL,
  `status` char(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_conference`;
CREATE TABLE IF NOT EXISTS `im_conference` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `rid` char(24) NOT NULL DEFAULT '',
  `cgid` char(40) NOT NULL DEFAULT '',
  `status` enum('closed','open') NOT NULL DEFAULT 'closed',
  `participants` text NOT NULL,
  `openedBy` mediumint(8) NOT NULL DEFAULT 0,
  `openedDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `im_conferenceaction`;
CREATE TABLE IF NOT EXISTS `im_conferenceaction` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `rid` char(24) NOT NULL DEFAULT '',
  `type` enum('create','join','leave','close') NOT NULL DEFAULT 'create',
  `user` mediumint(8) NOT NULL DEFAULT 0,
  `date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

ALTER TABLE `sys_entry` ADD `sso` enum('0', '1') NOT NULL DEFAULT '0';
ALTER TABLE `sys_file` CHANGE `pathname` `pathname` char(100) NOT NULL;
ALTER TABLE `sys_user` ADD `clientStatus` enum('online', 'away', 'busy', 'offline') NOT NULL DEFAULT 'offline';
ALTER TABLE `sys_user` ADD `clientLang` varchar(10) NOT NULL DEFAULT 'zh-cn';
-- DROP TABLE IF EXISTS `ameba_budget`;
CREATE TABLE IF NOT EXISTS `ameba_budget` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `year` char(4) NOT NULL,
  `month` char(2) NOT NULL,
  `week` char(2) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `amebaAccount` varchar(30) NOT NULL,
  `tradeDept` mediumint(8) unsigned NOT NULL,
  `line` varchar(60) NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `category` varchar(30) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `sharedDept` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `amebaBudget` (`year`, `month`, `week`, `dept`, `amebaAccount`, `tradeDept`, `line`, `product`, `category`),
  KEY `year` (`year`),
  KEY `dept` (`dept`),
  KEY `category` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_category`;
CREATE TABLE IF NOT EXISTS `ameba_category` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `origin` mediumint(8) unsigned NOT NULL,
  `year` char(4) NOT NULL,
  `root` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `parent` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `path` char(255) NOT NULL DEFAULT '',
  `grade` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `type` char(30) NOT NULL DEFAULT 'amebaAccount',
  `amebaAccount` varchar(30) NOT NULL,
  `category` mediumint(8) unsigned NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `origin` (`origin`),
  KEY `year` (`year`),
  KEY `parent` (`parent`),
  KEY `path` (`path`),
  KEY `grade` (`grade`),
  KEY `order` (`order`),
  KEY `type` (`type`),
  KEY `category` (`category`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_deal`;
CREATE TABLE IF NOT EXISTS `ameba_deal` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `from` mediumint(8) unsigned NOT NULL,
  `date` date NOT NULL,
  `amebaAccount` varchar(30) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `type` varchar(30) NOT NULL,
  `trade` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  `status` enum('wait', 'normal') NOT NULL DEFAULT 'wait',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `confirmedBy` varchar(30) NOT NULL,
  `confirmedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `date` (`date`),
  KEY `amebaAccount` (`amebaAccount`),
  KEY `dept` (`dept`),
  KEY `category` (`category`),
  KEY `type` (`type`),
  KEY `contract` (`contract`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_fee`;
CREATE TABLE IF NOT EXISTS `ameba_fee` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `type` varchar(20) NOT NULL,
  `category` varchar(30) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `period` varchar(10) NOT NULL DEFAULT 'month',
  `shareType` varchar(30) NOT NULL DEFAULT 'person',
  `money` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `amebaFee` (`month`, `category`, `dept`),
  KEY `month` (`month`),
  KEY `type` (`type`),
  KEY `category` (`category`),
  KEY `dept` (`dept`),
  KEY `period` (`period`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_rule`;
CREATE TABLE IF NOT EXISTS `ameba_rule` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `parent` mediumint(8) unsigned NOT NULL,
  `month` char(6) NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL,
  `from` mediumint(8) unsigned NOT NULL,
  `fromCategory` mediumint(8) unsigned NOT NULL,
  `to` mediumint(8) unsigned NOT NULL,
  `toCategory` mediumint(8) unsigned NOT NULL,
  `rate` decimal(6,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `amebaRule` (`parent`, `month`, `product`, `category`, `to`),
  KEY `month` (`month`),
  KEY `product` (`product`),
  KEY `category` (`category`),
  KEY `to` (`to`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_sharefee`;
CREATE TABLE IF NOT EXISTS `ameba_sharefee` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `fee` mediumint(8) unsigned NOT NULL,
  `month` char(6) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `rate` decimal(6,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `feeDept` (`fee`, `dept`),
  KEY `fee` (`fee`),
  KEY `month` (`month`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_statement`;
CREATE TABLE IF NOT EXISTS `ameba_statement` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `type` varchar(30) NOT NULL,
  `amebaAccount` varchar(30) NOT NULL,
  `category` varchar(30) NOT NULL,
  `item` varchar(30) NOT NULL,
  `date` date NOT NULL,
  `expect` decimal(12,2) NOT NULL,
  `actual` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `archived` enum('0', '1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `amebaStatement` (`month`, `dept`, `type`, `amebaAccount`, `category`, `date`),
  KEY `month` (`month`),
  KEY `dept` (`dept`),
  KEY `type` (`type`),
  KEY `amebaAccount` (`amebaAccount`),
  KEY `category` (`category`),
  KEY `date` (`date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_dept`;
CREATE TABLE IF NOT EXISTS `ameba_dept` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `dept` mediumint(8) unsigned NOT NULL,
  `month` char(6) NOT NULL,
  `name` char(30) NOT NULL,
  `root` mediumint(8) unsigned NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `path` char(255) NOT NULL,
  `grade` tinyint(3) unsigned NOT NULL,
  `order` smallint(5) unsigned NOT NULL,
  `moderators` varchar(255) NOT NULL,
  `isAmebaDept` enum('0', '1') NOT NULL DEFAULT '0',
  `amebaDept` varchar(10) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `deptMonth` (`dept`, `month`),
  KEY `dept` (`dept`),
  KEY `month` (`month`),
  KEY `parent` (`parent`),
  KEY `path` (`path`),
  KEY `grade` (`grade`),
  KEY `order` (`order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_user`;
CREATE TABLE IF NOT EXISTS `ameba_user` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `parent` varchar(30) NOT NULL,
  `unofficial` enum('0', '1') NOT NULL DEFAULT '0',
  `dept` mediumint(8) unsigned NOT NULL,
  `account` char(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `monthAccount` (`month`, `account`),
  KEY `parent` (`parent`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `ameba_setting`;
CREATE TABLE IF NOT EXISTS `ameba_setting` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `taxRate` decimal(5, 2) unsigned NOT NULL,
  `shareDepts` varchar(255) NOT NULL,
  `laborCategory` mediumint(8) unsigned NOT NULL,
  `excludeCategories` text NOT NULL,
  `reportType` varchar(20) NOT NULL,
  `reportNum` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `month` (`month`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_fund`;
CREATE TABLE IF NOT EXISTS `cash_fund` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(20) NOT NULL DEFAULT 'receivable',
  `origin` varchar(20) NOT NULL,
  `parent` int(11) signed NOT NULL,
  `trader` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `batch` mediumint(8) unsigned NOT NULL,
  `deserved` decimal(15,2) NOT NULL,
  `actual` decimal(15,2) NOT NULL,
  `balance` decimal(15,2) NOT NULL,
  `custom` enum('0', '1') NOT NULL DEFAULT '0',
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`),
  KEY `origin` (`origin`),
  KEY `parent` (`parent`),
  KEY `trader` (`trader`),
  KEY `order` (`order`),
  KEY `batch` (`batch`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_invoice`;
CREATE TABLE IF NOT EXISTS `cash_invoice` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `serialNumber` smallint(5) NOT NULL,
  `sn` varchar(20) NOT NULL,
  `company` mediumint(8) unsigned NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `contact` mediumint(8) unsigned NOT NULL,
  `address` mediumint(8) unsigned NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `kind` enum('sale', 'purchase') NOT NULL DEFAULT 'sale',
  `type` varchar(30) NOT NULL,
  `saleType` varchar(30) NOT NULL,
  `taxRate` tinyint(3) unsigned NOT NULL,
  `invoiceTitle` varchar(100) NOT NULL,
  `taxNumber` varchar(20) NOT NULL,
  `registedAddress` varchar(90) NOT NULL,
  `phone` varchar(50) NOT NULL,
  `bankName` varchar(100) NOT NULL,
  `bankAccount` varchar(30) NOT NULL,
  `express` varchar(30) NOT NULL,
  `waybill` varchar(30) NOT NULL,
  `sendway` varchar(30) NOT NULL,
  `sendAccount` varchar(100) NOT NULL,
  `status` varchar(30) NOT NULL,
  `subStatus` varchar(30) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `receivedBy` varchar(30) NOT NULL,
  `receivedDate` datetime NOT NULL,
  `checkedBy` varchar(30) NOT NULL,
  `checkedDate` datetime NOT NULL,
  `drawnBy` varchar(30) NOT NULL,
  `drawnDate` datetime NOT NULL,
  `expressedBy` varchar(30) NOT NULL,
  `expressedDate` datetime NOT NULL,
  `taxRefundedBy` varchar(30) NOT NULL,
  `taxRefundedDate` datetime NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `customer` (`customer`),
  KEY `contract` (`contract`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_invoicedetail`;
CREATE TABLE IF NOT EXISTS `cash_invoicedetail` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `invoice` mediumint(8) unsigned NOT NULL,
  `item` varchar(100) NOT NULL,
  `itemType` varchar(10) NOT NULL,
  `itemID` mediumint(8) unsigned NOT NULL,
  `model` varchar(100) NOT NULL,
  `unit` varchar(20) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `price` decimal(12,2) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `taxRate` tinyint(3) unsigned NOT NULL,
  `taxMoney` decimal(12,2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice` (`invoice`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_tradeinvoice`;
CREATE TABLE IF NOT EXISTS `cash_tradeinvoice` (
  `trade` mediumint(8) unsigned NOT NULL,
  `invoice` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  UNIQUE KEY `tradeInvoice` (`trade`,`invoice`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_kingdeeaccount`;
CREATE TABLE IF NOT EXISTS `cash_kingdeeaccount` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `company` mediumint(8) unsigned NOT NULL,
  `number` varchar(128) NOT NULL,
  `name` varchar(160) NOT NULL,
  `helperCode` varchar(40) NOT NULL,
  `groupID` varchar(255) NOT NULL,
  `dc` varchar(10) NOT NULL,
  `currencyID` varchar(255) NOT NULL,
  `adjustRate` varchar(10) NOT NULL,
  `contact` varchar(10) NOT NULL,
  `quantities` varchar(10) NOT NULL,
  `unitGroupID` varchar(255) NOT NULL,
  `measureUnitID` varchar(255) NOT NULL,
  `isCash` varchar(10) NOT NULL,
  `isBank` varchar(10) NOT NULL,
  `journal` varchar(10) NOT NULL,
  `detailID` varchar(10) NOT NULL,
  `isBalance` varchar(10) NOT NULL,
  `mainItemID` varchar(255) NOT NULL,
  `subItemID` varchar(255) NOT NULL,
  `itemClassNumber` varchar(255) NOT NULL,
  `itemClassName` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_mappingrelation`;
CREATE TABLE IF NOT EXISTS `cash_mappingrelation` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `company` mediumint(8) unsigned NOT NULL,
  `type` varchar(10) NOT NULL,
  `depositor` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `invoice` varchar(50) NOT NULl,
  `saleType` varchar(30) NOT NULl,
  `explanation` text NOT NULL,
  `account` varchar(255) NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY (`company`, `type`, `depositor`, `category`, `product`, `invoice`, `saleType`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_voucher`;
CREATE TABLE IF NOT EXISTS `cash_voucher` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `company` mediumint(8) unsigned NOT NULL,
  `origin` varchar(255) NOT NULL,
  `date` date NOT NULL COMMENT '凭证日期',
  `type` char(3) NOT NULL COMMENT '凭证字',
  `number` smallint(5) unsigned NOT NULL COMMENT '凭证号',
  `currency` varchar(5) NOT NULL DEFAULT 'RMB' COMMENT '币别代码',
  `debit` decimal(12,2) NOT NULL COMMENT '借方',
  `credit` decimal(12,2) NOT NULL COMMENT '贷方',
  `preparer` varchar(30) NOT NULL COMMENT '制单',
  `checker` varchar(30) NOT NULL COMMENT '审核',
  `approve` varchar(30) NOT NULL COMMENT '核准',
  `cashier` varchar(30) NOT NULL COMMENT '出纳',
  `handler` varchar(30) NOT NULL COMMENT '经办',
  `settleType` varchar(10) NOT NULL COMMENT '结算方式',
  `settleNo` varchar(10) NOT NULL COMMENT '结算号',
  `explanation` text NOT NULL COMMENT '凭证摘要',
  `reference` varchar(10) NOT NULL COMMENT '参考信息',
  `transDate` date NOT NULL COMMENT '业务日期',
  `transNo` varchar(10) NOT NULL COMMENT '往来业务编号',
  `attachments` tinyint(3) NOT NULL COMMENT '附件数',
  `serialNum` smallint(5) unsigned NOT NULL COMMENT '序号',
  `objectName` varchar(10) NOT NULL COMMENT '系统模块',
  `parameter` varchar(10) NOT NULL COMMENT '业务描述',
  `exchangeRate` decimal(12,4) NOT NULL COMMENT '汇率',
  `posted` tinyint(3) unsigned NOT NULL COMMENT '过账',
  `internalInd` varchar(10) NOT NULL COMMENT '机制凭证',
  `cashFlow` varchar(10) NOT NULL COMMENT '现金流量',
  `status` varchar(10) NOT NULL DEFAULT 'wait',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `confirmedBy` char(30) NOT NULL,
  `confirmedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `cash_voucherdetail`;
CREATE TABLE IF NOT EXISTS `cash_voucherdetail` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `voucher` mediumint(8) unsigned NOT NULL,
  `trade` varchar(255) NOT NULL,
  `invoice` varchar(255) NOT NULL,
  `account` varchar(255) NOT NULL COMMENT '科目代码',
  `currency` varchar(5) NOT NULL DEFAULT 'RMB' COMMENT '币别代码',
  `debit` decimal(12,2) NOT NULL COMMENT '借方',
  `credit` decimal(12,2) NOT NULL COMMENT '贷方',
  `quantity` decimal(12,2) NOT NULL COMMENT '数量',
  `measureUnitID` varchar(10) NOT NULL COMMENT '数量单位',
  `unitPrice` decimal(12,2) NOT NULL COMMENT '单价',
  `exchangeRate` decimal(12,4) NOT NULL COMMENT '汇率',
  `entryID`  tinyint(3) unsigned NOT NULL COMMENT '分录序号',
  `explanation` text NOT NULL COMMENT '凭证摘要',
  `item` varchar(255) NOT NULL COMMENT '核算项目',
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `crm_orderaction`;
CREATE TABLE IF NOT EXISTS `crm_orderaction` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` mediumint(8) unsigned NOT NULL,
  `action` char(30) NOT NULL,
  `name` char(100) NOT NULL,
  `conditions` text NOT NULL,
  `inputs` text NOT NULL,
  `results` text NOT NULL,
  `tasks` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product` (`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `crm_orderfield`;
CREATE TABLE IF NOT EXISTS `crm_orderfield` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` mediumint(8) unsigned NOT NULL,
  `field` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `order` tinyint(3) unsigned NOT NULL,
  `control` varchar(10) NOT NULL,
  `options` text NOT NULL,
  `default` varchar(100) NOT NULL,
  `rules` varchar(255) NOT NULL,
  `placeholder` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `product` (`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `crm_customerinvoice`;
CREATE TABLE IF NOT EXISTS `crm_customerinvoice` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `customer` mediumint(8) unsigned NOT NULL,
  `invoiceTitle` char(100) NOT NULL,
  `taxNumber` char(20) NOT NULL,
  `registedAddress` varchar(255) NOT NULL,
  `phone` char(20) NOT NULL,
  `bankName` char(30) NOT NULL,
  `bankAccount` char(90) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `taxNumber` (`customer`, `taxNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `crm_quotation`;
CREATE TABLE IF NOT EXISTS `crm_quotation` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `version` smallint(5) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `version` (`version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_bonus`;
CREATE TABLE IF NOT EXISTS `hr_bonus` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `account` char(30) NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `performance` decimal(12,2) NOT NULL,
  `bonus` text NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `status` enum('wait', 'confirmed') NOT NULL DEFAULT 'wait',
  PRIMARY KEY (`id`),
  KEY `month` (`month`),
  KEY `account` (`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_salary`;
CREATE TABLE IF NOT EXISTS `hr_salary` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `account` char(30) NOT NULL,
  `company` mediumint(8) unsigned NOT NULL,
  `dept` mediumint(8) unsigned NOT NULL,
  `basic` decimal(12,2) NOT NULL,
  `performance` decimal(12,2) NOT NULL,
  `bonus` decimal(12,2) NOT NULL,
  `allowance` decimal(12,2) NOT NULL,
  `exemption` decimal(12,2) NOT NULL,
  `deduction` decimal(12,2) NOT NULL,
  `deserved` decimal(12,2) NOT NULL,
  `actual` decimal(12,2) NOT NULL,
  `companySSF` decimal(12,2) NOT NULL,
  `companyHPF` decimal(12,2) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `desc` text NOT NULL,
  `status` varchar(20) NOT NULL DEFAULT 'wait',
  PRIMARY KEY (`id`),
  KEY `month` (`month`),
  KEY `account` (`account`),
  KEY `company` (`company`),
  KEY `dept` (`dept`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_salarydetail`;
CREATE TABLE IF NOT EXISTS `hr_salarydetail` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `salary` mediumint(8) unsigned NOT NULL,
  `item` enum('bonus', 'allowance', 'exemption', 'deduction') NOT NULL,
  `type` varchar(100) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `salary` (`salary`),
  KEY `item` (`item`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_salarycommission`;
CREATE TABLE IF NOT EXISTS `hr_salarycommission` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `salary` mediumint(8) unsigned NOT NULL,
  `type` varchar(10) NOT NULL DEFAULT 'sale',
  `line` varchar(60) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `rate` decimal(12,2) NOT NULL,
  `commission` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `salarycommission` (`salary`, `type`, `line`),
  KEY `salary` (`salary`),
  KEY `line` (`line`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_tradecommission`;
CREATE TABLE IF NOT EXISTS `hr_tradecommission` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(10) NOT NULL DEFAULT 'sale',
  `trade` mediumint(8) unsigned NOT NULL,
  `account` char(30) NOT NULL,
  `contribution` decimal(12,2) NOT NULL,
  `rate` decimal(12,2) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `account` (`account`),
  KEY `trade` (`trade`),
  UNIQUE KEY `tradecommission` (`type`, `trade`,`account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `hr_commissionrule`;
CREATE TABLE IF NOT EXISTS `hr_commissionrule` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `month` char(6) NOT NULL,
  `account` char(30) NOT NULL,
  `sale` text NOT NULL,
  `line` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `month` (`month`),
  KEY `account` (`account`),
  UNIQUE KEY `monthaccount` (`month`, `account`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `psi_batch`;
CREATE TABLE IF NOT EXISTS `psi_batch` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `batchNo` varchar(255) NOT NULL,
  `type` enum('in', 'out') NOT NULL DEFAULT 'in',
  `trader` mediumint(8) unsigned NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `fund` mediumint(8) unsigned NOT NULL,
  `money` decimal(15,2) NOT NULL,
  `pickedBy` char(30) NOT NULL,
  `pickedDate` date  NOT NULL,
  `expressedBy` char(30) NOT NULL,
  `expressedDate` date NOT NULL,
  `express` smallint(5) unsigned NOT NULL,
  `waybill` char(50) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `status` char(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `trader` (`trader`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `psi_batchproduct`;
CREATE TABLE IF NOT EXISTS `psi_batchproduct` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `order` mediumint(8) unsigned NOT NULL,
  `trader` mediumint(8) unsigned NOT NULL,
  `batch` mediumint(8) unsigned NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `money` decimal(15,2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `batch` (`batch`),
  KEY `order` (`order`),
  KEY `trader` (`trader`),
  KEY `product` (`product`),
  UNIQUE KEY `batchProduct` (`batch`,`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `psi_order`;
CREATE TABLE IF NOT EXISTS `psi_order` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `orderNo` varchar(255) NOT NULL,
  `type` enum('sale', 'purchase') NOT NULL DEFAULT 'sale',
  `trader` mediumint(8) unsigned NOT NULL,
  `contract` mediumint(8) unsigned NOT NULL,
  `money` decimal(15,2) NOT NULL,
  `taxed` enum('0', '1') NOT NULL DEFAULT '1',
  `settlement` char(30) NOT NULL,
  `desc` text NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `finishedDate` date NOT NULL,
  `status` char(20) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `trader` (`trader`),
  KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `psi_orderproduct`;
CREATE TABLE IF NOT EXISTS `psi_orderproduct` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `app` char(30) NOT NULL,
  `order` mediumint(8) unsigned NOT NULL,
  `quotation` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `trader` mediumint(8) unsigned NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `unit` text NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `price` decimal(15,2) NOT NULL,
  `money` decimal(15,2) NOT NULL,
  `version` smallint(5) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `trader` (`trader`),
  KEY `product` (`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `psi_purchaseproduct`;
CREATE TABLE IF NOT EXISTS `psi_purchaseproduct` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `order` mediumint(8) unsigned NOT NULL,
  `product` mediumint(8) unsigned NOT NULL,
  `amount` decimal(15,2) NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `status` char(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `order` (`order`),
  KEY `product` (`product`),
  UNIQUE KEY `orderProduct` (`order`,`product`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_company`;
CREATE TABLE IF NOT EXISTS `sys_company` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` char(100) NOT NULL,
  `major` enum('0','1') NOT NULL DEFAULT '0',
  `content` text NOT NULL,
  `taxNumber` char(20) NOT NULL,
  `registedAddress` varchar(255) NOT NULL,
  `phone` char(20) NOT NULL,
  `bankName` char(100) NOT NULL,
  `bankAccount` char(90) NOT NULL,
  `status` char(90) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_issue`;
CREATE TABLE IF NOT EXISTS `sys_issue` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` mediumint(8) unsigned NOT NULL,
  `category` mediumint(8) unsigned NOT NULL,
  `customer` mediumint(8) unsigned NOT NULL,
  `contact` mediumint(8) unsigned NOT NULL,
  `pri` tinyint(3) unsigned DEFAULT NULL,
  `title` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `type` varchar(30) NOT NULL,
  `addedBy` char(30) NOT NULL,
  `addedDate` datetime NOT NULL,
  `viewedDate` datetime NOT NULL,
  `assignedTo` char(30) NOT NULL,
  `assignedBy` char(30) NOT NULL,
  `assignedDate` datetime NOT NULL,
  `repliedBy` char(30) NOT NULL,
  `repliedDate` datetime NOT NULL,
  `transferedBy` char(30) NOT NULL,
  `transferedDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `closedBy` char(30) NOT NULL,
  `closedDate` datetime NOT NULL,
  `closedReason` varchar(30) NOT NULL,
  `activatedBy` char(30) NOT NULL,
  `activatedDate` datetime NOT NULL,
  `toObjectType` varchar(30) NOT NULL,
  `toObjectID` mediumint(8) unsigned NOT NULL,
  `status` varchar(30) NOT NULL,
  `subStatus` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_searchdict`;
CREATE TABLE IF NOT EXISTS `sys_searchdict` (
  `key` smallint(5) unsigned NOT NULL,
  `value` char(3) NOT NULL,
  PRIMARY KEY (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_searchindex`;
CREATE TABLE IF NOT EXISTS `sys_searchindex` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` char(20) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `addedDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `object` (`objectType`,`objectID`),
  KEY `addedDate` (`addedDate`),
  FULLTEXT KEY `content` (`title`,`content`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_store`;
CREATE TABLE IF NOT EXISTS `sys_store` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `location` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `manager` varchar(100) NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_weekly`;
CREATE TABLE IF NOT EXISTS `sys_weekly` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `summary` text NOT NULL,
  `content` text NOT NULL,
  `begin` date NOT NULL,
  `end` date NOT NULL,
  `status` enum('draft', 'normal') NOT NULL DEFAULT 'normal',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;

-- DROP TABLE IF EXISTS `sys_effort`;
CREATE TABLE IF NOT EXISTS `sys_effort` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `objectType` varchar(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `project` mediumint(8) unsigned NOT NULL,
  `account` varchar(30) NOT NULL,
  `work` varchar(255) NOT NULL,
  `date` date NOT NULL,
  `left` float NOT NULL,
  `consumed` float NOT NULL,
  `begin` smallint(4) unsigned ZEROFILL NOT NULL,
  `end` smallint(4) unsigned ZEROFILL NOT NULL,
  KEY `effort` (`project`,`objectID`,`date`,`account`)
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci;

-- DROP TABLE IF EXISTS `sys_oauth`;
CREATE TABLE IF NOT EXISTS `sys_oauth` (
  `account` varchar(30) NOT NULL,
  `provider` varchar(30) NOT NULL,
  `openID` varchar(60) NOT NULL,
  UNIQUE KEY `openID` (`provider`,`openID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `oa_attlog`;
CREATE TABLE IF NOT EXISTS `oa_attlog` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `sn` varchar(32) COMMENT 'serial number',
  `userPin` varchar(24) COMMENT 'User_PIN',
  `verifyType` int COMMENT 'Verify_Type',
  `verifyTime` varchar(24) COMMENT 'Verify_Time',
  `status` int COMMENT 'Status',
  `workCodeId` int COMMENT 'Work_Code_ID',
  `sensorNo` int COMMENT 'Sensor_NO',
  `attFlag` int COMMENT 'Att_Flag',
  `createId` varchar(24) COMMENT 'CREATE_ID',
  `modifyTime` varchar(24) COMMENT 'MODIFY_TIME',
  `sendFlag` int DEFAULT '0' COMMENT 'SEND_FLAG', 
  PRIMARY KEY `id` (`id`),
  UNIQUE KEY `unique` (`sn`, `userPin`, `verifyTime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `oa_oplog`;
CREATE TABLE IF NOT EXISTS `oa_oplog` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `sn` varchar(32) COMMENT 'serial number',
  `opType` int COMMENT 'operate type',
  `operator` varchar(24),
  `opTime` varchar(24) COMMENT 'operate time',
  `opWho` varchar(24) COMMENT 'operateor',
  `value1` int, 
  `value2` int, 
  `value3` int,
  PRIMARY KEY `id` (`id`),
  UNIQUE KEY `unique` (`sn`, `opType`, `opTime`, `opWho`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `oa_cmd`;
CREATE TABLE IF NOT EXISTS `oa_cmd` (
  `id` varchar(32) NOT NULL,
  `sn` varchar(32) COMMENT 'serial number',
  `command` varchar(255) COMMENT 'request command',
  `response` varchar(8) NOT NULL COMMENT 'response return code',
  `createdDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;    

ALTER TABLE `cash_trade`     ADD `noInvoice` enum('0', '1') NOT NULL DEFAULT '0' AFTER `currency`;
ALTER TABLE `cash_trade`     ADD `commission` decimal(12,2) NOT NULL AFTER `money`;
ALTER TABLE `cash_trade`     ADD `alipayTradeNo` varchar(50) NOT NULL AFTER `category`;
ALTER TABLE `cash_trade`     ADD `shareStatus` varchar(10) NOT NULL DEFAULT 'wait';
ALTER TABLE `cash_trade`     ADD `sharedDate` datetime NOT NULL AFTER `shareStatus`;
ALTER TABLE `cash_trade`     ADD `serialNumber` smallint(5) NOT NULL AFTER `id`;
ALTER TABLE `cash_depositor` ADD `company` mediumint(8) unsigned NOT NULL AFTER `id`;
ALTER TABLE `crm_order`      ADD `quotation` mediumint(8) unsigned NOT NULL DEFAULT '0' AFTER `customer`;
ALTER TABLE `crm_contact`    ADD `register` datetime NOT NULL AFTER `weixin`;
ALTER TABLE `crm_contact`    ADD `last` datetime NOT NULL AFTER `register`;
ALTER TABLE `crm_contact`    ADD `visits` mediumint(8) NOT NULL AFTER `last`;
ALTER TABLE `crm_contact`    ADD `ip` char(50) NOT NULL AFTER `visits`;
ALTER TABLE `crm_contract`   ADD `fund` mediumint(8) unsigned NOT NULL AFTER `contact`;
ALTER TABLE `crm_contract`   ADD `company` mediumint(8) unsigned NOT NULL AFTER `id`;
ALTER TABLE `crm_contract`   ADD `quotation` char(255) NOT NULL AFTER `code`;
ALTER TABLE `crm_plan`       ADD `invoice` char(255) NOT NULL AFTER `contract`;
ALTER TABLE `oa_leave`       ADD `level` tinyint(3) unsigned NOT NULL;
ALTER TABLE `oa_leave`       ADD `assignedTo` varchar(30) NOT NULL;
ALTER TABLE `oa_leave`       ADD `reviewers` text NOT NULL;
ALTER TABLE `oa_leave`       ADD `backReviewers` text NOT NULL;
ALTER TABLE `oa_lieu`        ADD `level` tinyint(3) unsigned NOT NULL;
ALTER TABLE `oa_lieu`        ADD `assignedTo` varchar(30) NOT NULL;
ALTER TABLE `oa_lieu`        ADD `reviewers` text NOT NULL;
ALTER TABLE `oa_overtime`    ADD `level` tinyint(3) unsigned NOT NULL;
ALTER TABLE `oa_overtime`    ADD `assignedTo` varchar(30) NOT NULL;
ALTER TABLE `oa_overtime`    ADD `reviewers` text NOT NULL;
ALTER TABLE `oa_refund`      ADD `refundCompany` mediumint(8) unsigned NOT NULL AFTER `id`;
ALTER TABLE `oa_refund`      ADD `type` enum('reimburse', 'deduction') NOT NULL DEFAULT 'reimburse' AFTER `refundCompany`;
ALTER TABLE `oa_refund`      ADD `deductionMonth` char(6) NOT NULL AFTER `type`;
ALTER TABLE `oa_refund`      ADD `level` tinyint(3) unsigned NOT NULL;
ALTER TABLE `oa_refund`      ADD `assignedTo` varchar(30) NOT NULL;
ALTER TABLE `oa_refund`      ADD `reviewers` text NOT NULL;
ALTER TABLE `sys_action`     ADD `origin` varchar(256) NOT NULL;
ALTER TABLE `sys_action`     ADD `efforted` BOOL NOT NULL DEFAULT  '0';
ALTER TABLE `sys_category`   ADD `wechatDept` varchar(100) NOT NULL AFTER `id`;
ALTER TABLE `sys_category`   ADD `isAmebaDept` enum('0', '1') NOT NULL DEFAULT '0';
ALTER TABLE `sys_category`   ADD `amebaDept` varchar(10) NOT NUll;
ALTER TABLE `sys_schema`     ADD `serialNumber` varchar(5) NOT NULL AFTER `id`;
ALTER TABLE `sys_product`    ADD `roles` varchar(255) NOT NULL;
ALTER TABLE `sys_product`    ADD `pinyin` char(200) NOT NULL AFTER `category`;
ALTER TABLE `sys_product`    ADD `model` mediumint(8) unsigned NOT NULL AFTER `pinyin`;
ALTER TABLE `sys_product`    ADD `unit` mediumint(8) unsigned NOT NULL AFTER `model`;
ALTER TABLE `sys_product`    ADD `barcode` char(30) NOT NULL AFTER `unit`;
ALTER TABLE `sys_product`    ADD `brand` varchar(100) NOT NULL AFTER `barcode`;
ALTER TABLE `sys_product`    ADD `store` smallint(5) unsigned NOT NULL AFTER `brand`;
ALTER TABLE `sys_product`    ADD `price` decimal(15,2) NOT NULL AFTER `store`;
ALTER TABLE `sys_product`    ADD `amount` decimal(15,2) NOT NULL AFTER `price`;
ALTER TABLE `sys_user`       ADD `parent` varchar(30) NOT NULL AFTER `id`;
ALTER TABLE `sys_user`       ADD `unofficial` enum('0', '1') NOT NULL DEFAULT '0' AFTER `parent`;
ALTER TABLE `sys_user`       ADD `noSalary` enum('0', '1') NOT NULL DEFAULT '0' AFTER `unofficial`;
ALTER TABLE `sys_user`       ADD `dispatch` enum('0', '1') NOT NULL DEFAULT '0' AFTER `noSalary`;
ALTER TABLE `sys_user`       ADD `company` mediumint(8) unsigned NOT NULL AFTER `dispatch`;

ALTER TABLE `crm_plan` CHANGE `trade` `trade` char(255) NOT NULL;

INSERT INTO `ameba_category` (`id`, `parent`, `path`, `grade`, `order`, `type`, `amebaAccount`, `category`) VALUES
(1, 0, ',1,',   1, 1, 'amebaAccount', 'income',          830001),
(2, 1, ',1,2,', 2, 1, 'amebaAccount', 'externalIncome',  830002),
(3, 1, ',1,3,', 2, 2, 'amebaAccount', 'internalIncome',  830003),
(4, 0, ',4,',   1, 2, 'amebaAccount', 'expense',         830004),
(5, 4, ',4,5,', 2, 1, 'amebaAccount', 'internalDeal',    830005),
(6, 4, ',4,6,', 2, 2, 'amebaAccount', 'internalExpense', 830006),
(7, 4, ',4,7,', 2, 3, 'amebaAccount', 'shareExpense',    830007);

INSERT INTO `sys_category` (`id`, `name`, `type`) VALUES
(830001, '收入',     'amebaAccount'),
(830002, '外部收入', 'amebaAccount'),
(830003, '内部收入', 'amebaAccount'),
(830004, '支出',     'amebaAccount'),
(830005, '巴巴交易', 'amebaAccount'),
(830006, '巴内支出', 'amebaAccount'),
(830007, '公摊费用', 'amebaAccount');

INSERT INTO `sys_config` (`owner`, `app`, `module`, `section`, `key`, `value`) VALUES ('system','psi','order','orderNo','sale','[{\"type\":\"fixed\",\"fixed\":\"SO\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"year\",\"fixed\":\"\",\"yearLength\":\"4\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"month\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"day\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"AI\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"3\",\"AIClearType\":\"day\"}]'),('system','psi','order','orderNo','purchase','[{\"type\":\"fixed\",\"fixed\":\"PI\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"year\",\"fixed\":\"\",\"yearLength\":\"4\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"month\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"day\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"AI\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"3\",\"AIClearType\":\"day\"}]'),('system','psi','order','orderNo','out','[{\"type\":\"fixed\",\"fixed\":\"IO\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"year\",\"fixed\":\"\",\"yearLength\":\"4\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"month\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"day\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"AI\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"3\",\"AIClearType\":\"day\"}]'),('system','psi','order','orderNo','in','[{\"type\":\"fixed\",\"fixed\":\"II\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"year\",\"fixed\":\"\",\"yearLength\":\"4\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"month\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"day\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"\",\"AIClearType\":\"\"},{\"type\":\"AI\",\"fixed\":\"\",\"yearLength\":\"\",\"AILength\":\"3\",\"AIClearType\":\"day\"}]');

INSERT INTO `sys_cron` (`m`, `h`, `dom`, `mon`, `dow`, `command`, `remark`, `type`, `buildin`, `status`, `lastTime`) VALUES
('1', '1', '*', '*', '*', 'appName=crm&moduleName=leads&methodName=sync',                    '名单同步任务',      'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=cash&moduleName=trade&methodName=syncAlipay',             '支付宝同步任务',    'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=ameba&moduleName=deal&methodName=batchShare',             '分配收入/分摊支出', 'zdoo', 1, 'normal', '0000-00-00 00:00:00'),
('1', '1', '*', '*', '*', 'appName=ameba&moduleName=amebareport&methodName=updateStatement', '更新阿米巴核算表',  'zdoo', 1, 'normal', '0000-00-00 00:00:00');

INSERT INTO `sys_entry` (`name`, `abbr`, `code`, `buildin`, `integration`, `open`, `key`, `ip`, `logo`, `login`, `control`, `size`, `position`, `visible`, `order`) VALUES
('人力资源', '人资',   'hr',    1, 1, 'iframe', '70a4ec7bf82d831b09578f554141eed0', '*', 'theme/default/images/ips/app-hr.png',    '../hr/',    'simple', 'max', 'default', 1, 70),
('进销存',   '进销存', 'psi',   1, 1, 'iframe', 'be546d3fbb91fa8236b53a8c5fa90884', '*', 'theme/default/images/ips/app-psi.png',   '../psi/',   'simple', 'max', 'default', 1, 80),
('工作流',   '工作流', 'flow',  1, 1, 'iframe', '68149a7806b73b5b0e16bc0a42bfcf43', '*', 'theme/default/images/ips/app-flow.png',  '../flow/',  'simple', 'max', 'default', 1, 90),
('阿米巴',   '阿米巴', 'ameba', 1, 1, 'iframe', 'c73507819a054358b6f45f3f522bd8d3', '*', 'theme/default/images/ips/app-ameba.png', '../ameba/', 'simple', 'max', 'default', 1, 100);

REPLACE INTO `sys_grouppriv` VALUES
(1,'ameba','setting'),
(1,'amebareport','archive'),
(1,'amebareport','dailyReport'),
(1,'amebareport','export'),
(1,'amebareport','monthlyReport'),
(1,'amebareport','showDetail'),
(1,'amebareport','updateStatement'),
(1,'amebareport','weeklyReport'),
(1,'apppriv','ameba'),
(1,'apppriv','hr'),
(1,'apppriv','psi'),
(1,'attend','import'),
(1,'attend','importSettings'),
(1,'attend','showImportError'),
(1,'batch','browse'),
(1,'batch','browseFinished'),
(1,'batch','browsePurchaseOrders'),
(1,'batch','deliver'),
(1,'batch','detail'),
(1,'batch','editDeliver'),
(1,'batch','editPick'),
(1,'batch','editReceive'),
(1,'batch','printBatch'),
(1,'batch','receive'),
(1,'bonus','batchCreate'),
(1,'bonus','browse'),
(1,'bonus','confirm'),
(1,'bonus','delete'),
(1,'bonus','edit'),
(1,'bonus','viewAll'),
(1,'budget','batchCreate'),
(1,'budget','browse'),
(1,'budget','create'),
(1,'budget','delete'),
(1,'budget','edit'),
(1,'budget','export'),
(1,'budget','report'),
(1,'budget','share'),
(1,'budget','view'),
(1,'commission','batchSwitchIgnore'),
(1,'commission','browse'),
(1,'commission','create'),
(1,'commission','export'),
(1,'commission','report'),
(1,'commission','setCategory'),
(1,'commission','setLineCommission'),
(1,'commission','setSaleCommission'),
(1,'commission','setting'),
(1,'commission','switchIgnore'),
(1,'company','browse'),
(1,'company','cancel'),
(1,'company','create'),
(1,'company','edit'),
(1,'company','setMajor'),
(1,'contract','createQuotation'),
(1,'contract','editQuotation'),
(1,'contract','expense'),
(1,'contract','invoice'),
(1,'contract','setting'),
(1,'customer','createInvoice'),
(1,'customer','deleteInvoice'),
(1,'customer','editInvoice'),
(1,'customer','exportTemplate'),
(1,'customer','import'),
(1,'customer','invoice'),
(1,'customer','invoiceInfo'),
(1,'deal','batchCreate'),
(1,'deal','batchShare'),
(1,'deal','batchSwitchTradeStatus'),
(1,'deal','browse'),
(1,'deal','browseExpense'),
(1,'deal','browseIncome'),
(1,'deal','browseWait'),
(1,'deal','confirm'),
(1,'deal','create'),
(1,'deal','delete'),
(1,'deal','edit'),
(1,'deal','export'),
(1,'deal','switchTradeStatus'),
(1,'deal','view'),
(1,'fee','browse'),
(1,'fee','create'),
(1,'fee','delete'),
(1,'fee','edit'),
(1,'fee','export'),
(1,'fee','view'),
(1,'feedback','activate'),
(1,'feedback','assign'),
(1,'feedback','close'),
(1,'feedback','company'),
(1,'feedback','create'),
(1,'feedback','delete'),
(1,'feedback','doubt'),
(1,'feedback','edit'),
(1,'feedback','reply'),
(1,'feedback','transfer'),
(1,'feedback','view'),
(1,'invoice','browse'),
(1,'invoice','browseSale'),
(1,'invoice','browsePurchase'),
(1,'invoice','createSale'),
(1,'invoice','createPurchase'),
(1,'invoice','delete'),
(1,'invoice','drawn'),
(1,'invoice','edit'),
(1,'invoice','export'),
(1,'invoice','express'),
(1,'invoice','report'),
(1,'invoice','taxRefund'),
(1,'invoice','view'),
(1,'leads','adminSites'),
(1,'leads','createSite'),
(1,'leads','deleteSite'),
(1,'leads','editSite'),
(1,'leads','sync'),
(1,'my','deptSalary'),
(1,'order','team'),
(1,'payable','create'),
(1,'payable','delete'),
(1,'payable','edit'),
(1,'payable','paid'),
(1,'payable','pay'),
(1,'payable','payable'),
(1,'payable','view'),
(1,'product','actionconditions'),
(1,'product','actioninputs'),
(1,'product','actionresults'),
(1,'product','actiontasks'),
(1,'product','adminaction'),
(1,'product','adminfield'),
(1,'product','adminroles'),
(1,'product','batchCreate'),
(1,'product','batchCreateProperties'),
(1,'product','browseProperties'),
(1,'product','copy'),
(1,'product','createaction'),
(1,'product','createfield'),
(1,'product','createFromOrder'),
(1,'product','createresult'),
(1,'product','deleteaction'),
(1,'product','deletefield'),
(1,'product','deleteProperty'),
(1,'product','deleteresult'),
(1,'product','editaction'),
(1,'product','editfield'),
(1,'product','editProperty'),
(1,'product','editresult'),
(1,'purchase','activate'),
(1,'purchase','browse'),
(1,'purchase','cancel'),
(1,'purchase','create'),
(1,'purchase','delete'),
(1,'purchase','detail'),
(1,'purchase','edit'),
(1,'purchase','finish'),
(1,'purchase','printOrder'),
(1,'purchase','purchase'),
(1,'purchase','report'),
(1,'purchase','sendMail'),
(1,'purchasecontract','expense'),
(1,'purchasecontract','invoice'),
(1,'purchasecontract','setting'),
(1,'receivable','create'),
(1,'receivable','delete'),
(1,'receivable','edit'),
(1,'receivable','receivable'),
(1,'receivable','receive'),
(1,'receivable','received'),
(1,'receivable','view'),
(1,'rule','browse'),
(1,'rule','create'),
(1,'rule','delete'),
(1,'rule','edit'),
(1,'rule','export'),
(1,'rule','view'),
(1,'salary','batchConfirm'),
(1,'salary','batchCreate'),
(1,'salary','batchDelete'),
(1,'salary','batchEdit'),
(1,'salary','company'),
(1,'salary','confirm'),
(1,'salary','delete'),
(1,'salary','dept'),
(1,'salary','edit'),
(1,'salary','export'),
(1,'salary','report'),
(1,'salary','setAllowance'),
(1,'salary','setBasic'),
(1,'salary','setBonus'),
(1,'salary','setExemption'),
(1,'salary','setSSF'),
(1,'sale','activate'),
(1,'sale','assignToPick'),
(1,'sale','assignToPurchase'),
(1,'sale','browse'),
(1,'sale','cancel'),
(1,'sale','create'),
(1,'sale','delete'),
(1,'sale','detail'),
(1,'sale','edit'),
(1,'sale','finish'),
(1,'sale','printOrder'),
(1,'sale','report'),
(1,'sales','admin'),
(1,'sales','browse'),
(1,'sales','create'),
(1,'sales','delete'),
(1,'sales','edit'),
(1,'store','browse'),
(1,'store','create'),
(1,'store','delete'),
(1,'store','edit'),
(1,'trade','incomeAndReceive'),
(1,'trade','invoice'),
(1,'trade','invoiceStatistics'),
(1,'trade','share'),
(1,'trade','syncAlipay'),
(1,'user','importLDAP'),
(2,'apppriv','hr'),
(2,'bonus','batchCreate'),
(2,'bonus','browse'),
(2,'bonus','confirm'),
(2,'bonus','delete'),
(2,'bonus','edit'),
(2,'bonus','viewAll'),
(2,'commission','batchSwitchIgnore'),
(2,'commission','browse'),
(2,'commission','create'),
(2,'commission','export'),
(2,'commission','report'),
(2,'commission','setCategory'),
(2,'commission','setLineCommission'),
(2,'commission','setSaleCommission'),
(2,'commission','setting'),
(2,'commission','switchIgnore'),
(2,'purchasecontract','expense'),
(2,'purchasecontract','invoice'),
(2,'salary','batchConfirm'),
(2,'salary','batchCreate'),
(2,'salary','batchDelete'),
(2,'salary','batchEdit'),
(2,'salary','company'),
(2,'salary','confirm'),
(2,'salary','delete'),
(2,'salary','dept'),
(2,'salary','edit'),
(2,'salary','export'),
(2,'salary','report'),
(2,'salary','setAllowance'),
(2,'salary','setBasic'),
(2,'salary','setBonus'),
(2,'salary','setExemption'),
(2,'salary','setSSF'),
(2,'trade','incomeAndReceive'),
(2,'trade','invoice'),
(2,'trade','invoiceStatistics'),
(2,'trade','share'),
(2,'trade','syncAlipay'),
(3,'bonus','batchCreate'),
(3,'bonus','browse'),
(3,'bonus','confirm'),
(3,'bonus','delete'),
(3,'bonus','edit'),
(3,'bonus','viewAll'),
(3,'contract','createQuotation'),
(3,'contract','editQuotation'),
(3,'contract','expense'),
(3,'contract','invoice'),
(3,'contract','setting'),
(3,'customer','createInvoice'),
(3,'customer','deleteInvoice'),
(3,'customer','editInvoice'),
(3,'customer','exportTemplate'),
(3,'customer','import'),
(3,'customer','invoice'),
(3,'customer','invoiceInfo'),
(3,'feedback','activate'),
(3,'feedback','assign'),
(3,'feedback','close'),
(3,'feedback','company'),
(3,'feedback','create'),
(3,'feedback','delete'),
(3,'feedback','doubt'),
(3,'feedback','edit'),
(3,'feedback','reply'),
(3,'feedback','transfer'),
(3,'feedback','view'),
(3,'invoice','browse'),
(3,'invoice','browseSale'),
(3,'invoice','browsePurchase'),
(3,'invoice','createSale'),
(3,'invoice','createPurchase'),
(3,'invoice','delete'),
(3,'invoice','edit'),
(3,'invoice','export'),
(3,'invoice','express'),
(3,'invoice','report'),
(3,'invoice','view'),
(3,'leads','adminSites'),
(3,'leads','createSite'),
(3,'leads','deleteSite'),
(3,'leads','editSite'),
(3,'leads','sync'),
(3,'order','team'),
(3,'product','actionconditions'),
(3,'product','actioninputs'),
(3,'product','actionresults'),
(3,'product','actiontasks'),
(3,'product','adminaction'),
(3,'product','adminfield'),
(3,'product','adminroles'),
(3,'product','batchCreate'),
(3,'product','batchCreateProperties'),
(3,'product','browseProperties'),
(3,'product','copy'),
(3,'product','createaction'),
(3,'product','createfield'),
(3,'product','createFromOrder'),
(3,'product','createresult'),
(3,'product','deleteaction'),
(3,'product','deletefield'),
(3,'product','deleteProperty'),
(3,'product','deleteresult'),
(3,'product','editaction'),
(3,'product','editfield'),
(3,'product','editProperty'),
(3,'product','editresult'),
(3,'purchasecontract','expense'),
(3,'purchasecontract','invoice'),
(3,'purchasecontract','setting'),
(4,'contract','createQuotation'),
(4,'contract','editQuotation'),
(4,'contract','expense'),
(4,'contract','invoice'),
(4,'customer','createInvoice'),
(4,'customer','deleteInvoice'),
(4,'customer','editInvoice'),
(4,'customer','exportTemplate'),
(4,'customer','import'),
(4,'customer','invoice'),
(4,'customer','invoiceInfo'),
(4,'feedback','activate'),
(4,'feedback','assign'),
(4,'feedback','close'),
(4,'feedback','company'),
(4,'feedback','create'),
(4,'feedback','delete'),
(4,'feedback','doubt'),
(4,'feedback','edit'),
(4,'feedback','reply'),
(4,'feedback','transfer'),
(4,'feedback','view'),
(4,'invoice','browse'),
(4,'invoice','browseSale'),
(4,'invoice','browsePurchase'),
(4,'invoice','createSale'),
(4,'invoice','createPurchase'),
(4,'invoice','delete'),
(4,'invoice','drawn'),
(4,'invoice','edit'),
(4,'invoice','export'),
(4,'invoice','express'),
(4,'invoice','report'),
(4,'invoice','taxRefund'),
(4,'invoice','view'),
(4,'purchasecontract','expense'),
(4,'purchasecontract','invoice');

UPDATE `sys_action` SET `action` = 'submitted' WHERE `objectType` IN ('attend', 'leave', 'lieu', 'makeup', 'overtime', 'refund') AND `action` = 'commited';
-- DROP TABLE IF EXISTS `sys_workflow`;
CREATE TABLE IF NOT EXISTS `sys_workflow` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `parent` varchar(30) NOT NULL, 
  `child` varchar(30) NOT NULL, 
  `type` varchar(10) NOT NULL DEFAULT 'flow',
  `app` varchar(20) NOT NULL,
  `position` varchar(30) NOT NULL,
  `module` varchar(30) NOT NULL,
  `table` varchar(50) NOT NULL,
  `name` varchar(30) NOT NULL,
  `flowchart` text NOT NULL,
  `js` text NOT NULL,
  `css` text NOT NULL,
  `order` smallint(5) unsigned NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL,
  `administrator` text NOT NULL,
  `desc` text NOT NULL,
  `version` varchar(10) NOT NULL DEFAULT '1.0',
  `status` varchar(10) NOT NULL DEFAULT 'wait',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `type` (`type`),
  KEY `app` (`app`),
  KEY `module` (`module`),
  KEY `order` (`order`),
  UNIQUE KEY `unique` (`app`, `module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowaction`;
CREATE TABLE IF NOT EXISTS `sys_workflowaction` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `action` varchar(50) NOT NULL,
  `name` varchar(50) NOT NULL,
  `type` enum('single', 'batch') NOT NULL DEFAULT 'single',
  `batchMode` enum('same', 'different') NOT NULL DEFAULT 'different',
  `extensionType` varchar(10) NOT NULL DEFAULT 'override' COMMENT 'none | extend | override',
  `open` varchar(20) NOT NULL,
  `position` enum('menu', 'browseandview', 'browse', 'view') NOT NULL DEFAULT 'browseandview',
  `layout` char(20) NOT NULL,
  `show` enum('dropdownlist', 'direct') NOT NULL DEFAULT 'dropdownlist',
  `order` smallint(5) unsigned NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL,
  `virtual` tinyint(1) unsigned NOT NULL,
  `conditions` text NOT NULL,
  `verifications` text NOT NULL,
  `hooks` text NOT NULL,
  `linkages` text NOT NULL,
  `js` text NOT NULL,
  `css` text NOT NULL,
  `toList` char(255) NOT NULL,
  `blocks` text NOT NULL,
  `desc` text NOT NULL,
  `status` varchar(10) NOT NULL DEFAULT 'enable',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `module` (`module`),
  KEY `action` (`action`),
  KEY `order` (`order`),
  UNIQUE KEY `unique` (`module`, `action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowdatasource`;
CREATE TABLE IF NOT EXISTS `sys_workflowdatasource` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('system', 'sql', 'func', 'option', 'lang', 'category') NOT NULL DEFAULT 'option',
  `name` varchar(30) NOT NULL,
  `code` varchar(30) NOT NULL,
  `datasource` text NOT NULL, 
  `view` varchar(20) NOT NULL,
  `keyField` varchar(50) NOT NULL,
  `valueField` varchar(50) NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowfield`;
CREATE TABLE IF NOT EXISTS `sys_workflowfield` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `field`  varchar(50) NOT NULL,
  `type` varchar(20) NOT NULL DEFAULT 'varchar',
  `length` varchar(10) NOT NULL,
  `name` varchar(50) NOT NULL,
  `control` varchar(20) NOT NULL,
  `expression` text NOT NULL,
  `options` text NOT NULL,
  `default` varchar(100) NOT NULL,
  `rules` varchar(255) NOT NULL,
  `placeholder` varchar(100) NOT NULL,
  `order` smallint(5) unsigned NOT NULL,
  `searchOrder` smallint(5) unsigned NOT NULL DEFAULT '0', 
  `exportOrder` smallint(5) unsigned NOT NULL DEFAULT '0',
  `canExport` enum('0', '1') NOT NULL DEFAULT '0',
  `canSearch` enum('0', '1') NOT NULL DEFAULT '0',
  `isValue` enum('0', '1') NOT NULL DEFAULT '0',
  `readonly` enum('0', '1') NOT NULL DEFAULT '0',
  `buildin` tinyint(1) unsigned NOT NULL,
  `desc` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `module` (`module`),
  KEY `field` (`field`),
  KEY `order` (`order`),
  UNIQUE KEY `unique` (`module`, `field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowlayout`;
CREATE TABLE IF NOT EXISTS `sys_workflowlayout` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `action` varchar(50) NOT NULL,
  `field`  varchar(50) NOT NULL,
  `order` smallint(5) unsigned NOT NULL,
  `width` smallint(5) NOT NULL,
  `position` text NOT NULL,
  `readonly` enum('0', '1') NOT NULL DEFAULT '0',
  `mobileShow` enum('0', '1') NOT NULL DEFAULT '1',
  `summary` varchar(20) NOT NULL,
  `defaultValue` text NOT NULL,
  `layoutRules` varchar(255) NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `module` (`module`),
  KEY `action` (`action`),
  KEY `order` (`order`),
  UNIQUE KEY `unique` (`module`, `action`, `field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowlabel`;
CREATE TABLE IF NOT EXISTS `sys_workflowlabel` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `code` varchar(30) NOT NULL,
  `label` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `orderBy` text NOT NULL,
  `order` tinyint(3) NOT NULL,
  `buildin` tinyint(1) unsigned NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `module` (`module`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowlinkdata`;
CREATE TABLE IF NOT EXISTS `sys_workflowlinkdata` (
  `objectType` varchar(30) NOT NULL,
  `objectID` mediumint(8) unsigned NOT NULL,
  `linkedType` varchar(30) NOT NULL,
  `linkedID` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  UNIQUE KEY `unique` (`objectType`, `objectID`, `linkedType`, `linkedID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowrelation`;
CREATE TABLE IF NOT EXISTS `sys_workflowrelation` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `prev` varchar(30) NOT NULL, 
  `next` varchar(30) NOT NULL,
  `field` varchar(50) NOT NULL,
  `actions` varchar(20) NOT NULL,
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowrelationlayout`;
CREATE TABLE IF NOT EXISTS `sys_workflowrelationlayout` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `prev` varchar(30) NOT NULL,
  `next` varchar(30) NOT NULL,
  `action` varchar(50) NOT NULL,
  `field` varchar(50) NOT NULL,
  `order` smallint(5) unsigned NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `prev` (`prev`),
  KEY `next` (`next`),
  KEY `action` (`action`),
  KEY `order` (`order`),
  UNIQUE KEY `unique` (`prev`, `next`, `action`, `field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowrule`;
CREATE TABLE IF NOT EXISTS `sys_workflowrule` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('system', 'regex', 'func') NOT NULL DEFAULT 'regex',
  `name` varchar(30) NOT NULL,
  `rule` text NOT NULL, 
  `createdBy` char(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` char(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowsql`;
CREATE TABLE IF NOT EXISTS `sys_workflowsql` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `field` varchar(50) NOT NULL,
  `action` varchar(50) NOT NULL,
  `sql` text NOT NULL,
  `vars` text NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`),
  KEY `module` (`module`),
  KEY `field` (`field`),
  KEY `action` (`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowversion`;
CREATE TABLE IF NOT EXISTS `sys_workflowversion` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL,
  `version` varchar(10) NOT NULL,
  `fields` text NOT NULL,
  `actions` text NOT NULL,
  `layouts` text NOT NULL,
  `sqls` text NOT NULL,
  `labels` text NOT NULL,
  `table` text NOT NULL,
  `datas` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `moduleversion` (`module`, `version`),
  KEY `module` (`module`),
  KEY `version` (`version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `sys_workflowreport`;
CREATE TABLE IF NOT EXISTS `sys_workflowreport` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `module` varchar(30) NOT NULL COMMENT 'module name',
  `name` varchar(100) NOT NULL COMMENT 'report name',
  `type` enum('pie', 'line', 'bar') NOT NULL DEFAULT 'pie' COMMENT 'report type',
  `countType` enum('sum', 'count') NOT NULL DEFAULT 'sum' COMMENT 'report count method',
  `displayType` enum('value', 'percent') NOT NULL DEFAULT 'value' COMMENT 'report display method',
  `dimension` varchar(130) NOT NULL COMMENT 'dimension field code of sys_workflowfield',
  `fields` text NOT NULL COMMENT 'count fileds code of sys_workflowfield,use comma split',
  `order` smallint(5) unsigned NOT NULL DEFAULT '0',
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  PRIMARY KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `sys_action` CHANGE `action` `action` varchar(80) NOT NULL DEFAULT '';
ALTER TABLE `sys_action` CHANGE `extra` `extra` text;
ALTER TABLE `sys_category` CHANGE `type` `type` varchar(80) NOT NULL;
ALTER TABLE `sys_file` CHANGE `objectType` `objectType` char(30) NOT NULL;

INSERT INTO `sys_workflow` VALUES (1,'','','flow','flow','','meetingroom','flow_meetingroom','会议室','[{\"position\":{\"left\":810,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":220},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":810,\"top\":400},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"id\":\"create-edit\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"edit\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiusgy4lmtk0\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(2,'','','flow','flow','','meetingroombooking','flow_meetingroombooking','会议室预订','[{\"position\":{\"left\":810,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":220},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":810,\"top\":380},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"id\":\"create-edit\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"edit\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"id\":\"hiut8bpp2vc0\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(3,'','','flow','flow','','stamp','flow_stamp','印章申请','[{\"position\":{\"left\":740,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":730,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":545,\"top\":120},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":740,\"top\":515},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":885,\"top\":120},\"id\":\"fho6kaava340\",\"type\":\"process\",\"text\":\"\\u64a4\\u9500\",\"from\":\"create.right1\",\"code\":\"revoke\",\"codeReadonly\":true},{\"position\":{\"left\":1050,\"top\":120},\"id\":\"fho9am8hv2w0\",\"type\":\"process\",\"text\":\"\\u63d0\\u4ea4\",\"from\":\"fho6kaava340.right1\",\"code\":\"submit\",\"codeReadonly\":true},{\"position\":{\"left\":730,\"top\":395},\"id\":\"fjmdz0609aw0\",\"type\":\"process\",\"text\":\"\\u901a\\u8fc7\",\"code\":\"pass\",\"codeReadonly\":true},{\"position\":{\"left\":745,\"top\":265},\"id\":\"hix3o38qhog0\",\"type\":\"result\",\"text\":\"\\u5f85\\u5ba1\\u6838\",\"toggle\":\"tooltip\",\"placement\":\"right\",\"codeReadonly\":true},{\"position\":{\"left\":545,\"top\":280},\"id\":\"hiximnlqn6o0\",\"type\":\"process\",\"text\":\"\\u62d2\\u7edd\",\"code\":\"reject\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hiy6btfkn5k0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hiy6btif0m80\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hixm6kg2k4g0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hixm6kg5vnk0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hixkd53h3400\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hixkd55xkww0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hixifii2es80\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hixifikopsg0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hixhtevji800\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hixhtewlrg80\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"hiwyibplz4g0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"hiwyibqlf480\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"fjmk4lxqs6g0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"fjmk4lygvco0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"fjmcsesojs00\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"fjmcset5h280\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"fhonbi2cek00\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"fhonbi3mt6o0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"fho6kaava340\",\"fromPort\":\"right1\",\"id\":\"fho6kaarsag0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fho6kaava340\",\"to\":\"fho9am8hv2w0\",\"fromPort\":\"right1\",\"id\":\"fho9am9598w0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"fromPort\":\"left1\",\"toPort\":\"right1\",\"id\":\"hix369bkn2g0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"hix3o38qhog0\",\"fromPort\":\"bottom2\",\"id\":\"hix417smm1c0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fjmdz0609aw0\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"id\":\"hixhlnf8taw0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"hiximnlqn6o0\",\"to\":\"edit\",\"fromPort\":\"top1\",\"toPort\":\"bottom1\",\"id\":\"hixk4s4n11c0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"position\":{\"shape\":{\"porX\":0.10190779014308,\"porY\":-6.9388939039072e-18}},\"from\":\"edit\",\"to\":\"hix3o38qhog0\",\"fromPort\":\"bottom2\",\"toPort\":\"top1\",\"id\":\"hixn3oekank0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"hix3o38qhog0\",\"to\":\"hiximnlqn6o0\",\"fromPort\":\"left1\",\"toPort\":\"right1\",\"id\":\"hixotbrj26g0\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"hix3o38qhog0\",\"to\":\"fjmdz0609aw0\",\"fromPort\":\"bottom1\",\"toPort\":\"top2\",\"id\":\"hixpgn9dj200\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"position\":{\"shape\":{\"porX\":1.6853146853147,\"porY\":1.5460992907801}},\"from\":\"fho9am8hv2w0\",\"to\":\"hix3o38qhog0\",\"fromPort\":\"bottom2\",\"toPort\":\"right1\",\"id\":\"hiy6lv79uw80\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(4,'','','flow','flow','','car','flow_car','车辆信息','[{\"position\":{\"left\":810,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":220},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":810,\"top\":360},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"id\":\"create-edit\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"edit\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiuy1o96bqo0\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(5,'','','flow','flow','','carbooking','flow_carbooking','车辆预订','[{\"position\":{\"left\":720,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":710,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":540,\"top\":120},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":890,\"top\":415},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":880,\"top\":270},\"id\":\"hiv40m6o1sw0\",\"type\":\"process\",\"text\":\"\\u901a\\u8fc7\",\"code\":\"pass\",\"codeReadonly\":true},{\"position\":{\"left\":540,\"top\":345},\"id\":\"hiv54jihqeo0\",\"type\":\"process\",\"text\":\"\\u62d2\\u7edd\",\"code\":\"reject\",\"codeReadonly\":true},{\"position\":{\"left\":725,\"top\":255},\"id\":\"hiv88ldezeg0\",\"type\":\"result\",\"text\":\"\\u5f85\\u5ba1\\u6838\",\"toggle\":\"tooltip\",\"placement\":\"right\"},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"fromPort\":\"left1\",\"toPort\":\"right1\",\"id\":\"hiv44yllvg00\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"create\",\"to\":\"hiv88ldezeg0\",\"fromPort\":\"bottom2\",\"toPort\":\"top1\",\"id\":\"hiv8ddsc9gw0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiv88ldezeg0\",\"to\":\"hiv40m6o1sw0\",\"fromPort\":\"right1\",\"toPort\":\"left1\",\"id\":\"hiv8vpdd9uw0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiv40m6o1sw0\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiv94kr4uko0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiv54jihqeo0\",\"to\":\"edit\",\"fromPort\":\"top1\",\"toPort\":\"bottom1\",\"id\":\"hivar3wei3s0\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":1.8793103448276,\"porY\":1.4242424242424}},\"from\":\"hiv88ldezeg0\",\"to\":\"hiv54jihqeo0\",\"fromPort\":\"bottom1\",\"toPort\":\"right1\",\"id\":\"hivcgxtzo5c0\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":-1.8198198198198,\"porY\":1.6335877862595}},\"from\":\"edit\",\"to\":\"hiv88ldezeg0\",\"fromPort\":\"bottom3\",\"toPort\":\"left1\",\"id\":\"hivd0dqi8k80\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(6,'','','flow','flow','','collect','flow_collect','请款','[{\"position\":{\"left\":810,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":630,\"top\":120},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":975,\"top\":460},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":965,\"top\":245},\"id\":\"hiw5fgz8fw00\",\"type\":\"process\",\"text\":\"\\u901a\\u8fc7\",\"code\":\"pass\",\"codeReadonly\":true},{\"position\":{\"left\":815,\"top\":230},\"id\":\"hiw62q9jfyo0\",\"type\":\"result\",\"text\":\"\\u5f85\\u5ba1\\u6838\",\"toggle\":\"tooltip\",\"placement\":\"right\"},{\"position\":{\"left\":630,\"top\":310},\"id\":\"hiw7xn66b340\",\"type\":\"process\",\"text\":\"\\u62d2\\u7edd\",\"code\":\"reject\",\"codeReadonly\":true},{\"position\":{\"left\":965,\"top\":355},\"id\":\"hiw9tj54z480\",\"type\":\"process\",\"text\":\"\\u4ed8\\u6b3e\",\"code\":\"pay\",\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"hiw62q9jfyo0\",\"fromPort\":\"bottom2\",\"toPort\":\"top1\",\"id\":\"hiw6qjqsyeg0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiw62q9jfyo0\",\"to\":\"hiw5fgz8fw00\",\"fromPort\":\"right1\",\"toPort\":\"left1\",\"id\":\"hiw767vm2k00\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"create\",\"to\":\"edit\",\"fromPort\":\"left1\",\"toPort\":\"right1\",\"id\":\"hiw7pxtla4g0\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":1.5094339622642,\"porY\":2.7096774193548}},\"from\":\"hiw62q9jfyo0\",\"to\":\"hiw7xn66b340\",\"fromPort\":\"bottom1\",\"toPort\":\"right1\",\"id\":\"hiw8lanb9800\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiw7xn66b340\",\"to\":\"edit\",\"fromPort\":\"top1\",\"toPort\":\"bottom1\",\"id\":\"hiw8w5nqv800\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":-1.1711711711712,\"porY\":0.92452830188679}},\"from\":\"edit\",\"to\":\"hiw62q9jfyo0\",\"fromPort\":\"bottom3\",\"id\":\"hiw939q1zpc0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiw9tj54z480\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiwa627uha80\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiw5fgz8fw00\",\"to\":\"hiw9tj54z480\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiwa8wzrcjc0\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(7,'','','flow','flow','','buy','flow_buy','采购','[{\"position\":{\"left\":810,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":220},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":810,\"top\":460},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":800,\"top\":325},\"id\":\"fhu1cd1tzns0\",\"type\":\"process\",\"text\":\"\\u4ed8\\u6b3e\",\"code\":\"pay\",\"codeReadonly\":true},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"id\":\"create-edit\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"fhu1cd1tzns0\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"fhu20cpy0c00\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"edit\",\"to\":\"fhu1cd1tzns0\",\"fromPort\":\"bottom2\",\"id\":\"hiuza8gn06w0\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00'),(8,'','','flow','flow','','purchasing','flow_purchasing','物品采购','[{\"position\":{\"left\":670,\"top\":20},\"id\":\"start\",\"type\":\"start\",\"text\":\"\\u5f00\\u59cb\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":660,\"top\":120},\"id\":\"create\",\"type\":\"process\",\"text\":\"\\u65b0\\u5efa\",\"code\":\"create\",\"codeReadonly\":true},{\"position\":{\"left\":500,\"top\":120},\"id\":\"edit\",\"type\":\"process\",\"text\":\"\\u7f16\\u8f91\",\"code\":\"edit\",\"codeReadonly\":true},{\"position\":{\"left\":830,\"top\":410},\"id\":\"stop\",\"type\":\"stop\",\"text\":\"\\u7ed3\\u675f\",\"readonly\":true,\"codeReadonly\":true},{\"position\":{\"left\":820,\"top\":240},\"id\":\"hiwuu4qp4v40\",\"type\":\"process\",\"text\":\"\\u901a\\u8fc7\",\"code\":\"pass\",\"codeReadonly\":true},{\"position\":{\"left\":500,\"top\":330},\"id\":\"hiwuyhvkgg80\",\"type\":\"process\",\"text\":\"\\u62d2\\u7edd\",\"code\":\"reject\",\"codeReadonly\":true},{\"position\":{\"left\":675,\"top\":225},\"id\":\"hiwv2arp8rk0\",\"type\":\"result\",\"text\":\"\\u5f85\\u5ba1\\u6838\",\"toggle\":\"tooltip\",\"placement\":\"right\"},{\"from\":\"start\",\"to\":\"create\",\"id\":\"start-add\",\"type\":\"relation\",\"text\":\"\",\"codeReadonly\":true},{\"from\":\"create\",\"to\":\"edit\",\"fromPort\":\"left1\",\"toPort\":\"right1\",\"id\":\"hiwlrhab9s80\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"create\",\"to\":\"hiwv2arp8rk0\",\"fromPort\":\"bottom2\",\"id\":\"hiwv5hfpy2g0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiwv2arp8rk0\",\"to\":\"hiwuu4qp4v40\",\"fromPort\":\"right1\",\"toPort\":\"left1\",\"id\":\"hiwvn764doo0\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":2.8316831683168,\"porY\":3.6428571428571}},\"from\":\"hiwv2arp8rk0\",\"to\":\"hiwuyhvkgg80\",\"fromPort\":\"bottom1\",\"toPort\":\"right1\",\"id\":\"hiwwbt879k00\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiwuyhvkgg80\",\"to\":\"edit\",\"fromPort\":\"top1\",\"toPort\":\"bottom1\",\"id\":\"hiwwk2c9b9k0\",\"type\":\"relation\",\"text\":\"\"},{\"position\":{\"shape\":{\"porX\":-1.3584905660377,\"porY\":1.5445544554455}},\"from\":\"edit\",\"to\":\"hiwv2arp8rk0\",\"fromPort\":\"bottom3\",\"toPort\":\"left1\",\"id\":\"hiwwqjlfr8g0\",\"type\":\"relation\",\"text\":\"\"},{\"from\":\"hiwuu4qp4v40\",\"to\":\"stop\",\"fromPort\":\"bottom2\",\"toPort\":\"top2\",\"id\":\"hiwx1p5rcg80\",\"type\":\"relation\",\"text\":\"\"}]','','',0,0,'{\"users\":[],\"groups\":[]}','','1.0','normal','admin','2020-10-29 15:00:44','admin','2019-03-29 14:46:45'),(9,'purchasing','','table','flow','','purchasegood','flow_purchasegood','采购商品','','','',0,0,'','','1.0','normal','admin','2020-10-29 15:00:44','','0000-00-00 00:00:00');
INSERT INTO `sys_workflowaction` VALUES (1,'meetingroom','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(2,'meetingroom','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(3,'meetingroom','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(4,'meetingroom','view','查看详情','single','different','override','normal','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 11:13:08'),(5,'meetingroom','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(6,'meetingroombooking','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(7,'meetingroombooking','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','{\"type\":\"sql\",\"message\":\"\\u8be5\\u65f6\\u95f4\\u6bb5\\u5df2\\u88ab\\u9884\\u8ba2\",\"sql\":\"select * from flow_meetingroombooking where deleted=\'0\' and room=\'$room\' and ((begin >= \'$begin\' and end <= \'$end\') or (begin <= \'$begin\' and end >= \'$end\') or (begin > \'$begin\' and begin < \'$end\') or (end > \'$begin\' and end < \'$end\'))\",\"sqlVars\":[{\"varName\":\"room\",\"paramType\":\"form\",\"param\":\"room\"},{\"varName\":\"begin\",\"paramType\":\"form\",\"param\":\"begin\"},{\"varName\":\"end\",\"paramType\":\"form\",\"param\":\"end\"}],\"sqlResult\":\"empty\"}','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 10:49:48'),(8,'meetingroombooking','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[]','{\"type\":\"sql\",\"message\":\"\\u8be5\\u65f6\\u95f4\\u6bb5\\u5df2\\u88ab\\u9884\\u8ba2\",\"sql\":\"select * from flow_meetingroombooking where deleted=\'0\' and room=\'$room\' and id != \'$id\' and ((begin >= \'$begin\' and end <= \'$end\') or (begin <= \'$begin\' and end >= \'$end\') or (begin > \'$begin\' and begin < \'$end\') or (end > \'$begin\' and end < \'$end\'))\",\"sqlVars\":[{\"varName\":\"room\",\"paramType\":\"form\",\"param\":\"room\"},{\"varName\":\"begin\",\"paramType\":\"form\",\"param\":\"begin\"},{\"varName\":\"end\",\"paramType\":\"form\",\"param\":\"end\"},{\"varName\":\"id\",\"paramType\":\"record\",\"param\":\"id\"}],\"sqlResult\":\"empty\"}','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(9,'meetingroombooking','view','查看详情','single','different','override','normal','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 11:14:53'),(10,'meetingroombooking','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(11,'stamp','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(12,'stamp','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(13,'stamp','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"notequal\",\"param\":\"pass\",\"logicalOperator\":\"\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"stamp\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"wait\"}],\"conditions\":[{\"field\":\"status\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_stamp`  SET  `status` = \'wait\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(14,'stamp','view','查看详情','single','different','override','','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(15,'stamp','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(16,'stamp','revoke','撤销','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"proposer\",\"operator\":\"equal\",\"param\":\"currentUser\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"stamp\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"draft\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_stamp`  SET  `status` = \'draft\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(17,'stamp','submit','提交','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"draft\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"proposer\",\"operator\":\"equal\",\"param\":\"currentUser\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"stamp\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"wait\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_stamp`  SET  `status` = \'wait\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(18,'stamp','pass','通过','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"stamp\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"pass\"},{\"field\":\"reviewedBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"reviewedDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_stamp`  SET  `status` = \'pass\',  `reviewedBy` = \'$actor\',  `reviewedDate` = \'$now\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":{\"reviewedBy\":\"actor\",\"reviewedDate\":\"now\"},\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 14:09:09'),(19,'stamp','reject','拒绝','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"stamp\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"reject\"},{\"field\":\"reviewedBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"reviewedDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_stamp`  SET  `status` = \'reject\',  `reviewedBy` = \'$actor\',  `reviewedDate` = \'$now\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":{\"reviewedBy\":\"actor\",\"reviewedDate\":\"now\"},\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(20,'car','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(21,'car','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(22,'car','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(23,'car','view','查看详情','single','different','override','normal','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 13:18:22'),(24,'car','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(25,'carbooking','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(26,'carbooking','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','{\"type\":\"sql\",\"message\":\"\\u8be5\\u65f6\\u95f4\\u6bb5\\u5df2\\u88ab\\u9884\\u8ba2\",\"sql\":\"select * from flow_carbooking where deleted=\'0\' and car=\'$car\' and ((begin >= \'$begin\' and end <= \'$end\') or (begin <= \'$begin\' and end >= \'$end\') or (begin > \'$begin\' and begin < \'$end\') or (end > \'$begin\' and end < \'$end\'))\",\"sqlVars\":[{\"varName\":\"car\",\"paramType\":\"form\",\"param\":\"car\"},{\"varName\":\"begin\",\"paramType\":\"form\",\"param\":\"begin\"},{\"varName\":\"end\",\"paramType\":\"form\",\"param\":\"end\"}],\"sqlResult\":\"empty\"}','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 13:36:02'),(27,'carbooking','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"reject\",\"logicalOperator\":\"or\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','{\"type\":\"sql\",\"message\":\"\\u8be5\\u65f6\\u95f4\\u6bb5\\u5df2\\u88ab\\u9884\\u8ba2\",\"sql\":\"select * from flow_carbooking where deleted=\'0\' and car = \'$car\' and id != \'$id\' and  ((begin >= \'$begin\' and end <= \'$end\') or (begin <= \'$begin\' and end >= \'$end\') or (begin > \'$begin\' and begin < \'$end\') or (end > \'$begin\' and end < \'$end\'))\",\"sqlVars\":[{\"varName\":\"car\",\"paramType\":\"form\",\"param\":\"car\"},{\"varName\":\"begin\",\"paramType\":\"form\",\"param\":\"begin\"},{\"varName\":\"end\",\"paramType\":\"form\",\"param\":\"end\"},{\"varName\":\"id\",\"paramType\":\"record\",\"param\":\"id\"}],\"sqlResult\":\"empty\"}','[{\"action\":\"update\",\"table\":\"carbooking\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"wait\"}],\"conditions\":[{\"field\":\"status\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_carbooking`  SET  `status` = \'wait\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(28,'carbooking','view','查看详情','single','different','override','normal','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 13:25:59'),(29,'carbooking','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(30,'carbooking','pass','通过','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"carbooking\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"pass\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_carbooking`  SET  `status` = \'pass\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(31,'carbooking','reject','拒绝','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"carbooking\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_carbooking`  SET  `status` = \'reject\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(32,'collect','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(33,'collect','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(34,'collect','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"reject\",\"logicalOperator\":\"or\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"collect\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"wait\"}],\"conditions\":[{\"field\":\"status\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_collect`  SET  `status` = \'wait\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(35,'collect','view','查看详情','single','different','override','normal','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2016-11-23 14:00:40'),(36,'collect','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(37,'collect','pass','通过','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"and\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\",\"logicalOperator\":\"and\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"collect\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"pass\"},{\"field\":\"reviewedBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"reviewedDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_collect`  SET  `status` = \'pass\',  `reviewedBy` = \'$actor\',  `reviewedDate` = \'$now\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[\"actor\",\"now\"],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(38,'collect','reject','拒绝','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"collect\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"reject\"},{\"field\":\"reviewedBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"reviewedDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_collect`  SET  `status` = \'reject\',  `reviewedBy` = \'$actor\',  `reviewedDate` = \'$now\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[\"actor\",\"now\"],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(39,'collect','pay','付款','single','different','override','modal','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"pass\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"collect\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"closed\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_collect`  SET  `status` = \'closed\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}},{\"action\":\"insert\",\"table\":\"trade\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"depositor\",\"paramType\":\"form\",\"param\":\"depositor\"},{\"field\":\"category\",\"paramType\":\"form\",\"param\":\"category\"},{\"field\":\"type\",\"paramType\":\"custom\",\"param\":\"out\"},{\"field\":\"desc\",\"paramType\":\"record\",\"param\":\"reason\"},{\"field\":\"money\",\"paramType\":\"record\",\"param\":\"money\"},{\"field\":\"handlers\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"date\",\"paramType\":\"today\",\"param\":\"today\"},{\"field\":\"createdBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"createdDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[],\"sql\":\"INSERT INTO `cash_trade` (`depositor`, `category`, `type`, `desc`, `money`, `handlers`, `date`, `createdBy`, `createdDate`) VALUES (\'#depositor\', \'#category\', \'out\', \'@reason\', \'@money\', \'$actor\', \'$today\', \'$actor\', \'$now\') \",\"sqlVars\":{\"handlers\":\"actor\",\"date\":\"today\",\"createdBy\":\"actor\",\"createdDate\":\"now\"},\"formVars\":{\"depositor\":\"depositor\",\"category\":\"category\"},\"recordVars\":{\"desc\":\"reason\",\"money\":\"money\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(40,'buy','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(41,'buy','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(42,'buy','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(43,'buy','view','查看详情','single','different','override','','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(44,'buy','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(45,'buy','pay','付款','single','different','override','modal','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"deleted\",\"operator\":\"equal\",\"param\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"unpaid\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"buy\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"paid\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_buy`  SET  `status` = \'paid\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}},{\"action\":\"insert\",\"table\":\"trade\",\"conditionType\":\"data\",\"message\":\"\",\"fields\":[{\"field\":\"depositor\",\"paramType\":\"form\",\"param\":\"depositor\"},{\"field\":\"category\",\"paramType\":\"form\",\"param\":\"category\"},{\"field\":\"trader\",\"paramType\":\"record\",\"param\":\"provider\"},{\"field\":\"type\",\"paramType\":\"custom\",\"param\":\"out\"},{\"field\":\"handlers\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"desc\",\"paramType\":\"record\",\"param\":\"desc\"},{\"field\":\"money\",\"paramType\":\"record\",\"param\":\"money\"},{\"field\":\"date\",\"paramType\":\"today\",\"param\":\"today\"},{\"field\":\"createdBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"createdDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[],\"sql\":\"INSERT INTO `cash_trade` (`depositor`, `category`, `trader`, `type`, `handlers`, `desc`, `money`, `date`, `createdBy`, `createdDate`) VALUES (\'#depositor\', \'#category\', \'@provider\', \'out\', \'$actor\', \'@desc\', \'@money\', \'$today\', \'$actor\', \'$now\') \",\"sqlVars\":{\"handlers\":\"actor\",\"date\":\"today\",\"createdBy\":\"actor\",\"createdDate\":\"now\"},\"formVars\":{\"depositor\":\"depositor\",\"category\":\"category\"},\"recordVars\":{\"trader\":\"provider\",\"desc\":\"desc\",\"money\":\"money\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(46,'purchasing','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(47,'purchasing','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[{\"action\":\"update\",\"table\":\"purchasing\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"wait\"}],\"conditions\":[{\"field\":\"status\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_purchasing`  SET  `status` = \'wait\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":[\"id\"],\"formulaVars\":[]}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(48,'purchasing','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"\"},{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"reject\",\"logicalOperator\":\"or\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(49,'purchasing','view','查看详情','single','different','override','','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(50,'purchasing','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(51,'purchasegood','browse','浏览列表','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(52,'purchasegood','create','新建','single','different','override','','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(53,'purchasegood','edit','编辑','single','different','override','','browseandview','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(54,'purchasegood','view','查看详情','single','different','override','','browse','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(55,'purchasegood','delete','删除','single','different','override','none','browseandview','','dropdownlist',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(56,'purchasing','pass','通过','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"and\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"purchasing\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"pass\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_purchasing`  SET  `status` = \'pass\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}},{\"action\":\"insert\",\"table\":\"payable\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\\u5ba1\\u6279\\u901a\\u8fc7\\u540e\\u521b\\u5efa\\u4e00\\u6761\\u5e94\\u4ed8\\u6b3e\\u8bb0\\u5f55\\u3002\",\"fields\":[{\"field\":\"type\",\"paramType\":\"custom\",\"param\":\"payable\"},{\"field\":\"parent\",\"paramType\":\"custom\",\"param\":\"-1\"},{\"field\":\"origin\",\"paramType\":\"custom\",\"param\":\"\\u7269\\u54c1\\u91c7\\u8d2d\"},{\"field\":\"trader\",\"paramType\":\"record\",\"param\":\"provider\"},{\"field\":\"deserved\",\"paramType\":\"record\",\"param\":\"money\"},{\"field\":\"balance\",\"paramType\":\"record\",\"param\":\"money\"},{\"field\":\"desc\",\"paramType\":\"record\",\"param\":\"desc\"},{\"field\":\"custom\",\"paramType\":\"custom\",\"param\":\"1\"},{\"field\":\"createdBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"createdDate\",\"paramType\":\"now\",\"param\":\"now\"},{\"field\":\"editedBy\",\"paramType\":\"actor\",\"param\":\"actor\"},{\"field\":\"editedDate\",\"paramType\":\"now\",\"param\":\"now\"}],\"conditions\":[],\"wheres\":[],\"sql\":\"INSERT INTO `cash_fund` (`type`,`parent`,`origin`,`trader`,`deserved`,`balance`,`desc`,`custom`,`createdBy`,`createdDate`,`editedBy`,`editedDate`) VALUES (\'payable\',\'-1\',\'\\u7269\\u54c1\\u91c7\\u8d2d\',\'@provider\',\'@money\',\'@money\',\'@desc\',\'1\',\'$actor\',\'$now\',\'$actor\',\'$now\') \",\"sqlVars\":{\"createdBy\":\"actor\",\"createdDate\":\"now\",\"editedBy\":\"actor\",\"editedDate\":\"now\"},\"formVars\":[],\"recordVars\":{\"trader\":\"provider\",\"deserved\":\"money\",\"balance\":\"money\",\"desc\":\"desc\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2019-03-28 15:15:28'),(57,'purchasing','reject','拒绝','single','different','override','none','browseandview','','direct',0,0,0,'[{\"conditionType\":\"data\",\"fields\":[{\"field\":\"status\",\"operator\":\"equal\",\"param\":\"wait\",\"logicalOperator\":\"and\"}],\"sql\":\"\",\"sqlResult\":\"empty\"}]','','[{\"action\":\"update\",\"table\":\"purchasing\",\"conditionType\":\"data\",\"message\":\"\",\"comment\":\"\",\"fields\":[{\"field\":\"status\",\"paramType\":\"custom\",\"param\":\"reject\"}],\"conditions\":[],\"wheres\":[{\"field\":\"id\",\"logicalOperator\":\"and\",\"operator\":\"equal\",\"paramType\":\"record\",\"param\":\"id\"}],\"sql\":\"UPDATE `flow_purchasing`  SET  `status` = \'reject\' WHERE 1 AND (1  AND `id` = \'@id\' )\",\"sqlVars\":[],\"formVars\":[],\"recordVars\":{\"id\":\"id\"}}]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(58,'buy','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:24'),(59,'car','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:54:52'),(60,'carbooking','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:57:38'),(61,'collect','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:59:37'),(62,'meetingroom','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:41:03'),(63,'meetingroombooking','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:15'),(64,'purchasegood','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(65,'purchasing','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:02:26'),(66,'stamp','export','导出数据','single','different','override','none','menu','','direct',0,0,0,'[]','','[]','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:05'),(67,'purchasing','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2020-09-29 11:07:22'),(68,'purchasing','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(69,'purchasing','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:02:33'),(70,'purchasing','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:02:49'),(71,'purchasing','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:02:54'),(72,'purchasing','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:03:00'),(73,'purchasing','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:03:06'),(74,'buy','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(75,'buy','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(76,'buy','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:33'),(77,'buy','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:38'),(78,'buy','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:48'),(79,'buy','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:54'),(80,'buy','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:01:59'),(81,'collect','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(82,'collect','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(83,'collect','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:59:43'),(84,'collect','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:59:50'),(85,'collect','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:59:57'),(86,'collect','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:00:05'),(87,'collect','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 16:00:13'),(88,'carbooking','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(89,'carbooking','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(90,'carbooking','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:57:50'),(91,'carbooking','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:57:58'),(92,'carbooking','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:58:04'),(93,'carbooking','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:58:13'),(94,'carbooking','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:58:19'),(95,'car','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(96,'car','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(97,'car','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:54:59'),(98,'car','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:55:04'),(99,'car','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:55:10'),(100,'car','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:55:16'),(101,'car','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:55:21'),(102,'stamp','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(103,'stamp','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(104,'stamp','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:18'),(105,'stamp','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:10'),(106,'stamp','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:24'),(107,'stamp','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:29'),(108,'stamp','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:52:39'),(109,'meetingroombooking','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(110,'meetingroombooking','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(111,'meetingroombooking','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:37'),(112,'meetingroombooking','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:43'),(113,'meetingroombooking','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:48'),(114,'meetingroombooking','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:53'),(115,'meetingroombooking','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:43:58'),(116,'meetingroom','batchcreate','批量新建','batch','different','override','normal','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(117,'meetingroom','batchedit','批量编辑','batch','different','override','normal','browse','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(118,'meetingroom','link','关联数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:41:13'),(119,'meetingroom','unlink','移除数据','single','same','override','none','view','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:42:00'),(120,'meetingroom','exporttemplate','下载模板','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:41:24'),(121,'meetingroom','import','导入数据','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:41:30'),(122,'meetingroom','showimport','导入确认','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','disable','admin','2020-10-30 15:40:35','admin','2020-10-30 15:41:35'),(129,'car','carbooking_create','预订','single','same','override','normal','menu','','direct',0,0,1,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2020-10-21 10:51:00'),(130,'car','carbooking_batchcreate','批量预订','batch','different','override','normal','menu','','direct',0,0,1,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2020-10-21 10:51:07'),(127,'meetingroom','meetingroombooking_create','预订','single','same','override','normal','menu','','direct',0,0,1,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2020-10-21 10:53:43'),(128,'meetingroom','meetingroombooking_batchcreate','批量预订','batch','different','override','normal','menu','','direct',0,0,1,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','admin','2020-10-21 10:53:49'),(131,'meetingroom','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(132,'meetingroombooking','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(133,'stamp','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(134,'car','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(135,'carbooking','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(136,'collect','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(137,'buy','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00'),(138,'purchasing','report','报表','single','same','override','none','menu','','direct',0,0,0,'','','','','','','','','','enable','admin','2020-10-30 15:40:35','','0000-00-00 00:00:00');
INSERT INTO `sys_workflowdatasource` VALUES (1,'system','销售订单','order','{\"app\":\"crm\",\"module\":\"order\",\"method\":\"getPairs\",\"methodDesc\":\"Get order pairs.\",\"params\":[{\"name\":\"customer\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"status\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"orderID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:02:11'),(2,'system','销售合同','contract','{\"app\":\"crm\",\"module\":\"contract\",\"method\":\"getPairs\",\"methodDesc\":\"Get contract pairs.\",\"params\":[{\"name\":\"type\",\"type\":\"string\",\"desc\":\"sale | purchase\",\"value\":\"sale\"},{\"name\":\"customerID\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"contractID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:02:01'),(3,'system','客户','customer','{\"app\":\"crm\",\"module\":\"customer\",\"method\":\"getPairs\",\"methodDesc\":\"Get customer pairs.\",\"params\":[{\"name\":\"relation\",\"type\":\"string\",\"desc\":\"\",\"value\":\"client\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"customerID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:02:38'),(4,'system','供应商','provider','{\"app\":\"crm\",\"module\":\"customer\",\"method\":\"getPairs\",\"methodDesc\":\"Get customer pairs.\",\"params\":[{\"name\":\"relation\",\"type\":\"string\",\"desc\":\"\",\"value\":\"provider\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"customerID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:03:01'),(5,'system','联系人','contact','{\"app\":\"crm\",\"module\":\"contact\",\"method\":\"getPairs\",\"methodDesc\":\"Get contact pairs.\",\"params\":[{\"name\":\"customer\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"status\",\"type\":\"string\",\"desc\":\"\",\"value\":\"normal\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"contactID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:03:21'),(6,'system','产品','product','{\"app\":\"crm\",\"module\":\"product\",\"method\":\"getPairs\",\"methodDesc\":\"Get product pairs.\",\"params\":[{\"name\":\"status\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"category\",\"type\":\"int\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"order_desc\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 16:04:03'),(7,'sql','会议室','meetingroom','select id, name from flow_meetingroom where deleted = \'0\';','view_datasource_7','id','name',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 11:00:58'),(8,'option','设备','equipment','{\"computer\":\"\\u7535\\u8111\",\"projector\":\"\\u6295\\u5f71\\u4eea\",\"micphone\":\"\\u9ea6\\u514b\\u98ce\",\"audio\":\"\\u97f3\\u54cd\",\"whiteboard\":\"\\u767d\\u677f\"}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 11:00:46'),(9,'option','工作日','workday','{\"1\":\"\\u5468\\u4e00\",\"2\":\"\\u5468\\u4e8c\",\"3\":\"\\u5468\\u4e09\",\"4\":\"\\u5468\\u56db\",\"5\":\"\\u5468\\u4e94\",\"6\":\"\\u5468\\u516d\",\"7\":\"\\u5468\\u65e5\"}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 11:00:36'),(10,'system','账号','depositor','{\"app\":\"cash\",\"module\":\"depositor\",\"method\":\"getPairs\",\"methodDesc\":\"Get depositor option menu.\",\"params\":[]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 11:00:29'),(11,'system','支出科目','outCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"out\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 10:46:37','admin','2021-02-18 15:34:50'),(12,'system','收入科目','inCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"in\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 13:04:30','admin','2021-02-18 15:35:03'),(13,'system','币种','currency','{\"app\":\"sys\",\"module\":\"common\",\"method\":\"getCurrencyList\",\"methodDesc\":\"Get currency list.\",\"params\":[]}','','0','0',1,'admin','2021-02-18 13:25:24','','0000-00-00 00:00:00'),(14,'system','采购合同','purchasecontract','{\"app\":\"crm\",\"module\":\"contract\",\"method\":\"getPairs\",\"methodDesc\":\"Get contract pairs.\",\"params\":[{\"name\":\"type\",\"type\":\"string\",\"desc\":\"sale | purchase\",\"value\":\"purchase\"},{\"name\":\"customerID\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"contractID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 13:27:19','admin','2021-02-18 16:04:19'),(15,'system','仓库','store','{\"app\":\"sys\",\"module\":\"store\",\"method\":\"getPairs\",\"methodDesc\":\"Get pairs.\",\"params\":[]}','','0','0',1,'admin','2021-02-18 15:32:16','','0000-00-00 00:00:00'),(16,'lang','产品单位','productUnit','productUnit','','0','0',1,'admin','2021-02-18 15:32:49','','0000-00-00 00:00:00'),(17,'system','产品分类','productCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"product\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:34:30','','0000-00-00 00:00:00'),(18,'lang','产品规格','productModel','productModel','','0','0',1,'admin','2021-02-18 15:35:36','','0000-00-00 00:00:00'),(19,'lang','产品类型','productType','productType','','0','0',1,'admin','2021-02-18 15:35:55','','0000-00-00 00:00:00'),(20,'system','产品收入科目','productSubject','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenuByMajor\",\"methodDesc\":\"Get option menu by major.\",\"params\":[{\"name\":\"major\",\"type\":\"int\",\"desc\":\"\",\"value\":\"1\"}]}','','0','0',1,'admin','2021-02-18 15:36:35','','0000-00-00 00:00:00'),(21,'lang','产品状态','productStatus','productStatus','','0','0',1,'admin','2021-02-18 15:36:58','','0000-00-00 00:00:00'),(22,'lang','订单关闭原因','orderReason','orderReason','','0','0',1,'admin','2021-02-18 15:37:22','','0000-00-00 00:00:00'),(23,'lang','订单状态','orderStatus','orderStatus','','0','0',1,'admin','2021-02-18 15:37:39','','0000-00-00 00:00:00'),(24,'lang','发票发送方式','invoiceSendway','invoiceSendway','','0','0',1,'admin','2021-02-18 15:40:19','','0000-00-00 00:00:00'),(25,'lang','发票类别','invoiceKind','invoiceKind','','0','0',1,'admin','2021-02-18 15:40:57','','0000-00-00 00:00:00'),(26,'lang','发票类型','invoiceType','invoiceType','','0','0',1,'admin','2021-02-18 15:41:13','','0000-00-00 00:00:00'),(27,'lang','发票销售类型','invoiceSaleType','invoiceSaleType','','0','0',1,'admin','2021-02-18 15:41:36','','0000-00-00 00:00:00'),(28,'lang','发票状态','invoiceStatus','invoiceStatus','','0','0',1,'admin','2021-02-18 15:41:53','','0000-00-00 00:00:00'),(29,'system','售后分类','feedbackCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getPairs\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"feedback\"},{\"name\":\"status\",\"type\":\"\",\"desc\":\"\",\"value\":\"normal\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:43:23','admin','2021-02-18 15:44:49'),(30,'lang','售后关闭原因','feedbackReason','feedbackReason','','0','0',1,'admin','2021-02-18 15:44:38','','0000-00-00 00:00:00'),(31,'lang','售后类型','feedbackType','feedbackType','','0','0',1,'admin','2021-02-18 15:45:22','','0000-00-00 00:00:00'),(32,'lang','售后优先级','feedbackPri','feedbackPri','','0','0',1,'admin','2021-02-18 15:45:36','','0000-00-00 00:00:00'),(33,'lang','售后状态','feedbackStatus','feedbackStatus','','0','0',1,'admin','2021-02-18 15:45:48','','0000-00-00 00:00:00'),(34,'system','公司','company','{\"app\":\"sys\",\"module\":\"company\",\"method\":\"getPairs\",\"methodDesc\":\"\",\"params\":[]}','','0','0',1,'admin','2021-02-18 15:46:05','','0000-00-00 00:00:00'),(35,'system','供应商分类','providerCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"provider\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:47:18','','0000-00-00 00:00:00'),(36,'system','行业分类','industryCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"industry\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:47:46','','0000-00-00 00:00:00'),(37,'system','合同地址','contractAddress','{\"app\":\"crm\",\"module\":\"address\",\"method\":\"getPairsByObject\",\"methodDesc\":\"Get pairs by object.\",\"params\":[{\"name\":\"objectType\",\"type\":\"string\",\"desc\":\"\",\"value\":\"contract\"},{\"name\":\"objectID\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"}]}','','0','0',1,'admin','2021-02-18 15:48:09','','0000-00-00 00:00:00'),(38,'lang','销售合同回款状态','contractReturn','contractReturn','','0','0',1,'admin','2021-02-18 15:49:43','admin','2021-02-18 15:50:14'),(39,'lang','采购合同付款状态','contractPay','contractPay','','0','0',1,'admin','2021-02-18 15:50:04','','0000-00-00 00:00:00'),(40,'lang','合同交付状态','contractDelivery','contractDelivery','','0','0',1,'admin','2021-02-18 15:50:42','','0000-00-00 00:00:00'),(41,'lang','合同类型','contractType','contractType','','0','0',1,'admin','2021-02-18 15:50:55','','0000-00-00 00:00:00'),(42,'lang','合同状态','contractStatus','contractStatus','','0','0',1,'admin','2021-02-18 15:51:09','','0000-00-00 00:00:00'),(43,'system','客户地址','customerAddress','{\"app\":\"crm\",\"module\":\"address\",\"method\":\"getPairsByObject\",\"methodDesc\":\"Get pairs by object.\",\"params\":[{\"name\":\"objectType\",\"type\":\"string\",\"desc\":\"\",\"value\":\"customer\"},{\"name\":\"objectID\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"}]}','','0','0',1,'admin','2021-02-18 15:51:31','','0000-00-00 00:00:00'),(44,'system','客户分类','customerCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"customer\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:52:18','','0000-00-00 00:00:00'),(45,'lang','客户关系','customerRelation','customerRelation','','0','0',1,'admin','2021-02-18 15:53:05','','0000-00-00 00:00:00'),(46,'system','客户规模','customerSize','{\"app\":\"crm\",\"module\":\"customer\",\"method\":\"combineSizeList\",\"methodDesc\":\"Combine sizeList for customer.\",\"params\":[]}','','0','0',1,'admin','2021-02-18 15:53:25','','0000-00-00 00:00:00'),(47,'system','客户级别','customerLevel','{\"app\":\"crm\",\"module\":\"customer\",\"method\":\"combineLevelList\",\"methodDesc\":\"Combine levelList for customer.\",\"params\":[]}','','0','0',1,'admin','2021-02-18 15:53:43','','0000-00-00 00:00:00'),(48,'lang','客户来源','customerSource','customerSource','','0','0',1,'admin','2021-02-18 15:54:01','','0000-00-00 00:00:00'),(49,'lang','客户类型','customerType','customerType','','0','0',1,'admin','2021-02-18 15:54:14','','0000-00-00 00:00:00'),(50,'lang','客户状态','customerStatus','customerStatus','','0','0',1,'admin','2021-02-18 15:54:29','','0000-00-00 00:00:00'),(51,'lang','联系人状态','contactStatus','contactStatus','','0','0',1,'admin','2021-02-18 15:54:43','','0000-00-00 00:00:00'),(52,'system','区域分类','areaCategory','{\"app\":\"sys\",\"module\":\"tree\",\"method\":\"getOptionMenu\",\"methodDesc\":\"\",\"params\":[{\"name\":\"type\",\"type\":\"\",\"desc\":\"\",\"value\":\"area\"},{\"name\":\"startCategory\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeRoot\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"root\",\"type\":\"\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"removeGrade\",\"type\":\"\",\"desc\":\"\",\"value\":\"3\"},{\"name\":\"month\",\"type\":\"\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 15:55:05','','0000-00-00 00:00:00'),(53,'system','所有合同','allContract','{\"app\":\"crm\",\"module\":\"contract\",\"method\":\"getPairs\",\"methodDesc\":\"Get contract pairs.\",\"params\":[{\"name\":\"type\",\"type\":\"string\",\"desc\":\"sale | purchase\",\"value\":\"\"},{\"name\":\"customerID\",\"type\":\"int\",\"desc\":\"\",\"value\":\"0\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"contractID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 16:00:14','admin','2021-02-18 16:04:45'),(54,'system','所有客户','allCustomer','{\"app\":\"crm\",\"module\":\"customer\",\"method\":\"getPairs\",\"methodDesc\":\"Get customer pairs.\",\"params\":[{\"name\":\"relation\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"},{\"name\":\"emptyOption\",\"type\":\"bool\",\"desc\":\"\",\"value\":\"1\"},{\"name\":\"orderBy\",\"type\":\"string\",\"desc\":\"\",\"value\":\"id_desc\"},{\"name\":\"limit\",\"type\":\"int\",\"desc\":\"\",\"value\":\"50\"},{\"name\":\"customerID\",\"type\":\"string\",\"desc\":\"\",\"value\":\"\"}]}','','0','0',1,'admin','2021-02-18 16:00:39','admin','2021-02-18 16:04:51'),(55,'lang','是否公开','public','public','','0','0',1,'admin','2021-02-18 15:55:20','','0000-00-00 00:00:00'),(56,'lang','是否删除','deleted','deleted','','0','0',1,'admin','2021-02-18 15:59:39','','0000-00-00 00:00:00'),(57,'lang','性别','gender','gender','','0','0',1,'admin','2021-02-18 16:05:19','','0000-00-00 00:00:00'),(58,'lang','角色','role','role','','0','0',1,'admin','2021-02-18 16:05:44','','0000-00-00 00:00:00'),(59,'lang','快递','express','express','','0','0',1,'admin','2021-02-18 16:06:00','','0000-00-00 00:00:00');
INSERT INTO `sys_workflowfield` VALUES (1,'meetingroom','id','mediumint','8','编号','label','','[]','','2','',5,2,0,'1','1','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(2,'meetingroom','parent','mediumint','8','父流程ID','label','','[]','0','','',6,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(3,'meetingroom','createdBy','varchar','30','由谁创建','select','','user','','','',7,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(4,'meetingroom','createdDate','datetime','','创建日期','datetime','','[]','','','',8,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(5,'meetingroom','editedBy','varchar','30','由谁编辑','select','','user','','','',9,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(6,'meetingroom','editedDate','datetime','','编辑日期','datetime','','[]','','','',10,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(7,'meetingroom','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',12,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(8,'meetingroom','name','varchar','200','名称','input','','{}','','1','',0,1,5,'1','1','1','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 11:14:10'),(9,'meetingroom','position','varchar','200','位置','select','','{\"1\":\"\\u4e00\\u697c\",\"2\":\"\\u4e8c\\u697c\",\"3\":\"\\u4e09\\u697c\",\"4\":\"\\u56db\\u697c\",\"5\":\"\\u4e94\\u697c\"}','','1','',1,0,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 10:24:40'),(10,'meetingroom','seats','smallint','','容纳人数','integer','','[]','','1','',2,3,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-09-28 16:43:16'),(11,'meetingroom','equipment','text','','设备','checkbox','','8','','1','',3,4,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(12,'meetingroom','workday','text','','开放时间','checkbox','','9','','1','',4,5,4,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 10:39:48'),(13,'meetingroombooking','id','mediumint','','编号','label','','{}','','2','',6,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(14,'meetingroombooking','parent','mediumint','8','父流程ID','label','','[]','0','','',7,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(15,'meetingroombooking','createdBy','varchar','30','由谁创建','select','','user','','','',8,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(16,'meetingroombooking','createdDate','datetime','','创建日期','datetime','','[]','','','',9,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(17,'meetingroombooking','editedBy','varchar','30','由谁编辑','select','','user','','','',10,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(18,'meetingroombooking','editedDate','datetime','','编辑日期','datetime','','[]','','','',11,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(19,'meetingroombooking','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',13,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(20,'meetingroombooking','room','varchar','8','会议室','select','','prevModule','','1','',0,0,0,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(21,'meetingroombooking','begin','datetime','','开始时间','datetime','','{}','','1,3','',1,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(22,'meetingroombooking','end','datetime','','结束时间','datetime','','{}','','1,3','',2,2,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(23,'meetingroombooking','orderedBy','varchar','30','由谁预订','select','','user','','1','',3,3,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(24,'meetingroombooking','orderedDate','datetime','','预订时间','datetime','','{}','','1,3','',4,4,4,'1','1','1','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(25,'meetingroombooking','desc','varchar','200','描述','input','','{}','','','',5,5,5,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(26,'stamp','id','mediumint','','编号','label','','{}','','2','',9,2,0,'1','1','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(27,'stamp','parent','mediumint','8','父流程ID','label','','[]','0','','',10,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(28,'stamp','createdBy','varchar','30','由谁创建','select','','user','','','',11,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(29,'stamp','createdDate','datetime','','创建日期','datetime','','{}','','','',12,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(30,'stamp','editedBy','varchar','30','由谁编辑','select','','user','','','',13,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(31,'stamp','editedDate','datetime','','编辑日期','datetime','','{}','','','',14,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(32,'stamp','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',16,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(33,'stamp','proposer','varchar','30','申请人','select','','user','','1','',0,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(34,'stamp','reason','varchar','200','申请事由','input','','{}','','1','',4,0,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(35,'stamp','begin','datetime','','开始时间','datetime','','{}','','1','',1,3,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(36,'stamp','end','datetime','','结束时间','datetime','','{}','','1','',2,4,4,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(37,'stamp','type','text','','印章类型','checkbox','','{\"1\":\"\\u516c\\u7ae0\",\"2\":\"\\u6cd5\\u4eba\\u7ae0\",\"3\":\"\\u5408\\u540c\\u7ae0\",\"4\":\"\\u8d22\\u52a1\\u7ae0\",\"5\":\"\\u53d1\\u7968\\u7ae0\"}','','1','',3,5,5,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(38,'stamp','desc','varchar','200','备注','input','','{}','','','',6,6,6,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(39,'stamp','status','varchar','200','状态','select','','{\"draft\":\"\\u8349\\u7a3f\",\"wait\":\"\\u5f85\\u5ba1\\u6279\",\"pass\":\"\\u901a\\u8fc7\",\"reject\":\"\\u62d2\\u7edd\"}','wait','1','',5,7,7,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 11:25:25'),(40,'stamp','reviewedBy','varchar','30','审批人','select','','user','','1','',7,8,8,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 11:23:27'),(41,'stamp','reviewedDate','datetime','','审批时间','datetime','','{}','','1','',8,9,9,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(42,'car','id','mediumint','','编号','label','','{}','','2','',7,1,0,'1','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(43,'car','parent','mediumint','8','父流程ID','label','','[]','0','','',8,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(44,'car','createdBy','varchar','30','由谁创建','select','','user','','','',9,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(45,'car','createdDate','datetime','','创建日期','datetime','','[]','','','',10,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(46,'car','editedBy','varchar','30','由谁编辑','select','','user','','','',11,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(47,'car','editedDate','datetime','','编辑日期','datetime','','[]','','','',12,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(48,'car','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',14,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(49,'car','type','varchar','200','品牌','select','','{\"audi\":\"\\u5965\\u8fea\",\"benz\":\"\\u5954\\u9a70\",\"vw\":\"\\u5927\\u4f17\"}','','1','',0,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-11-02 13:48:37'),(50,'car','code','varchar','200','车牌号','input','','{}','','1','',1,0,7,'1','1','1','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 13:40:14'),(51,'car','driver','varchar','30','司机','select','','user','','','',2,2,2,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(52,'car','mobile','varchar','50','手机','input','','[]','','','',3,3,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(53,'car','buyDate','date','','购买日期','date','','{}','','3','',4,4,4,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(54,'car','price','decimal','10,2','价格','decimal','','{}','','','',5,5,5,'1','1','','',0,'0','admin','2020-11-02 10:48:03','admin','2018-08-13 10:04:51'),(55,'car','status','varchar','200','状态','select','','{\"normal\":\"\\u6b63\\u5e38\",\"repairing\":\"\\u7ef4\\u4fee\\u4e2d\",\"broken\":\"\\u635f\\u574f\",\"scrapped\":\"\\u62a5\\u5e9f\"}','normal','','',6,6,6,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(56,'carbooking','id','mediumint','','编号','label','','{}','','2','',9,0,0,'1','1','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(57,'carbooking','parent','mediumint','8','父流程ID','label','','[]','0','','',10,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(58,'carbooking','createdBy','varchar','30','由谁创建','select','','user','','','',11,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(59,'carbooking','createdDate','datetime','','创建日期','datetime','','[]','','','',12,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(60,'carbooking','editedBy','varchar','30','由谁编辑','select','','user','','','',13,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(61,'carbooking','editedDate','datetime','','编辑日期','datetime','','[]','','','',14,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(62,'carbooking','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',16,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(63,'carbooking','appliedBy','varchar','30','申请人','select','','user','','1','',0,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(64,'carbooking','appliedDate','datetime','','申请时间','datetime','','{}','','1,3','',4,2,2,'1','1','1','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(65,'carbooking','car','varchar','8','车辆','select','','prevModule','','1','',1,3,3,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(66,'carbooking','begin','datetime','','开始时间','datetime','','{}','','1,3','',2,4,4,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(67,'carbooking','end','datetime','','结束时间','datetime','','{}','','1,3','',3,5,5,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(68,'carbooking','reason','varchar','200','理由','input','','{}','','','',6,6,6,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(69,'carbooking','status','varchar','200','状态','select','','{\"wait\":\"\\u7b49\\u5f85\\u5ba1\\u6838\",\"pass\":\"\\u901a\\u8fc7\",\"reject\":\"\\u62d2\\u7edd\"}','wait','1','',5,7,7,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(70,'carbooking','reviewedBy','varchar','30','审核人','select','','user','','','',7,8,8,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(71,'carbooking','reviewedDate','datetime','','审核时间','datetime','','{}','','3','',8,9,9,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(72,'collect','id','mediumint','','编号','label','','{}','','2','',9,0,0,'1','1','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(73,'collect','parent','mediumint','8','父流程ID','label','','[]','0','','',10,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(74,'collect','createdBy','varchar','30','由谁创建','select','','user','','','',11,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(75,'collect','createdDate','datetime','','创建日期','datetime','','[]','','','',12,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(76,'collect','editedBy','varchar','30','由谁编辑','select','','user','','','',13,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(77,'collect','editedDate','datetime','','编辑日期','datetime','','[]','','','',14,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(78,'collect','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',16,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(79,'collect','appliedBy','varchar','30','申请人','select','','user','','1','',0,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(80,'collect','appliedDate','datetime','','申请时间','datetime','','{}','','1,3','',1,2,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(81,'collect','money','decimal','10,2','金额','decimal','','{}','','1','',2,3,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2018-08-13 10:04:16'),(82,'collect','reason','varchar','200','用途','input','','{}','','','',3,4,4,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(83,'collect','status','varchar','200','状态','select','','{\"wait\":\"\\u7b49\\u5f85\\u5ba1\\u6838\",\"pass\":\"\\u901a\\u8fc7\",\"reject\":\"\\u62d2\\u7edd\",\"closed\":\"\\u5df2\\u5b8c\\u6210\"}','wait','','',4,5,5,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2016-11-23 13:52:21'),(84,'collect','reviewedBy','varchar','30','由谁审核','select','','user','','','',5,6,6,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(85,'collect','reviewedDate','datetime','','审核时间','datetime','','{}','','3','',6,7,7,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(86,'collect','depositor','varchar','200','付款账号','select','','10','','1','',7,8,8,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(87,'collect','category','varchar','200','支出科目','select','','11','','1','',8,9,9,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(88,'buy','id','mediumint','','编号','label','','{}','','2','',8,0,0,'1','1','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(89,'buy','parent','mediumint','8','父流程ID','label','','[]','0','','',9,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(90,'buy','createdBy','varchar','30','由谁创建','select','','user','','','',10,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(91,'buy','createdDate','datetime','','创建日期','datetime','','{}','','','',11,1,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(92,'buy','editedBy','varchar','30','由谁编辑','select','','user','','','',12,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(93,'buy','editedDate','datetime','','编辑日期','datetime','','[]','','','',13,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(94,'buy','deleted','varchar','200','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',15,0,0,'0','0','0','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(95,'buy','provider','varchar','200','供应商','select','','4','','1','',0,1,1,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(96,'buy','goods','varchar','200','商品','input','','{}','','1','',1,2,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(97,'buy','money','decimal','12,2','金额','decimal','','{}','','1','',2,3,3,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2018-08-13 10:03:37'),(98,'buy','desc','varchar','200','备注','input','','{}','','','',4,4,4,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(99,'buy','status','varchar','200','状态','select','','{\"unpaid\":\"\\u672a\\u652f\\u4ed8\",\"paid\":\"\\u5df2\\u652f\\u4ed8\"}','unpaid','','',3,5,5,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-09-29 10:12:57'),(100,'buy','depositor','varchar','200','付款账号','select','','10','','1','',5,6,6,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(101,'buy','category','varchar','200','支出科目','select','','11','','1','',6,7,7,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(102,'purchasing','id','mediumint','','编号','label','','{}','','2','',6,0,0,'1','1','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(103,'purchasing','parent','mediumint','8','父流程ID','label','','[]','0','','',7,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(104,'purchasing','createdBy','varchar','30','由谁创建','select','','user','','','',8,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(105,'purchasing','createdDate','datetime','','创建日期','datetime','','[]','','','',9,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(106,'purchasing','editedBy','varchar','30','由谁编辑','select','','user','','','',10,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(107,'purchasing','editedDate','datetime','','编辑日期','datetime','','[]','','','',11,1,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(108,'purchasing','deleted','enum(\'0\',\'1\')','','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',13,0,0,'0','0','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(109,'purchasing','provider','varchar','150','供应商','select','','4','','','',0,1,1,'1','1','','',0,'0','admin','2020-11-02 10:48:03','admin','2019-03-28 14:14:26'),(110,'purchasing','money','decimal','10,2','金额','formula','[{\"type\":\"target\",\"module\":\"purchasegood\",\"field\":\"money\",\"function\":\"sum\",\"text\":\"采购商品_金额_合计值\"}]','[]','','1','',1,2,2,'1','1','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-10-14 15:18:23'),(111,'purchasing','purchasedby','varchar','30','由谁采购','select','','user','','1','',2,3,3,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(112,'purchasing','purchaseddate','datetime','','采购时间','datetime','','{}','','','',3,4,4,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(113,'purchasing','status','char','30','状态','select','','{\"wait\":\"\\u5f85\\u5ba1\\u6279\",\"pass\":\"\\u5df2\\u901a\\u8fc7\",\"reject\":\"\\u5df2\\u62d2\\u7edd\",\"finished\":\"\\u5df2\\u5b8c\\u6210\"}','wait','','',4,5,5,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(114,'purchasing','desc','varchar','200','描述','input','','{}','','','',5,6,6,'1','1','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(115,'purchasegood','id','mediumint','8','编号','label','','[]','','2','',5,1,0,'1','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(116,'purchasegood','parent','varchar','8','父流程ID','label','','[]','','','',6,1,0,'0','','0','1',0,'1','admin','2020-11-02 10:48:03','admin','2020-10-29 14:23:07'),(117,'purchasegood','createdBy','varchar','30','由谁创建','select','','user','','','',7,1,0,'0','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(118,'purchasegood','createdDate','datetime','','创建日期','datetime','','[]','','','',8,1,0,'0','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(119,'purchasegood','editedBy','varchar','30','由谁编辑','select','','user','','','',9,1,0,'0','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(120,'purchasegood','editedDate','datetime','','编辑日期','datetime','','[]','','','',10,1,0,'0','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(121,'purchasegood','deleted','enum(\'0\',\'1\')','','是否删除','radio','','[\"\\u672a\\u5220\\u9664\",\"\\u5df2\\u5220\\u9664\"]','0','','',12,0,0,'0','','','1',0,'1','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(123,'purchasegood','product','varchar','200','商品','input','','[]','','1','',0,1,1,'1','','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(124,'purchasegood','unit','char','20','单位','input','','[]','','','',1,1,2,'1','','','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(125,'purchasegood','price','decimal','12,2','单价','decimal','','[]','','','',2,1,3,'1','','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-10-14 15:19:40'),(126,'purchasegood','amount','decimal','12,2','数量','decimal','','[]','','','',3,1,4,'1','','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-10-14 15:19:25'),(127,'purchasegood','money','decimal','12,2','金额','formula','[{\"type\":\"target\",\"module\":\"purchasegood\",\"field\":\"price\",\"text\":\"采购商品_单价\"},{\"type\":\"operator\",\"operator\":\"*\",\"text\":\"×\"},{\"type\":\"target\",\"module\":\"purchasegood\",\"field\":\"amount\",\"text\":\"采购商品_数量\"}]','[]','','','',4,1,5,'1','','0','',0,'0','admin','2020-11-02 10:48:03','admin','2020-10-14 15:19:19'),(132,'buy','files','varchar','255','附件','file','','{}','','','',7,0,0,'0','0','0','',0,'0','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(133,'meetingroom','mailto','text','','抄送给','multi-select','','user','','','',11,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(134,'meetingroombooking','mailto','text','','抄送给','multi-select','','user','','','',12,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(135,'stamp','mailto','text','','抄送给','multi-select','','user','','','',15,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(136,'car','mailto','text','','抄送给','multi-select','','user','','','',13,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(137,'carbooking','mailto','text','','抄送给','multi-select','','user','','','',15,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(138,'collect','mailto','text','','抄送给','multi-select','','user','','','',15,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(139,'buy','mailto','text','','抄送给','multi-select','','user','','','',14,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(140,'purchasing','mailto','text','','抄送给','multi-select','','user','','','',12,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00'),(141,'purchasegood','mailto','text','','抄送给','multi-select','','user','','','',11,0,0,'0','0','0','1',0,'','admin','2020-11-02 10:48:03','','0000-00-00 00:00:00');

INSERT INTO `sys_workflowlabel` VALUES (1,'meetingroom','label1','所有会议室','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 10:48:04'),(2,'meetingroom','label2','一楼会议室','[{\"field\":\"position\",\"operator\":\"equal\",\"value\":\"1\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(3,'meetingroom','label3','二楼会议室','[{\"field\":\"position\",\"operator\":\"equal\",\"value\":\"2\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(4,'meetingroom','label4','三楼会议室','[{\"field\":\"position\",\"operator\":\"equal\",\"value\":\"3\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(5,'meetingroombooking','label5','所有预订','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 11:07:32'),(6,'meetingroombooking','label6','我的预订','[{\"field\":\"orderedBy\",\"operator\":\"equal\",\"value\":\"currentUser\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(7,'stamp','label7','所有','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(8,'stamp','label8','我的申请','[{\"field\":\"proposer\",\"operator\":\"equal\",\"value\":\"currentUser\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 13:27:26'),(9,'stamp','label9','我的审核','[{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"wait\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-24 13:56:12'),(10,'car','label10','车辆列表','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 13:28:10'),(11,'carbooking','label11','所有预订','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 13:29:07'),(12,'carbooking','label12','我的预订','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"},{\"field\":\"appliedBy\",\"operator\":\"equal\",\"value\":\"currentUser\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(13,'carbooking','label13','我的审核','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"},{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"wait\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-24 13:56:46'),(14,'collect','label14','所有','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(15,'collect','label15','我的请款','[{\"field\":\"appliedBy\",\"operator\":\"equal\",\"value\":\"currentUser\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(16,'collect','label16','我的审核','[{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"wait\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-24 14:02:10'),(17,'collect','label17','待付款','[{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"pass\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(18,'buy','label18','所有','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(19,'buy','label19','待付款','[{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"unpaid\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(20,'buy','label20','已付款','[{\"field\":\"status\",\"operator\":\"equal\",\"value\":\"paid\"},{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','admin','2016-11-23 14:22:20'),(21,'purchasing','label21','所有','[{\"field\":\"deleted\",\"operator\":\"equal\",\"value\":\"0\"}]','',0,0,'admin','2020-10-14 14:06:14','','0000-00-00 00:00:00');
INSERT INTO `sys_workflowlayout` VALUES (1332,'meetingroom','browse','position',3,0,'left','0','0','','',''),(1333,'meetingroom','browse','seats',4,0,'left','0','0','','',''),(887,'meetingroom','create','equipment',4,0,'','0','0','','',''),(886,'meetingroom','create','seats',3,0,'','0','0','','',''),(885,'meetingroom','create','position',2,0,'','0','0','','',''),(884,'meetingroom','create','name',1,0,'','0','0','','',''),(892,'meetingroom','edit','equipment',4,0,'','0','0','','',''),(891,'meetingroom','edit','seats',3,0,'','0','0','','',''),(890,'meetingroom','edit','position',2,0,'','0','0','','',''),(889,'meetingroom','edit','name',1,0,'','0','0','','',''),(20,'meetingroom','view','id',1,0,'basic','0','0','','',''),(21,'meetingroom','view','name',2,0,'basic','0','0','','',''),(22,'meetingroom','view','position',3,0,'basic','0','0','','',''),(23,'meetingroom','view','seats',4,0,'basic','0','0','','',''),(24,'meetingroom','view','equipment',5,0,'basic','0','0','','',''),(25,'meetingroom','view','workday',6,0,'basic','0','0','','',''),(26,'meetingroom','view','createdBy',7,0,'basic','0','0','','',''),(27,'meetingroom','view','createdDate',8,0,'basic','0','0','','',''),(28,'meetingroom','view','editedBy',9,0,'basic','0','0','','',''),(29,'meetingroom','view','editedDate',10,0,'basic','0','0','','',''),(1283,'meetingroombooking','browse','orderedBy',5,100,'left','0','0','','',''),(1284,'meetingroombooking','browse','orderedDate',6,100,'left','0','0','','',''),(1279,'meetingroombooking','browse','id',1,80,'left','0','0','','',''),(1280,'meetingroombooking','browse','room',2,160,'left','0','0','','',''),(932,'meetingroombooking','create','orderedBy',4,0,'','0','0','','currentUser',''),(933,'meetingroombooking','create','orderedDate',5,0,'','0','0','','currentTime',''),(929,'meetingroombooking','create','room',1,0,'','0','0','','',''),(930,'meetingroombooking','create','begin',2,0,'','0','0','','',''),(931,'meetingroombooking','create','end',3,0,'','0','0','','',''),(50,'meetingroombooking','edit','room',1,0,'','0','0','','',''),(51,'meetingroombooking','edit','begin',2,0,'','0','0','','',''),(52,'meetingroombooking','edit','end',3,0,'','0','0','','',''),(53,'meetingroombooking','edit','orderedBy',4,0,'','0','0','','currentUser',''),(54,'meetingroombooking','edit','orderedDate',5,0,'','0','0','','currentTime',''),(55,'meetingroombooking','edit','desc',6,0,'','0','0','','',''),(74,'meetingroombooking','view','createdDate',8,0,'basic','0','0','','',''),(73,'meetingroombooking','view','createdBy',7,0,'basic','0','0','','',''),(72,'meetingroombooking','view','orderedDate',6,0,'basic','0','0','','',''),(71,'meetingroombooking','view','orderedBy',5,0,'basic','0','0','','',''),(70,'meetingroombooking','view','end',4,0,'basic','0','0','','',''),(69,'meetingroombooking','view','begin',3,0,'basic','0','0','','',''),(68,'meetingroombooking','view','room',2,0,'basic','0','0','','',''),(67,'meetingroombooking','view','id',1,0,'basic','0','0','','',''),(75,'meetingroombooking','view','editedBy',9,0,'basic','0','0','','',''),(76,'meetingroombooking','view','editedDate',10,0,'basic','0','0','','',''),(77,'meetingroombooking','view','desc',11,0,'info','0','0','','',''),(847,'stamp','browse','id',1,0,'left','0','0','','',''),(856,'stamp','browse','reviewedDate',10,0,'left','0','0','','',''),(848,'stamp','browse','proposer',2,0,'left','0','0','','',''),(849,'stamp','browse','reason',3,0,'left','0','0','','',''),(850,'stamp','browse','begin',4,0,'left','0','0','','',''),(851,'stamp','browse','end',5,0,'left','0','0','','',''),(852,'stamp','browse','type',6,0,'left','0','0','','',''),(1290,'stamp','create','end',4,0,'','0','0','','',''),(1288,'stamp','create','reason',2,0,'','0','0','','',''),(1289,'stamp','create','begin',3,0,'','0','0','','',''),(113,'stamp','edit','end',4,0,'','0','0','','',''),(112,'stamp','edit','begin',3,0,'','0','0','','',''),(111,'stamp','edit','reason',2,0,'','0','0','','',''),(110,'stamp','edit','proposer',1,0,'','0','0','','currentUser',''),(114,'stamp','edit','type',5,0,'','0','0','','',''),(115,'stamp','edit','desc',6,0,'','0','0','','',''),(877,'stamp','view','status',8,0,'basic','0','0','','',''),(876,'stamp','view','desc',7,0,'info','0','0','','',''),(875,'stamp','view','type',6,0,'basic','0','0','','',''),(870,'stamp','view','id',1,0,'basic','0','0','','',''),(871,'stamp','view','proposer',2,0,'basic','0','0','','',''),(872,'stamp','view','reason',3,0,'info','0','0','','',''),(873,'stamp','view','begin',4,0,'basic','0','0','','',''),(874,'stamp','view','end',5,0,'basic','0','0','','',''),(878,'stamp','view','reviewedBy',9,0,'basic','0','0','','',''),(998,'car','browse','actions',9,170,'','0','0','','',''),(993,'car','browse','driver',4,0,'left','0','0','','',''),(992,'car','browse','code',3,0,'left','0','0','','',''),(1343,'car','create','type',1,0,'','0','0','','',''),(1346,'car','create','mobile',4,0,'','0','0','','',''),(1347,'car','create','buyDate',5,0,'','0','0','','',''),(146,'car','edit','type',1,0,'','0','0','','',''),(147,'car','edit','code',2,0,'','0','0','','',''),(148,'car','edit','driver',3,0,'','0','0','','',''),(149,'car','edit','mobile',4,0,'','0','0','','',''),(150,'car','edit','buyDate',5,0,'','0','0','','',''),(151,'car','edit','price',6,0,'','0','0','','',''),(152,'car','edit','status',7,0,'','0','0','','',''),(153,'car','view','id',1,0,'basic','0','0','','',''),(154,'car','view','type',2,0,'basic','0','0','','',''),(155,'car','view','code',3,0,'basic','0','0','','',''),(156,'car','view','driver',4,0,'basic','0','0','','',''),(157,'car','view','mobile',5,0,'basic','0','0','','',''),(158,'car','view','buyDate',6,0,'basic','0','0','','',''),(159,'car','view','price',7,0,'basic','0','0','','',''),(160,'car','view','status',8,0,'basic','0','0','','',''),(161,'car','view','createdBy',9,0,'basic','0','0','','',''),(162,'car','view','createdDate',10,0,'basic','0','0','','',''),(163,'car','view','editedBy',11,0,'basic','0','0','','',''),(164,'car','view','editedDate',12,0,'basic','0','0','','',''),(1019,'carbooking','browse','reviewedDate',10,0,'left','0','0','','',''),(1013,'carbooking','browse','begin',4,0,'left','0','0','','',''),(1014,'carbooking','browse','end',5,0,'left','0','0','','',''),(1015,'carbooking','browse','reason',6,0,'left','0','0','','',''),(1016,'carbooking','browse','status',7,0,'left','0','0','','',''),(1017,'carbooking','browse','appliedDate',8,0,'left','0','0','','',''),(977,'carbooking','create','car',3,0,'','0','0','','',''),(978,'carbooking','create','begin',4,0,'','0','0','','',''),(976,'carbooking','create','appliedDate',2,0,'','0','0','','currentTime',''),(975,'carbooking','create','appliedBy',1,0,'','0','0','','currentUser',''),(188,'carbooking','edit','appliedBy',1,0,'','0','0','','currentUser',''),(189,'carbooking','edit','appliedDate',2,0,'','0','0','','currentTime',''),(190,'carbooking','edit','car',3,0,'','0','0','','',''),(191,'carbooking','edit','begin',4,0,'','0','0','','',''),(192,'carbooking','edit','end',5,0,'','0','0','','',''),(193,'carbooking','edit','reason',6,0,'','0','0','','',''),(194,'carbooking','view','id',1,0,'basic','0','0','','',''),(195,'carbooking','view','appliedBy',2,0,'basic','0','0','','',''),(196,'carbooking','view','appliedDate',3,0,'basic','0','0','','',''),(197,'carbooking','view','car',4,0,'basic','0','0','','',''),(198,'carbooking','view','begin',5,0,'basic','0','0','','',''),(199,'carbooking','view','end',6,0,'basic','0','0','','',''),(200,'carbooking','view','reason',7,0,'info','0','0','','',''),(201,'carbooking','view','status',8,0,'basic','0','0','','',''),(202,'carbooking','view','reviewedBy',9,0,'basic','0','0','','',''),(203,'carbooking','view','reviewedDate',10,0,'basic','0','0','','',''),(204,'carbooking','view','createdBy',11,0,'basic','0','0','','',''),(205,'carbooking','view','createdDate',12,0,'basic','0','0','','',''),(206,'carbooking','view','editedBy',13,0,'basic','0','0','','',''),(207,'carbooking','view','editedDate',14,0,'basic','0','0','','',''),(994,'car','browse','mobile',5,0,'left','0','0','','',''),(1018,'carbooking','browse','reviewedBy',9,0,'left','0','0','','',''),(1010,'carbooking','browse','id',1,0,'left','0','0','','',''),(1073,'collect','browse','actions',9,230,'','0','0','','',''),(1068,'collect','browse','reason',4,0,'left','0','0','','',''),(1066,'collect','browse','appliedBy',2,0,'left','0','0','','',''),(1067,'collect','browse','money',3,0,'left','0','0','','',''),(1064,'collect','create','reason',4,0,'','0','0','','',''),(1062,'collect','create','appliedDate',2,0,'','0','0','','currentTime',''),(261,'collect','edit','appliedDate',2,0,'','0','0','','currentTime',''),(260,'collect','edit','appliedBy',1,0,'','0','0','','currentUser',''),(1063,'collect','create','money',3,0,'','0','0','','',''),(262,'collect','edit','money',3,0,'','0','0','','',''),(263,'collect','edit','reason',4,0,'','0','0','','',''),(264,'collect','view','id',1,0,'basic','0','0','','',''),(265,'collect','view','appliedBy',2,0,'basic','0','0','','',''),(266,'collect','view','appliedDate',3,0,'basic','0','0','','',''),(267,'collect','view','money',4,0,'basic','0','0','','',''),(268,'collect','view','reason',5,0,'info','0','0','','',''),(269,'collect','view','status',6,0,'basic','0','0','','',''),(270,'collect','view','reviewedBy',7,0,'basic','0','0','','',''),(271,'collect','view','reviewedDate',8,0,'basic','0','0','','',''),(272,'collect','view','createdBy',9,0,'basic','0','0','','',''),(273,'collect','view','createdDate',10,0,'basic','0','0','','',''),(274,'collect','view','editedBy',11,0,'basic','0','0','','',''),(275,'collect','view','editedDate',12,0,'basic','0','0','','',''),(276,'collect','pay','depositor',1,0,'','0','0','','',''),(277,'collect','pay','category',2,0,'','0','0','','',''),(1071,'collect','browse','reviewedBy',7,0,'left','0','0','','',''),(1072,'collect','browse','reviewedDate',8,0,'left','0','0','','',''),(1126,'buy','browse','provider',2,0,'left','0','0','','',''),(1127,'buy','browse','goods',3,0,'left','0','0','','',''),(1128,'buy','browse','money',4,0,'left','0','0','','',''),(1129,'buy','browse','desc',5,0,'left','0','0','','',''),(1130,'buy','browse','status',6,0,'left','0','0','','',''),(1131,'buy','browse','createdBy',7,0,'left','0','0','','',''),(1310,'buy','create','money',3,0,'','0','0','','',''),(1308,'buy','create','provider',1,0,'','0','0','','',''),(1091,'buy','edit','money',3,0,'','0','0','','',''),(1089,'buy','edit','provider',1,0,'','0','0','','',''),(1312,'buy','create','files',5,0,'','0','0','','',''),(1309,'buy','create','goods',2,0,'','0','0','','',''),(1093,'buy','edit','files',5,0,'','0','0','','',''),(1090,'buy','edit','goods',2,0,'','0','0','','',''),(1105,'buy','view','id',1,0,'basic','0','0','','',''),(1106,'buy','view','provider',2,0,'basic','0','0','','',''),(1107,'buy','view','goods',3,0,'basic','0','0','','',''),(1108,'buy','view','money',4,0,'basic','0','0','','',''),(1109,'buy','view','status',5,0,'basic','0','0','','',''),(1110,'buy','view','createdBy',6,0,'basic','0','0','','',''),(1111,'buy','view','createdDate',7,0,'basic','0','0','','',''),(1112,'buy','view','editedBy',8,0,'basic','0','0','','',''),(343,'buy','pay','depositor',1,0,'','0','0','','',''),(344,'buy','pay','category',2,0,'','0','0','','',''),(1178,'purchasing','create','sub_purchasegood',2,0,'','0','0','','',''),(1313,'purchasing','create','provider',1,0,'','0','0','','',''),(1319,'purchasing','edit','money',2,0,'','0','0','','',''),(1167,'purchasing','edit','sub_purchasegood',2,0,'','0','0','','',''),(1244,'purchasing','view','editedBy',9,0,'basic','0','0','','',''),(1241,'purchasing','view','sub_purchasegood',6,0,'info','0','0','','',''),(1239,'purchasing','view','purchasedby',4,0,'basic','0','0','','',''),(1240,'purchasing','view','purchaseddate',5,0,'basic','0','0','','',''),(1271,'purchasing','browse','id',1,80,'left','0','0','','',''),(1272,'purchasing','browse','provider',2,200,'left','0','0','','',''),(1273,'purchasing','browse','money',3,160,'right','0','0','','',''),(1274,'purchasing','browse','purchasedby',4,120,'center','0','0','','',''),(1275,'purchasing','browse','purchaseddate',5,120,'center','0','0','','',''),(1186,'purchasegood','create','amount',4,0,'','0','0','','',''),(1184,'purchasegood','create','unit',2,0,'','0','0','','',''),(1183,'purchasegood','create','product',1,0,'','0','0','','',''),(1185,'purchasegood','create','price',3,0,'','0','0','','',''),(1320,'purchasing','edit','purchasedby',3,0,'','0','0','','',''),(1176,'purchasegood','edit','money',5,0,'','0','0','','',''),(1172,'purchasegood','edit','product',1,0,'','0','0','','',''),(1173,'purchasegood','edit','unit',2,0,'','0','0','','',''),(1174,'purchasegood','edit','price',3,0,'','0','0','','',''),(1175,'purchasegood','edit','amount',4,0,'','0','0','','',''),(1236,'purchasing','view','provider',1,0,'basic','0','0','','',''),(1237,'purchasing','view','money',2,0,'basic','0','0','','',''),(1238,'purchasing','view','status',3,0,'basic','0','0','','',''),(1247,'purchasegood','view','id',1,80,'','0','1','','',''),(1248,'purchasegood','view','product',2,0,'','0','1','','',''),(1276,'purchasing','browse','status',6,120,'center','0','0','','',''),(1243,'purchasing','view','createdDate',8,0,'basic','0','0','','',''),(1242,'purchasing','view','createdBy',7,0,'basic','0','0','','',''),(1250,'purchasegood','view','price',4,100,'','0','1','','',''),(1249,'purchasegood','view','unit',3,100,'','0','1','','',''),(820,'purchasing','batchcreate','provider',1,300,'','0','0','','',''),(821,'purchasing','batchcreate','money',2,200,'','0','0','','',''),(822,'purchasing','batchcreate','purchasedby',3,120,'','0','0','','',''),(825,'purchasing','batchedit','provider',1,300,'','0','0','','',''),(826,'purchasing','batchedit','money',2,200,'','0','0','','',''),(827,'purchasing','batchedit','purchasedby',3,120,'','0','0','','',''),(814,'buy','batchcreate','money',3,200,'','0','0','','',''),(812,'buy','batchcreate','provider',1,300,'','0','0','','',''),(817,'buy','batchedit','goods',2,300,'','0','0','','',''),(816,'buy','batchedit','provider',1,300,'','0','0','','',''),(800,'collect','batchcreate','appliedBy',1,120,'','0','0','','',''),(801,'collect','batchcreate','appliedDate',2,150,'','0','0','','',''),(802,'collect','batchcreate','money',3,200,'','0','0','','',''),(828,'purchasing','batchedit','purchaseddate',4,150,'','0','0','','',''),(823,'purchasing','batchcreate','purchaseddate',4,150,'','0','0','','',''),(804,'collect','batchedit','appliedBy',1,120,'','0','0','','',''),(805,'collect','batchedit','appliedDate',2,150,'','0','0','','',''),(791,'carbooking','batchcreate','begin',4,150,'','0','0','','',''),(790,'carbooking','batchcreate','car',3,150,'','0','0','','',''),(789,'carbooking','batchcreate','appliedDate',2,150,'','0','0','','',''),(788,'carbooking','batchcreate','appliedBy',1,120,'','0','0','','',''),(797,'carbooking','batchedit','begin',4,150,'','0','0','','',''),(796,'carbooking','batchedit','car',3,150,'','0','0','','',''),(795,'carbooking','batchedit','appliedDate',2,150,'','0','0','','',''),(794,'carbooking','batchedit','appliedBy',1,120,'','0','0','','',''),(1337,'car','batchcreate','type',1,150,'','0','0','','',''),(1341,'car','batchcreate','buyDate',5,120,'','0','0','','',''),(1340,'car','batchcreate','mobile',4,0,'','0','0','','',''),(763,'car','batchedit','type',1,150,'','0','0','','',''),(764,'car','batchedit','code',2,0,'','0','0','','',''),(765,'car','batchedit','driver',3,120,'','0','0','','',''),(766,'car','batchedit','mobile',4,0,'','0','0','','',''),(767,'car','batchedit','buyDate',5,120,'','0','0','','',''),(860,'stamp','batchcreate','begin',3,150,'','0','0','','',''),(861,'stamp','batchcreate','end',4,150,'','0','0','','',''),(867,'stamp','batchedit','end',4,150,'','0','0','','',''),(865,'stamp','batchedit','reason',2,0,'','0','0','','',''),(866,'stamp','batchedit','begin',3,150,'','0','0','','',''),(711,'meetingroombooking','batchcreate','room',1,200,'','0','0','','',''),(712,'meetingroombooking','batchcreate','begin',2,150,'','0','0','','',''),(713,'meetingroombooking','batchcreate','end',3,150,'','0','0','','',''),(714,'meetingroombooking','batchcreate','orderedBy',4,120,'','0','0','','',''),(715,'meetingroombooking','batchcreate','orderedDate',5,150,'','0','0','','',''),(717,'meetingroombooking','batchedit','room',1,200,'','0','0','','',''),(718,'meetingroombooking','batchedit','begin',2,150,'','0','0','','',''),(719,'meetingroombooking','batchedit','end',3,150,'','0','0','','',''),(720,'meetingroombooking','batchedit','orderedBy',4,120,'','0','0','','',''),(690,'meetingroom','batchcreate','name',1,0,'','0','0','','',''),(691,'meetingroom','batchcreate','position',2,100,'','0','0','','',''),(692,'meetingroom','batchcreate','seats',3,100,'','0','0','','',''),(693,'meetingroom','batchcreate','equipment',4,320,'','0','0','','',''),(698,'meetingroom','batchedit','equipment',4,320,'','0','0','','',''),(696,'meetingroom','batchedit','position',2,100,'','0','0','','',''),(697,'meetingroom','batchedit','seats',3,100,'','0','0','','',''),(695,'meetingroom','batchedit','name',1,0,'','0','0','','',''),(694,'meetingroom','batchcreate','workday',5,400,'','0','0','','',''),(699,'meetingroom','batchedit','workday',5,400,'','0','0','','',''),(716,'meetingroombooking','batchcreate','desc',6,0,'','0','0','','',''),(721,'meetingroombooking','batchedit','orderedDate',5,150,'','0','0','','',''),(722,'meetingroombooking','batchedit','desc',6,0,'','0','0','','',''),(858,'stamp','batchcreate','proposer',1,120,'','0','0','','',''),(859,'stamp','batchcreate','reason',2,0,'','0','0','','',''),(864,'stamp','batchedit','proposer',1,120,'','0','0','','',''),(1338,'car','batchcreate','code',2,0,'','0','0','','',''),(1339,'car','batchcreate','driver',3,120,'','0','0','','',''),(769,'car','batchedit','status',7,120,'','0','0','','normal',''),(768,'car','batchedit','price',6,0,'','0','0','','',''),(996,'car','browse','price',7,0,'left','0','0','','',''),(991,'car','browse','type',2,0,'left','0','0','','',''),(792,'carbooking','batchcreate','end',5,150,'','0','0','','',''),(793,'carbooking','batchcreate','reason',6,0,'','0','0','','',''),(798,'carbooking','batchedit','end',5,150,'','0','0','','',''),(799,'carbooking','batchedit','reason',6,0,'','0','0','','',''),(803,'collect','batchcreate','reason',4,0,'','0','0','','',''),(806,'collect','batchedit','money',3,200,'','0','0','','',''),(807,'collect','batchedit','reason',4,0,'','0','0','','',''),(813,'buy','batchcreate','goods',2,300,'','0','0','','',''),(815,'buy','batchcreate','desc',4,0,'','0','0','','',''),(818,'buy','batchedit','money',3,200,'','0','0','','',''),(819,'buy','batchedit','desc',4,0,'','0','0','','',''),(824,'purchasing','batchcreate','desc',5,0,'','0','0','','',''),(829,'purchasing','batchedit','desc',5,0,'','0','0','','',''),(1245,'purchasing','view','editedDate',10,0,'basic','0','0','','',''),(1287,'stamp','create','proposer',1,0,'','0','0','','currentUser',''),(857,'stamp','browse','actions',11,280,'','0','0','','',''),(853,'stamp','browse','desc',7,0,'left','0','0','','',''),(854,'stamp','browse','status',8,0,'left','0','0','','',''),(855,'stamp','browse','reviewedBy',9,0,'left','0','0','','',''),(862,'stamp','batchcreate','type',5,350,'','0','0','','',''),(863,'stamp','batchcreate','desc',6,0,'','0','0','','',''),(868,'stamp','batchedit','type',5,350,'','0','0','','',''),(869,'stamp','batchedit','desc',6,0,'','0','0','','',''),(879,'stamp','view','reviewedDate',10,0,'basic','0','0','','',''),(880,'stamp','view','createdBy',11,0,'basic','0','0','','',''),(881,'stamp','view','createdDate',12,0,'basic','0','0','','',''),(882,'stamp','view','editedBy',13,0,'basic','0','0','','',''),(883,'stamp','view','editedDate',14,0,'basic','0','0','','',''),(888,'meetingroom','create','workday',5,0,'','0','0','','',''),(893,'meetingroom','edit','workday',5,0,'','0','0','','',''),(1335,'meetingroom','browse','workday',6,0,'left','0','0','','',''),(1334,'meetingroom','browse','equipment',5,0,'left','0','0','','',''),(934,'meetingroombooking','create','desc',6,0,'','0','0','','',''),(1281,'meetingroombooking','browse','begin',3,120,'left','0','0','','',''),(1282,'meetingroombooking','browse','end',4,120,'left','0','0','','',''),(1345,'car','create','driver',3,0,'','0','0','','',''),(1344,'car','create','code',2,0,'','0','0','','',''),(997,'car','browse','status',8,0,'left','0','0','','',''),(995,'car','browse','buyDate',6,0,'left','0','0','','',''),(990,'car','browse','id',1,0,'left','0','0','','',''),(979,'carbooking','create','end',5,0,'','0','0','','',''),(980,'carbooking','create','reason',6,0,'','0','0','','',''),(1011,'carbooking','browse','appliedBy',2,0,'left','0','0','','',''),(1012,'carbooking','browse','car',3,0,'left','0','0','','',''),(1020,'carbooking','browse','actions',11,200,'','0','0','','',''),(1061,'collect','create','appliedBy',1,0,'','0','0','','currentUser',''),(1070,'collect','browse','appliedDate',6,0,'left','0','0','','',''),(1069,'collect','browse','status',5,0,'left','0','0','','',''),(1065,'collect','browse','id',1,0,'left','0','0','','',''),(1311,'buy','create','desc',4,0,'','0','0','','',''),(1092,'buy','edit','desc',4,0,'','0','0','','',''),(1125,'buy','browse','id',1,0,'left','0','0','','',''),(1115,'buy','view','files',11,0,'info','0','0','','',''),(1114,'buy','view','desc',10,0,'info','0','0','','',''),(1113,'buy','view','editedDate',9,0,'basic','0','0','','',''),(1133,'buy','browse','actions',9,170,'','0','0','','',''),(1132,'buy','browse','createdDate',8,0,'left','0','0','','',''),(1316,'purchasing','create','purchaseddate',4,0,'','0','0','','',''),(1318,'purchasing','edit','provider',1,0,'','0','0','','',''),(1277,'purchasing','browse','desc',7,0,'left','0','0','','',''),(1278,'purchasing','browse','actions',8,200,'','0','0','','',''),(1314,'purchasing','create','money',2,0,'','0','0','','',''),(1187,'purchasegood','create','money',5,0,'','0','0','','',''),(1246,'purchasing','view','desc',11,0,'info','0','0','','',''),(1251,'purchasegood','view','amount',5,100,'','0','1','','',''),(1252,'purchasegood','view','money',6,100,'','0','1','','',''),(1321,'purchasing','edit','purchaseddate',4,0,'','0','0','','',''),(1285,'meetingroombooking','browse','desc',7,0,'left','0','0','','',''),(1286,'meetingroombooking','browse','actions',8,140,'','0','0','','',''),(1291,'stamp','create','type',5,0,'','0','0','','',''),(1292,'stamp','create','desc',6,0,'','0','0','','',''),(1315,'purchasing','create','purchasedby',3,0,'','0','0','','',''),(1317,'purchasing','create','desc',5,0,'','0','0','','',''),(1322,'purchasing','edit','desc',5,0,'','0','0','','',''),(1330,'meetingroom','browse','id',1,0,'left','0','0','','',''),(1331,'meetingroom','browse','name',2,0,'left','0','0','','',''),(1336,'meetingroom','browse','actions',7,170,'','0','0','','',''),(1342,'car','batchcreate','price',6,0,'','0','0','','',''),(1348,'car','create','price',6,0,'','0','0','','',''),(1349,'car','create','status',7,0,'','0','0','','normal','');
INSERT INTO `sys_workflowrelation` VALUES (3,'meetingroom','meetingroombooking','room','one2one,many2many','admin','2020-09-28 16:47:52'),(4,'car','carbooking','car','one2one,many2many','admin','2020-09-28 17:06:18');
INSERT INTO `sys_workflowrule` VALUES (1,'system','必填','notempty','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(2,'system','唯一','unique','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(3,'system','日期','date','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(4,'system','email','email','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(5,'system','数字','float','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(6,'system','电话','phone','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00'),(7,'system','IP','ip','admin','2020-10-14 14:06:14','','0000-00-00 00:00:00');

REPLACE INTO `sys_grouppriv` VALUES
(1,'apppriv','flow'),
(1,'workflow','activate'),
(1,'workflow','backup'),
(1,'workflow','browseDB'),
(1,'workflow','browseFlow'),
(1,'workflow','copy'),
(1,'workflow','create'),
(1,'workflow','deactivate'),
(1,'workflow','delete'),
(1,'workflow','edit'),
(1,'workflow','flowchart'),
(1,'workflow','setCSS'),
(1,'workflow','setJS'),
(1,'workflow','release'),
(1,'workflow','ui'),
(1,'workflow','upgrade'),
(1,'workflow','view'),
(1,'workflowaction','browse'),
(1,'workflowaction','create'),
(1,'workflowaction','delete'),
(1,'workflowaction','edit'),
(1,'workflowaction','setCSS'),
(1,'workflowaction','setJS'),
(1,'workflowaction','setNotice'),
(1,'workflowaction','setVerification'),
(1,'workflowaction','sort'),
(1,'workflowaction','view'),
(1,'workflowcondition','browse'),
(1,'workflowcondition','create'),
(1,'workflowcondition','delete'),
(1,'workflowcondition','edit'),
(1,'workflowdatasource','browse'),
(1,'workflowdatasource','create'),
(1,'workflowdatasource','delete'),
(1,'workflowdatasource','edit'),
(1,'workflowfield','browse'),
(1,'workflowfield','create'),
(1,'workflowfield','delete'),
(1,'workflowfield','edit'),
(1,'workflowfield','export'),
(1,'workflowfield','exportTemplate'),
(1,'workflowfield','setValue'),
(1,'workflowfield','setExport'),
(1,'workflowfield','setSearch'),
(1,'workflowfield','showImport'),
(1,'workflowfield','sort'),
(1,'workflowfield','import'),
(1,'workflowhook','browse'),
(1,'workflowhook','create'),
(1,'workflowhook','delete'),
(1,'workflowhook','edit'),
(1,'workflowlabel','browse'),
(1,'workflowlabel','create'),
(1,'workflowlabel','delete'),
(1,'workflowlabel','edit'),
(1,'workflowlabel','sort'),
(1,'workflowlayout','admin'),
(1,'workflowlayout','block'),
(1,'workflowlinkage','browse'),
(1,'workflowlinkage','create'),
(1,'workflowlinkage','delete'),
(1,'workflowlinkage','edit'),
(1,'workflowrelation','admin'),
(1,'workflowreport','browse'),
(1,'workflowreport','create'),
(1,'workflowreport','edit'),
(1,'workflowreport','delete'),
(1,'workflowreport','sort'),
(1,'workflowrule','browse'),
(1,'workflowrule','create'),
(1,'workflowrule','delete'),
(1,'workflowrule','edit'),
(1,'workflowrule','view');

-- DROP TABLE IF EXISTS `flow_buy`;
CREATE TABLE IF NOT EXISTS `flow_buy` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `provider` varchar(200) NOT NULL,
  `goods` varchar(200) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `desc` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL DEFAULT 'unpaid',
  `depositor` varchar(200) NOT NULL,
  `category` varchar(200) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_car`;
CREATE TABLE IF NOT EXISTS `flow_car` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(200) NOT NULL,
  `code` varchar(200) NOT NULL,
  `driver` varchar(200) NOT NULL,
  `mobile` varchar(50) NOT NULL,
  `buyDate` date NOT NULL,
  `price` decimal(12,2) NOT NULL,
  `status` varchar(200) NOT NULL DEFAULT 'normal',
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_carbooking`;
CREATE TABLE IF NOT EXISTS `flow_carbooking` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `appliedBy` varchar(200) NOT NULL,
  `appliedDate` datetime NOT NULL,
  `car` varchar(200) NOT NULL,
  `begin` datetime NOT NULL,
  `end` datetime NOT NULL,
  `reason` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL DEFAULT 'wait',
  `reviewedBy` varchar(200) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_collect`;
CREATE TABLE IF NOT EXISTS `flow_collect` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `appliedBy` varchar(200) NOT NULL,
  `appliedDate` datetime NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `reason` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL DEFAULT 'wait',
  `reviewedBy` varchar(200) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  `depositor` varchar(200) NOT NULL,
  `category` varchar(200) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_meetingroom`;
CREATE TABLE IF NOT EXISTS `flow_meetingroom` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL,
  `position` varchar(200) NOT NULL,
  `seats` smallint(6) NOT NULL,
  `equipment` varchar(200) NOT NULL,
  `workday` varchar(200) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_meetingroombooking`;
CREATE TABLE IF NOT EXISTS `flow_meetingroombooking` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `room` varchar(200) NOT NULL,
  `begin` datetime NOT NULL,
  `end` datetime NOT NULL,
  `orderedBy` varchar(200) NOT NULL,
  `orderedDate` datetime NOT NULL,
  `desc` varchar(200) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_purchasegood`;
CREATE TABLE IF NOT EXISTS `flow_purchasegood` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `product` varchar(200) NOT NULL,
  `unit` char(20) NOT NULL,
  `price` decimal(12,2) NOT NULL,
  `amount` decimal(12,2) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_purchasing`;
CREATE TABLE IF NOT EXISTS `flow_purchasing` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `provider` varchar(150) NOT NULL,
  `money` decimal(12,2) NOT NULL,
  `purchasedby` char(30) NOT NULL,
  `purchaseddate` datetime NOT NULL,
  `status` char(30) NOT NULL DEFAULT 'wait',
  `desc` text NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP TABLE IF EXISTS `flow_stamp`;
CREATE TABLE IF NOT EXISTS `flow_stamp` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `proposer` varchar(200) NOT NULL,
  `reason` varchar(200) NOT NULL,
  `begin` datetime NOT NULL,
  `end` datetime NOT NULL,
  `type` varchar(200) NOT NULL,
  `desc` varchar(200) NOT NULL,
  `status` varchar(200) NOT NULL DEFAULT 'wait',
  `reviewedBy` varchar(200) NOT NULL,
  `reviewedDate` datetime NOT NULL,
  `parent` mediumint(8) unsigned NOT NULL,
  `createdBy` varchar(30) NOT NULL,
  `createdDate` datetime NOT NULL,
  `editedBy` varchar(30) NOT NULL,
  `editedDate` datetime NOT NULL,
  `mailto` text NOT NULL,
  `deleted` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- DROP VIEW IF EXISTS `view_datasource_7`;
CREATE VIEW `view_datasource_7` AS select id,name from `flow_meetingroom` where deleted = '0';

REPLACE INTO `sys_grouppriv` VALUES
(1,'buy','18'),
(1,'buy','19'),
(1,'buy','20'),
(1,'buy','batchcreate'),
(1,'buy','batchedit'),
(1,'buy','browse'),
(1,'buy','create'),
(1,'buy','delete'),
(1,'buy','edit'),
(1,'buy','export'),
(1,'buy','exporttemplate'),
(1,'buy','import'),
(1,'buy','link'),
(1,'buy','pay'),
(1,'buy','search'),
(1,'buy','showimport'),
(1,'buy','unlink'),
(1,'buy','view'),
(1,'car','8'),
(1,'car','batchcreate'),
(1,'car','batchedit'),
(1,'car','browse'),
(1,'car','create'),
(1,'car','delete'),
(1,'car','edit'),
(1,'car','export'),
(1,'car','exporttemplate'),
(1,'car','import'),
(1,'car','link'),
(1,'car','search'),
(1,'car','showimport'),
(1,'car','unlink'),
(1,'car','view'),
(1,'carbooking','12'),
(1,'carbooking','13'),
(1,'carbooking','9'),
(1,'carbooking','batchcreate'),
(1,'carbooking','batchedit'),
(1,'carbooking','browse'),
(1,'carbooking','create'),
(1,'carbooking','delete'),
(1,'carbooking','edit'),
(1,'carbooking','export'),
(1,'carbooking','exporttemplate'),
(1,'carbooking','import'),
(1,'carbooking','link'),
(1,'carbooking','pass'),
(1,'carbooking','reject'),
(1,'carbooking','search'),
(1,'carbooking','showimport'),
(1,'carbooking','unlink'),
(1,'carbooking','view'),
(1,'collect','14'),
(1,'collect','15'),
(1,'collect','16'),
(1,'collect','17'),
(1,'collect','batchcreate'),
(1,'collect','batchedit'),
(1,'collect','browse'),
(1,'collect','create'),
(1,'collect','delete'),
(1,'collect','edit'),
(1,'collect','export'),
(1,'collect','exporttemplate'),
(1,'collect','import'),
(1,'collect','link'),
(1,'collect','pass'),
(1,'collect','pay'),
(1,'collect','reject'),
(1,'collect','search'),
(1,'collect','showimport'),
(1,'collect','unlink'),
(1,'collect','view'),
(1,'meetingroom','1'),
(1,'meetingroom','3'),
(1,'meetingroom','4'),
(1,'meetingroom','5'),
(1,'meetingroom','batchcreate'),
(1,'meetingroom','batchedit'),
(1,'meetingroom','browse'),
(1,'meetingroom','create'),
(1,'meetingroom','delete'),
(1,'meetingroom','edit'),
(1,'meetingroom','export'),
(1,'meetingroom','exporttemplate'),
(1,'meetingroom','import'),
(1,'meetingroom','link'),
(1,'meetingroom','search'),
(1,'meetingroom','showimport'),
(1,'meetingroom','unlink'),
(1,'meetingroom','view'),
(1,'meetingroombooking','2'),
(1,'meetingroombooking','6'),
(1,'meetingroombooking','batchcreate'),
(1,'meetingroombooking','batchedit'),
(1,'meetingroombooking','browse'),
(1,'meetingroombooking','create'),
(1,'meetingroombooking','delete'),
(1,'meetingroombooking','edit'),
(1,'meetingroombooking','export'),
(1,'meetingroombooking','exporttemplate'),
(1,'meetingroombooking','import'),
(1,'meetingroombooking','link'),
(1,'meetingroombooking','search'),
(1,'meetingroombooking','showimport'),
(1,'meetingroombooking','unlink'),
(1,'meetingroombooking','view'),
(1,'purchasing','21'),
(1,'purchasing','batchcreate'),
(1,'purchasing','batchedit'),
(1,'purchasing','browse'),
(1,'purchasing','create'),
(1,'purchasing','delete'),
(1,'purchasing','edit'),
(1,'purchasing','export'),
(1,'purchasing','exporttemplate'),
(1,'purchasing','import'),
(1,'purchasing','link'),
(1,'purchasing','pass'),
(1,'purchasing','reject'),
(1,'purchasing','search'),
(1,'purchasing','showimport'),
(1,'purchasing','unlink'),
(1,'purchasing','view'),
(1,'stamp','10'),
(1,'stamp','11'),
(1,'stamp','7'),
(1,'stamp','batchcreate'),
(1,'stamp','batchedit'),
(1,'stamp','browse'),
(1,'stamp','create'),
(1,'stamp','delete'),
(1,'stamp','edit'),
(1,'stamp','export'),
(1,'stamp','exporttemplate'),
(1,'stamp','import'),
(1,'stamp','link'),
(1,'stamp','pass'),
(1,'stamp','reject'),
(1,'stamp','revoke'),
(1,'stamp','search'),
(1,'stamp','showimport'),
(1,'stamp','submit'),
(1,'stamp','unlink'),
(1,'stamp','view');
